﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarCapitulosParaDefinirPlanMejoramiento.aspx.vb" Inherits="AudiControl.ListarCapitulosParaDefinirPlanMejoramiento" 
    title="<%$ Resources:TituloPaginas, TitAccion %>" %>
    
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanAuditoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanMejoramientoAuditoria" runat="server" Text="" Visible="false"></asp:Label>
    
      <div style="text-align:center;">
      <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblPlanMejCumplNormasSGR %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent ">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblSeguimiento %>" ></asp:Label>
</div>  

      <div class="header">
           <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblDiseñarAccionesMejoramiento %>" ></asp:Label></div>   
            <br /> 
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    
    <table>
         <tr>
                <td >
                    
    <asp:GridView ID="gvListaCapitulos" runat="server" AutoGenerateColumns="false" 
                        AllowPaging="True">
        <Columns>
            <asp:BoundField DataField="idCapitulo" SortExpression="idCapitulo" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" >
<ItemStyle Width="80px"></ItemStyle>
            </asp:BoundField>
            <asp:BoundField DataField="descripcionCapitulo" 
                SortExpression="descripcionCapitulo" HeaderText="<%$ Resources:Idioma, lblCapitulo %>" ItemStyle-VerticalAlign="Top" ItemStyle-Width="400px" >
<ItemStyle VerticalAlign="Top" Width="400px"></ItemStyle>
            </asp:BoundField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" 
                ItemStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblEvaluacion %>" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                <ItemTemplate>                                            
                     <asp:Label ID="lblIdCapitulo" runat="server" Text='<%# Eval("idCapitulo") %>' Visible="false"></asp:Label>
                     <asp:Label ID="lblDescripcionCapitulo" runat="server" Text='<%# Eval("descripcionCapitulo") %>' Visible="false"></asp:Label>
                    <asp:Label ID="lblIdProteccionExistente" runat="server" Text='<%# Eval("proteccionExistente") %>' ></asp:Label>                                             
                    <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel") %>' Visible="false"></asp:Label>                                             
                </ItemTemplate><HeaderStyle HorizontalAlign="Center"></HeaderStyle>
           </asp:TemplateField>
                                
           <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccionesMejoramiento %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                <ItemTemplate>
                    <div style="text-align:center; width: 90px;">
                        &nbsp;
                        <asp:LinkButton ID="lnkVerAcciones" runat="server" CommandName="VERACCIONES" CommandArgument='<%# Eval("idPlanMejoramientoAuditoria")%>'>
                        <asp:Label ID="lblVerAcciones" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>                        
                </ItemTemplate><HeaderStyle HorizontalAlign="Center"></HeaderStyle>
            </asp:TemplateField>  
             <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblTerminado %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                <ItemTemplate>
                    <asp:Label ID="lblSi" runat="server" Text='<%# Eval("terminado")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                </ItemTemplate>

<HeaderStyle HorizontalAlign="Center"></HeaderStyle>

<ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
                        <br />
                   
                </td>
            </tr>
             <tr>
             <td colspan="2">
                 <asp:Label ID="lblDatosCapitulo" runat="server" Text="" CssClass="subtitulo" Visible="false"></asp:Label>
                 <br />
             <asp:Label ID="lblNoAccionMejoramiento" runat="server" Text="" Visible="false" CssClass="colorError"></asp:Label>
             <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                 <br />
    <asp:GridView ID="gvListaAcciones" runat="server" AutoGenerateColumns="false" Visible="false">
        <Columns>
            <asp:BoundField DataField="idAccionMejoramientoAuditoria" SortExpression="idAccionMejoramientoAuditoria" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" ></asp:BoundField>
            <asp:BoundField DataField="descripcionAccion" SortExpression="descripcionAccion" 
                HeaderText="<%$ Resources:Idioma, lblAccionesMejoramiento %>" ItemStyle-Width="350px" ></asp:BoundField>
            <asp:BoundField DataField="alternativa" 
                SortExpression="alternativa" HeaderText="<%$ Resources:Idioma, lblAlternativaTratamiento %>" ItemStyle-Width="150px" >
            </asp:BoundField>
            <asp:BoundField DataField="prioridad" 
                SortExpression="prioridad" HeaderText="<%$ Resources:Idioma, lblPrioridad %>" ItemStyle-Width="90px" >
            </asp:BoundField>
             <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                <ItemTemplate>
                    <div style="text-align:center; width: 90px;">
                        <asp:Label ID="lblIdPlanMejoramientoAuditoria" runat="server" Text='<%# Eval("idPlanMejoramientoAuditoria") %>' visible="false"></asp:Label>
                            <asp:LinkButton ID="lnkVerAccionMejoramiento" runat="server" CommandName="EDITAR ACCION" CommandArgument='<%# Eval("idAccionMejoramientoAuditoria")%>'>
                            <asp:Label ID="lblEditarAccionMejoramiento" runat="server" Text="<%$ Resources:Idioma, lblIngresarVer %>"></asp:Label></asp:LinkButton>                        
                </ItemTemplate><HeaderStyle HorizontalAlign="Center"></HeaderStyle>
            </asp:TemplateField> 
        </Columns>
    </asp:GridView>
                 <br />
        <asp:Button ID="btnReporte" runat="server" 
               Text="<%$ Resources:Idioma, btnReporte %>" CausesValidation="False" 
               Width="64px" Height="20px" />
                 <asp:Button ID="btnAdicionarAT" runat="server" 
                     Text="<%$ Resources:Idioma, btnAdicionarAcc %>" visible="false" 
                     Width="127px"/>
                 <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" />
                 <br />
             </td>
             </tr>
        </table>
    
    
    </div> 
</asp:Content>