﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarActivo.aspx.vb" Inherits="AudiControl.EditarActivo" Title="<%$ Resources:TituloPaginas, TitEditarActivo %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdActivo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensaje" Text="<%$ Resources:Idioma, msgDatoCompleto %>" runat="server"
        Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeCambio" Text="<%$ Resources:Idioma, msgModificaActivo %>"
        runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %>"
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEstudio" runat="server"></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblMantenimientoActivos" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoActivos %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>&nbsp;
            <br />
            <br />
            <table>
                <tr>
                    <td style="height: 44px; text-align: right; width: 283px;">
                        <asp:Label ID="lblDescripcionActivo" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                        *<br />
                        <br />
                        <br />
                        <br />
                    </td>
                    <td style="height: 26px; text-align: left;">
                        <asp:TextBox ID="txtDescripcionActivo" runat="server" Width="303px" TextMode="MultiLine"
                            MaxLength="150" Height="41px"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDescripcionActivo" runat="server" ControlToValidate="txtDescripcionActivo"
                            Height="16px" Width="539px">
                            <asp:Label ID="lblDescripcionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvDescripcionActivo" runat="server" ControlToValidate="txtDescripcionActivo"></asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right; width: 283px;">
                        <asp:Label ID="lblValor" runat="server" Text="<%$ Resources:Idioma, lblValor %>"></asp:Label>
                        *<br />
                        <br />
                        <br />
                    </td>
                    <td style="height: 24px; text-align: left; width: 300px;">
                        <asp:TextBox ID="txtValor" runat="server" Height="18px" Width="300px" MaxLength="12"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvValor" runat="server" ControlToValidate="txtValor"
                            Height="17px" Width="299px">
                            <asp:Label ID="lblValorObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValorObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvValorActivo" runat="server" ControlToValidate="txtValor"></asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarActivo" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;" />&nbsp;
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeCambio').innerHTML)) return false;" />&nbsp;
            <asp:Button ID="btnAdicionarOtroActivo" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
