﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarFuncionario.aspx.vb" Inherits="AudiControl.EditarFuncionario"
    Title="<%$ Resources:TituloPaginas, TitEditarFuncionario %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdFuncionario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdCargo" runat="server" Text="1" Visible="false"></asp:Label>
    <asp:Label ID="lblIdCorreo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblConfiguracionFuncionarios" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreE" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header" style="text-align: center">
        <asp:Label ID="lblEditarFuncionario" runat="server" Text="<%$ Resources:TituloPasos, lblEditarFuncionario %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <table>
            <tr>
                <td style="height: 25px; text-align: right; width: 222px;">
                    <asp:Label ID="lblFuncionario" runat="server" Text="<%$ Resources:Idioma, lblFuncionario %>"
                        Height="24px" Width="125px"></asp:Label>
                    *
                </td>
                <td style="width: 8px; height: 25px;">
                </td>
                <td style="width: 322px; height: 25px; text-align: left;">
                    <asp:TextBox ID="txtFuncionario" runat="server" Width="333px" MaxLength="50"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvNombreFuncionario" runat="server" ControlToValidate="txtFuncionario">
                        <asp:Label ID="lblValidacionFuncionario" runat="server" Text="<%$ Resources: lblValidacionNombreFuncionario %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                    <asp:CustomValidator ID="cvFuncionario" runat="server" ControlToValidate="txtFuncionario">
                    </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td style="height: 26px; text-align: right; width: 222px;">
                    <asp:Label ID="lblDepenedencia" runat="server" Text="<%$ Resources:Idioma, lblArea %>"
                        Height="24px" Width="125px"></asp:Label>
                    &nbsp;*
                </td>
                <td style="width: 8px">
                </td>
                <td style="width: 322px; height: 26px; text-align: left;">
                    <asp:DropDownList ID="drpDepenedencia" OnSelectedIndexChanged="cargarCargo" runat="server"
                        AutoPostBack="True">
                    </asp:DropDownList>
                    <asp:RequiredFieldValidator ID="rfvDependencia" runat="server" ControlToValidate="drpDepenedencia"
                        ErrorMessage="<%$ Resources: lblValidacionDependencia %>">
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="height: 26px; text-align: right; width: 222px;">
                    <asp:Label ID="lblCargo" runat="server" Text="<%$ Resources:Idioma, lblCargo %>"
                        Height="24px" Width="125px"></asp:Label>
                    &nbsp;*
                </td>
                <td style="width: 8px">
                </td>
                <td style="width: 322px; height: 26px; text-align: left;">
                    <asp:DropDownList ID="drpCargo" runat="server">
                    </asp:DropDownList>
                    <asp:RequiredFieldValidator ID="rfvCargo" runat="server" ControlToValidate="drpCargo"
                        ErrorMessage="<%$ Resources: lblValidacionCargo %>">
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right; width: 222px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources:Idioma, lblCodigo %>"
                        Height="17px" Width="190px"></asp:Label>&nbsp;&nbsp;
                </td>
                <td>
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="txtCodigo" runat="server" Width="167px" MaxLength="30"></asp:TextBox>
                    <asp:CustomValidator ID="cvCodigo" runat="server" ControlToValidate="txtCodigo">
                    </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td style="height: 26px; text-align: right; width: 222px;">
                    <asp:Label ID="lblCorreo" runat="server" Text="<%$ Resources:Idioma, lblCorreo %>"
                        Height="17px" Width="147px"></asp:Label>
                    &nbsp;*
                </td>
                <td style="width: 8px">
                </td>
                <td style="width: 322px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtCorreo" runat="server" Width="264px" Visible="False" MaxLength="70"></asp:TextBox>
                    <asp:Button ID="btnCorreo" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                        Visible="False" Width="68px" />
                    <asp:CustomValidator ID="cvCorreo" runat="server" ControlToValidate="txtCorreo">
                    </asp:CustomValidator>
                    <br />
                    <asp:RegularExpressionValidator ID="rfvCorreo" runat="server" ErrorMessage="<%$ Resources:Idioma, lblCorreoNoValido %>"
                        ControlToValidate="txtCorreo" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 222px; height: 23px;">
                </td>
                <td style="height: 23px">
                </td>
                <td align="left" style="width: 322px; height: 23px;">
                    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaCorreo %>"
                        runat="server" Style="display: none"></asp:Label>
                    <asp:GridView ID="gvListaCorreos" runat="server" AutoGenerateColumns="false" Visible="false"
                        Width="451px">
                        <Columns>
                            <asp:BoundField DataField="idCorreo" SortExpression="idCorreo" HeaderText="<%$ Resources:Idioma, lblId %>">
                                <ItemStyle Width="90px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="direccionCorreo" SortExpression="direccionCorreo" HeaderText="<%$ Resources:Idioma, lblCorreo %>">
                                <ItemStyle Width="200px" />
                            </asp:BoundField>
                            <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblAccion %>">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idCorreo")%>'>
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idCorreo")%>'>
                                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <asp:Label ID="lblMensCorreo" runat="server" Visible="False"></asp:Label>
                    <br />
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
            CausesValidation="true" />
        &nbsp;
        <asp:Button ID="btnAdicionarOtro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
            CausesValidation="true" />
        &nbsp;<asp:Button ID="btnModificar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"
            CausesValidation="true" Visible="false" />
        <br />
        <br />
    </div>
</asp:Content>
