<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarRangoPerdida.aspx.vb" Inherits="AudiControl.EditarRangoPerdida"
    Title="<%$ Resources:TituloPaginas, TitEditarRangoPerdida %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdTipoImpacto" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdRangoPerdida" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdImpacto" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblValorImpacto" runat="server" Visible="false"></asp:Label>
    <asp:Label ID="lblIdMetodo" runat="server" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblEditarRangoPerdida" runat="server" Text="<%$ Resources:TituloPasos, lblEditarRangoPerdida %>"></asp:Label>
        </div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" CssClass="colorExito " Visible="False"></asp:Label>
    </div>
    <br />
    <div align="center">
        <table>
            <tr>
                <td style="text-align: center" colspan="2">
                    <asp:Label ID="lblTipoImpacto" runat="server" Text="<%$ Resources: lblTipoImpacto %>"
                        CssClass="subtituloTercerNivel"> </asp:Label>:&nbsp;
                    <asp:Label ID="lblNombreTipoImpacto" runat="server" CssClass="subtituloTercerNivel"></asp:Label>
                </td>
            </tr>
            <tr>
                <td style="height: 44px; text-align: center;" colspan="2">
                    <asp:Label ID="lblImpacto" runat="server" Text="<%$ Resources:Idioma, lblImpacto %>"
                        CssClass="subtitulo "></asp:Label>
                    &nbsp;<asp:Label ID="lblValorImpactoNombre" runat="server" Width="220px" CssClass="subtitulo "></asp:Label><br />
                    <asp:Label ID="lblMillon" runat="server" CssClass="ruta" Text="<%$ Resources: Idioma, lblMillones %>"></asp:Label>
                </td>
            </tr>
            <tr>
                <td style="text-align: right">
                    <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources: lblDescripcion %>"></asp:Label>&nbsp;*
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="txtDescripcion" runat="server" Width="400px" MaxLength="255" Height="20px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <asp:Label ID="Label2" runat="server" Text="<%$ Resources: lblDescripcionObligatoria %>"></asp:Label>
                    </asp:RequiredFieldValidator><br />
                    <asp:CustomValidator ID="cvDescripcion" ControlToValidate="txtDescripcion" runat="server"></asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 274px; height: 24px; text-align: right;">
                    &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                    &nbsp;
                    <asp:Label ID="lblValorInicial" runat="server" Text="<%$ Resources: lblValorInicial %>"></asp:Label><br />
                    <br />
                </td>
                <td style="width: 390px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtValorInicial" runat="server" Width="144px" MaxLength="15"></asp:TextBox><asp:RequiredFieldValidator
                        ID="rfvValorInicial" runat="server" ControlToValidate="txtValorInicial">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <asp:Label ID="lblValorInicialObligatorio" runat="server" Text="<%$ Resources: lblValInicialObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                    <br />
                    <asp:CustomValidator ID="cvValorInicial" runat="server" ControlToValidate="txtValorInicial"></asp:CustomValidator><br />
                </td>
            </tr>
            <tr>
                <td style="width: 274px; height: 24px; text-align: right;">
                    &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                    &nbsp;&nbsp; &nbsp;
                    <asp:Label ID="lblValorFinal" runat="server" Text="<%$ Resources: lblValorFinal %>"></asp:Label><br />
                    <br />
                </td>
                <td style="width: 390px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtValorFinal" runat="server" Width="144px" MaxLength="15"></asp:TextBox><asp:RequiredFieldValidator
                        ID="rfvValorFinal" runat="server" ControlToValidate="txtValorFinal" Height="24px">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <asp:Label ID="Label1" runat="server" Text="<%$ Resources: lblValFinalObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                    <br />
                    <asp:CustomValidator ID="cvValorFinal" runat="server" ControlToValidate="txtValorFinal"></asp:CustomValidator><br />
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnAgregarRango" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
            CausesValidation="true" />
        <br />
    </div>
</asp:Content>
