﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarRiesgoInherente.aspx.vb" Inherits="AudiControl.EditarRiesgoInherente"
    Title="E<%$ Resources:TituloPaginas, TitEditarRiesgoInherente %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblidProbabilidad" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblidImpacto" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header" style="text-align: center">
        <asp:Label ID="lblEditarParametrosGenerales" runat="server" Text="<%$ Resources:Menu, m0403030103 %>"></asp:Label>
    </div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
    <br />
    <div align="center">
        <table>
            <tr>
                <td valign="top">
                    <br />
                    <asp:Label runat="server" Text='<%$ Resources:Idioma, titProbabilidad %>' Width="14px"
                        Height="150px"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblAbreviaturaRiesgo" runat="server" Text=""></asp:Label>
                    <asp:Label ID="lblEstandar" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    <br />
                    <br />
                    <asp:GridView ID="gvRiesgo" runat="server" AutoGenerateColumns="true" HeaderStyle-HorizontalAlign="Center"
                        ShowFooter="true">
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <FooterStyle BackColor="Silver" />
                    </asp:GridView>
                    <br />
                    <asp:Label runat="server" Text='<%$ Resources:Idioma, titImpacto %>'></asp:Label>
                </td>
                <td style="width: 25px">
                </td>
                <td>
                    <asp:GridView ID="gvRiesgoAntesControles" runat="server" AutoGenerateColumns="False">
                        <Columns>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="20px">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel") %>' Visible="false"></asp:Label></ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="140px">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="left" VerticalAlign="Top" Width="130px" />
                                <ItemTemplate>
                                    <asp:Label ID="lblIdDescripcion" runat="server" Text='<%# Eval("idDescripcion") %>'
                                        Visible="false"></asp:Label><asp:TextBox ID="txtRiesgo" BorderWidth="1px" runat="server"
                                            Text='<%# Eval("descripcion") %>' Height="21px" Visible="true"></asp:TextBox><asp:Label
                                                ID="lblIdRiesgoInherenteEmpresa" runat="server" Text='<%# Eval("idRiesgoInherenteEmpresa") %>'
                                                Visible="false"></asp:Label><asp:Label ID="lblIdRiesgo" runat="server" Text='<%# Eval("idRiesgo") %>'
                                                    Visible="false"></asp:Label></ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <br />
        <br />
        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
        <br />
    </div>
</asp:Content>
