﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EstablecerRelEscenarioObjetivo.aspx.vb" Inherits="AudiControl.EstablecerRelEscenarioObjetivo"
    Title="<%$ Resources:TituloPaginas, TitRelacionEscenariosObjetivos %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblEstablecerRelEscenarioObjetivo" runat="server" Text="<%$ Resources:TituloPasos, lblEstablecerRelEscenarioObjetivo %>"></asp:Label>
    </div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <asp:Label ID="lblRelacionExito" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
    <br />
    <table>
        <tr style="width: 200px">
            <td style="width: 500px; text-align: center;">
                <asp:Label ID="lblEscenario" runat="server" Text="<%$ Resources:Idioma, lblEscenario %>"
                    CssClass="subtitulo " Height="25px"></asp:Label>
                &nbsp;&nbsp;
                <asp:Label ID="lblDescripcionEscenario" runat="server" Height="25px" CssClass="subtitulo "
                    Width="393px"></asp:Label>
            </td>
        </tr>
    </table>
    <br />
    <div align="center">
        <asp:Label ID="lblNoObjetivo" runat="server" Visible="false" CssClass="colorExito"></asp:Label><br />
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
        <asp:GridView ID="gvListaObjetivo" runat="server" AutoGenerateColumns="false" AllowPaging="True"
            PageSize="15">
            <Columns>
                <asp:BoundField DataField="idObjetivo" SortExpression="idObjetivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="80px" />
                <asp:BoundField DataField="descripcionObjetivo" SortExpression="descripcionObjetivo"
                    HeaderText="<%$ Resources:Idioma, lblObjControl %>" ItemStyle-Width="350px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkEstablecerRelacion" runat="server" CommandName="ESTABLECER RELACION"
                            CommandArgument='<%# Eval("idObjetivo")%>' CausesValidation="false">
                            <asp:Label ID="lblEstablecerRelacion" runat="server" Text="<%$ Resources:Idioma, btnRelacion %>"></asp:Label></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <table>
            <tr>
                <td style="text-align: center">
                    <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                    <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                        <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                    </asp:RadioButtonList>
                    <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                        <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
                <td style="text-align: center">
                    <asp:TextBox ID="txtCriterio" runat="server" Height="16px" />&nbsp;
                    <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                        CausesValidation="true" /><br />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
