<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarRelacionesEscenarioObjetivoControl.aspx.vb" Inherits="AudiControl.ListarRelacionesEscenarioObjetivoControl"
    Title="<%$ Resources:TituloPaginas, TitRelacionEscenariosObjetivos %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaRelacion %>"
        runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblRelEscAplicacionObjCtrl" runat="server" Visible="false" Text="<%$ Resources:TituloPasos, lblRelEscAplicacionObjCtrl %>"></asp:Label>
            <asp:Label ID="lblRelEscTIObjCtrl" runat="server" Visible="false" Text="<%$ Resources:TituloPasos, lblRelEscTIObjCtrl %>"></asp:Label>
            <asp:Label ID="lblRelEscITObjCtrl" runat="server" Visible="false" Text="<%$ Resources:TituloPasos, lblRelEscITObjCtrl %>"></asp:Label>
            <asp:Label ID="lblRelEscObjCtrl" runat="server" Visible="false" Text="<%$ Resources:TituloPasos, lblRelEscObjCtrl %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <table style="width: 650px">
                <tr>
                    <td style="width: 691px; text-align: center;">
                        <asp:Label ID="lblEscenario" runat="server" Text="<%$ Resources:Idioma, lblEscenario %>"
                            Height="25px" CssClass="subtitulo" Width="90px"></asp:Label>
                        <asp:Label ID="lblDescripcionEscenario" runat="server" Height="25px" CssClass="subtitulo"
                            Width="497px"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <br />
    <div align="center">
        <asp:Label ID="lblNoRelacion" runat="server" Visible="false" CssClass="colorExito "></asp:Label>
        <asp:GridView ID="gvListaRelEscenarioObjetivo" runat="server" AutoGenerateColumns="false"
            AllowPaging="True" PageSize="15">
            <Columns>
                <asp:BoundField DataField="idEscenarioObjetivo" SortExpression="idEscenarioObjetivo"
                    HeaderText="<%$ Resources:Idioma, lblRelacion %>" ItemStyle-Width="80px" Visible="false" />
                <asp:BoundField DataField="idObjetivo" SortExpression="idObjetivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="80px" />
                <asp:BoundField DataField="descripcionObjetivo" SortExpression="descripcionObjetivo"
                    HeaderText="<%$ Resources:Idioma, lblObjControl %>" ItemStyle-Width="350px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkEliminarRelacion" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idEscenarioObjetivo")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminarRelacion %>"></asp:Label></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <asp:Button ID="btnEstablecerRelacion" runat="server" Text="<%$ Resources:Idioma, btnRelacion %>"
            CausesValidation="false" />
    </div>
</asp:Content>
