<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudapExterno.Master" 
    CodeBehind="Login.aspx.vb" Inherits="AudiControl.Login" Title="AudiRisk - Ingreso" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div class="header">
        <asp:Label ID="lblBienvenido" runat="server" Text="<%$ Resources:Idioma, lblBienvenido %>"
            Font-Size="XX-Large" ></asp:Label>
    </div>
    <br />
    <asp:Label ID="lblDatos" runat="server" Text="<%$ Resources:Idioma, lblIngresoDatos %>"
        Font-Size="Medium" CssClass="subtituloTercerNivel"></asp:Label>
         <asp:Label ID="lblNumeroIntentos" runat="server" Text=""
        Font-Size="Medium" CssClass="subtituloTercerNivel" Visible="false"></asp:Label>
    <br />
    <br />
    <table align="center" border="0" cellspacing="0" cellpadding="0" 
        style="height: 220px; width: 750px;" >
        <tr style="vertical-align:top; height:300px">
            <td>
                <div align="center" >
                    <asp:Login ID="lgnLogin" runat="server" DisplayRememberMe="False" LoginButtonText="Ingresar"
                        PasswordRequiredErrorMessage="El password es obligatorio." TitleText="Ingreso"
                        UserNameLabelText="Usuario:" 
                        UserNameRequiredErrorMessage="El nombre de usuario es obligatorio." 
                        meta:resourcekey="lgnLogin" Width="280px">
                        <LayoutTemplate>
                            <table border="0" cellpadding="4" cellspacing="0" style="border-collapse: collapse">
                                <tr>
                                    <td>
                                        <table border="0" cellpadding="0" runat="server" id="idDatosUsuario" style="width: 500px">
                                            <tr>
                                                <td style="text-align: right; width:220px">
                                                    <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" 
                                                        Text="<%$ Resources:Idioma, lblUsuario %>" ></asp:Label>&nbsp;*&nbsp;&nbsp;&nbsp;&nbsp;
                                                </td>
                                                <td style="text-align: left; width: 280px;">
                                                    <asp:TextBox ID="UserName" runat="server" ToolTip="Nombre de usuario" meta:resourcekey="UserName" Width="130px"
                                                        TabIndex="1" AutoCompleteType="Disabled" Height="20px"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                                        ErrorMessage="<%$ Resources: UserNameRequired.ToolTip %>" ToolTip="<%$ Resources: UserName.ToolTip %>"
                                                        ValidationGroup="Login1" Display="Dynamic" SetFocusOnError="True"></asp:RequiredFieldValidator>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="right" style="text-align: right; ">
                                                    &nbsp;<asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" Text="<%$Resources: Idioma, lblPassword %>"></asp:Label>&nbsp;*&nbsp;&nbsp;&nbsp;&nbsp;
                                                </td>
                                                <td style="text-align: left; ">
                                                    <asp:TextBox ID="Password" runat="server" TextMode="Password" Width="130px" TabIndex="2"
                                                        ToolTip="Contrasea" meta:resourcekey="Password" AutoCompleteType="Disabled" Height="20px"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                                        ErrorMessage="<%$ Resources: PasswordRequired.ToolTip %>" ToolTip="<%$ Resources: Password.ToolTip %>" ValidationGroup="Login1" ></asp:RequiredFieldValidator>
                                                </td>
                                            </tr>
                                            <tr runat="server"  id="trNuevoPassword1">
                                                <td align="right" style="text-align: right; ">
                                                    <asp:Label ID="Label1" runat="server" AssociatedControlID="Password" 
                                                        Text="<%$ Resources:Idioma, lblNewPassword %>"></asp:Label>&nbsp;*&nbsp;&nbsp;&nbsp;&nbsp;
                                                    <br />
                                                    <br />
                                                </td>
                                                <td style="text-align: left; ">
                                                    <asp:TextBox ID="txtNuevoPassword1" runat="server" TextMode="Password" Width="130px" Height="20px"
                                                        TabIndex="2" ToolTip="Contrasea" AutoCompleteType="Disabled" meta:resourcekey="txtNuevoPassword1"></asp:TextBox>
                                                    <br />
                                                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtNuevoPassword1"
                                                        ErrorMessage="Password requerido" ToolTip="Password requerido" ValidationGroup="Login1" ></asp:RequiredFieldValidator>
                                                    <asp:CompareValidator ID="cvPasswordAnterior" runat="server" 
                                                        ErrorMessage="El nuevo password no puede ser igual al anterior" 
                                                        ControlToCompare="Password" ControlToValidate="txtNuevoPassword1" 
                                                        Operator="NotEqual" ValidationGroup="Login1" meta:resourcekey="cvPasswordAnterior"></asp:CompareValidator>        
                                                </td>
                                            </tr>
                                            <tr runat="server"  id="trNuevoPassword2">
                                                <td align="right" style="text-align: right; ">
                                                    <asp:Label ID="Label2" runat="server" AssociatedControlID="Password" 
                                                        Text="<%$ Resources: ConfirmarContrasena %>" Width="150px"></asp:Label>&nbsp;*&nbsp;&nbsp;&nbsp;&nbsp;
                                                    <br />
                                                </td>
                                                <td style="text-align: left; ">
                                                    <asp:TextBox ID="txtNuevoPassword2" runat="server" TextMode="Password" Width="130px" Height="20px"
                                                        TabIndex="2" ToolTip="Contrasea" AutoCompleteType="Disabled" meta:resourcekey="txtNuevoPassword2"></asp:TextBox>
                                                    <br />
                                                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtNuevoPassword2"
                                                        ErrorMessage="<%$ Resources: PasswordRequiredErrorMessage.lgnLogin %>" ToolTip="Password requerido" ValidationGroup="Login1" ></asp:RequiredFieldValidator>
                                                    <asp:CompareValidator ID="cvPasswordNuevo" runat="server" 
                                                        ErrorMessage="El nuevo password no coincide" 
                                                        ControlToCompare="txtNuevoPassword1" ControlToValidate="txtNuevoPassword2" 
                                                        Operator="Equal" ValidationGroup="Login1" meta:resourcekey="cvPasswordNuevo"></asp:CompareValidator>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="right" style="text-align: center;" valign="bottom" colspan="2">
                                                    <br />
                                                    <asp:Button ID="LoginButton" runat="server" CommandName="Login" 
                                                        Text="<%$Resources: Idioma, btnIngresar %>" ValidationGroup="Login1"
                                                        TabIndex="3" Width="82px" ToolTip="Presione para ingresar" meta:resourcekey="LoginButton" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="right" valign="bottom">
                                                    &nbsp;</td>
                                                <td valign="bottom"></td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" style="color: red; height: 45px; text-align: center;">
                                                    <asp:Label ID="lblError" runat="server" Text="Nombre o contrasea incorrecto" meta:resourcekey="lblError"></asp:Label>
                                                    <asp:Label ID="lblErrorNumero" runat="server" Text="Contrasea no tiene nmeros" meta:resourcekey="lblErrorNumero"></asp:Label>
                                                    <asp:Label ID="lblErrorActivo" runat="server" Text="Usuario inactivo" Visible="false" meta:resourcekey="lblErrorActivo"></asp:Label>
                                                    <asp:Label ID="lblErrorCambioPassword" runat="server" Text="Debe cambiar el password" Visible="false" meta:resourcekey="lblErrorCambioPassword"></asp:Label>
                                                    <asp:RegularExpressionValidator ID="regLoginUs" runat="server" ErrorMessage="Caracteres invlidos en el usuario"
                                                        ControlToValidate="UserName" ValidationExpression="[^<>'&quot;()&]{1,50}" ValidationGroup="Login1" meta:resourcekey="regLoginUs"></asp:RegularExpressionValidator>
                                                    <asp:RegularExpressionValidator ID="regLoginPw" runat="server" ControlToValidate="Password"
                                                        ErrorMessage="Caracteres invlidos en la contrasea" ValidationExpression="[^<>'&quot;()&]{1,50}"
                                                        ValidationGroup="Login1" meta:resourcekey="regLoginPw"></asp:RegularExpressionValidator>
                                                    </td>
                                            </tr>
                                        </table>
                            </td> </tr> </table>
                            
                        </LayoutTemplate>
                    </asp:Login>
                </div>
            </td>
        </tr>
    </table>
  
        
</asp:Content>
