﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="EditarIncidente.aspx.vb" Inherits="AudiControl.EditarIncidente" Title="<%$ Resources:TituloPaginas, TitEditarIncidente %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdIncidenteSeguridad" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent ">
            <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblMantenimientoIncidente" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoIncidente %>"></asp:Label>
        </div>
        <br />
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito "></asp:Label>
        <br />
        <div style="text-align: center">
            <asp:Label ID="lblEstudioAmenaza" Width="89px" runat="server" Style="text-align: right"
                Text="<%$ Resources:Idioma, lblAmenaza %>" CssClass="subtitulo"></asp:Label>&nbsp;
            <asp:Label ID="lblDescripcionAmenaza" runat="server" CssClass="subtitulo" Style="text-align: left"></asp:Label>
        </div>
        <div align="center">
            <table>
                <tr>
                    <td style="text-align: right">
                        <asp:Label ID="lblDescripcionIncidente" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>&nbsp;*
                        <br />
                        <br />
                        <br />
                    </td>
                    <td style="text-align: left">
                        <asp:TextBox ID="txtDescripcionIncidente" runat="server" TextMode="MultiLine" MaxLength="300"
                            Height="41px" Width="400px"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDescripcionIncidente" runat="server" ControlToValidate="txtDescripcionIncidente">
                            <asp:Label ID="lblDescripcionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvDescripcionIncidente" runat="server" ControlToValidate="txtDescripcionIncidente"></asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right">
                        <asp:Label ID="lblFechaOcurrencia" Text="<%$ Resources: Idioma, lblFechaOcurrencia %>"
                            runat="server"></asp:Label>&nbsp;*
                    </td>
                    <td style="text-align: left">
                        <asp:TextBox ID="txtFechaOcurrencia" runat="server" MaxLength="15"></asp:TextBox>
                        <asp:Button ID="btnFecha" runat="server" Text="..." CausesValidation="false" />
                        <asp:Calendar ID="calFecha" runat="server" Visible="False" SelectedDate="<%# DateTime.Now %>">
                        </asp:Calendar>
                        <br />
                        <asp:RequiredFieldValidator runat="server" ControlToValidate="txtFechaOcurrencia"
                            Text="<%$ Resources: Idioma, lblFecNoValida %>" Display="Dynamic"></asp:RequiredFieldValidator>
                        <asp:Label ID="lblFechaNoValida" CssClass="colorFormatoNoValido" runat="server" Text="<%$ Resources: Idioma, lblFecNoValida %>"
                            Visible="false"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarIncidente" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" />&nbsp;
            <asp:Button ID="btnAdicionarOtroIncidente" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
        </div>
    </div>
</asp:Content>
