﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="EstablecerRelacionObjetivosControlConAmenazas.aspx.vb" Inherits="AudiControl.EstablecerRelacionObjetivosControlConAmenazas"
    Title="<%$ Resources: Menu, m04040406 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEscenarioObjetivoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdObjetivo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensaje" Text="<%$ Resources:Idioma, msgEliminaRelacion %>" runat="server"
        Style="display: none"></asp:Label>
    <div>
        <div class="headerContent ">
            <div class="izquierda">
                <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                    Width="120px"></asp:Label>
                <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
                <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                    Width="120px"></asp:Label>
                <asp:Label ID="lblNombreEstudio" runat="server"></asp:Label>
            </div>
        </div>
        <div class="header">
            <asp:Label ID="lblAmenazasObjetivos" runat="server" Text="<%$ Resources: Menu, m04040406 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
            <asp:Label Style="text-align: center" ID="lblEliminaAmenaza" runat="server" Visible="false"
                CssClass="colorError" Text="<%$ Resources: Idioma, lblEliminaAmenaza %>"></asp:Label><br />
            <asp:Label ID="lblNoSeleccion" runat="server" CssClass="colorError" Visible="False"></asp:Label><br />
            <asp:Label ID="lblObjetivo" runat="server" Text="" CssClass="subtitulo"></asp:Label>
            <br />
            <br />
            <table style="width: 850px;">
                <tr>
                    <td>
                        <asp:Label ID="lblAmenazasElegibles" runat="server" Text="<%$ Resources:lblAmenazaElegible %>"
                             Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300" ></asp:Label>
                        <br />
                    </td>
                    <td style="width: 40px">
                    </td>
                    <td>
                        <asp:Label ID="lblAmenazasSeleccionadas" runat="server" Text="<%$ Resources:lblAmenazasSeleccionadas %>"
                            Font-Bold="True" Font-Size="12pt" ForeColor="#009900"></asp:Label>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td style="text-align: center;">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <asp:Label ID="lblNoExisteParaRelacion" runat="server" Visible="False" CssClass="colorError"
                            Width="181px" Style="text-align: center"></asp:Label>
                        <div style="overflow: auto; width: 390px; height: 156px;">
                            <asp:GridView ID="gvListaEscenarioAmenazas" runat="server" AutoGenerateColumns="false"
                                Width="370px" Height="141px">
                                <Columns>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="20px">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkSeleccionarAmenaza" runat="server" OnCheckedChanged="chkSeleccionarAmenaza_CheckedChanged"
                                                AutoPostBack="true" />
                                            <asp:Label ID="lblIdEstudioAmenazaEscenario" runat="server" Text='<%# Eval("idEstudioAmenazaEscenario") %>'
                                                Visible="false"></asp:Label>
                                            <asp:Label ID="lblIdAmenaza" runat="server" Text='<%# Eval("idAmenaza") %>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px"></ItemStyle>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="idEscenarioAmenaza" SortExpression="idEscenarioAmenaza"
                                        HeaderText="<%$ Resources:Idioma, lblRelacion %>" ItemStyle-Width="50px" Visible="false">
                                        <ItemStyle Width="50px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="80px">
                                        <ItemStyle Width="80px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                                        HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="280px">
                                        <ItemStyle Width="280px"></ItemStyle>
                                    </asp:BoundField>
                                </Columns>
                            </asp:GridView>
                            <br />
                        </div>
                    </td>
                    <td>
                        <asp:Button ID="btnAsignarTodasAmenazas" runat="server" Text="&gt;&gt;" Width="36px" /><br />
                        <asp:Button ID="btnAsignarAmenaza" runat="server" Text="&gt;" Width="36px" /><br />
                        <asp:Button ID="btnDesasignarAmenaza" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;" /><br />
                        <asp:Button ID="btnDesasignarTodasAmenazas" runat="server" Text="&lt;&lt;" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;"
                            Width="36px" />
                    </td>
                    <td style="text-align: right;">
                        <div style="overflow: auto; width: 390px; height: 147px;">
                            <asp:GridView ID="gvListaEstudioAmenazaObjetivo" runat="server" Width="360px" Height="139px"
                                AutoGenerateColumns="False" Style="text-align: center">
                                <Columns>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="20px">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkDesmarcarAmenaza" runat="server" />
                                            <asp:Label ID="lblIdEstudioAmenazaObjetivo" runat="server" Text='<%# Eval("idEstudioAmenazaObjetivo") %>'
                                                Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px"></ItemStyle>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="80px">
                                        <ItemStyle Width="80px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                                        HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="280px">
                                        <ItemStyle Width="280px"></ItemStyle>
                                    </asp:BoundField>
                                </Columns>
                            </asp:GridView>
                        </div>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblAmenaza" runat="server" Text="<%$ Resources:Idioma, lblAmenaza %>"></asp:Label>
            <br />
            <asp:TextBox ID="txtDescripcionAmenaza" runat="server" Height="22px" Width="600px"
                ReadOnly="true"></asp:TextBox>
            <br />
            <br />
            <asp:TextBox ID="txtDetalleAmenaza" runat="server" TextMode="MultiLine" Height="60px"
                Width="600px" ReadOnly="true"></asp:TextBox>
            <br />
            <br />
        </div>
    </div>
</asp:Content>
