<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="EvaluarProteccionOfrecida.aspx.vb" Inherits="AudiControl.EvaluarProteccionOfrecida"
    Title="<%$ Resources:TituloPaginas, TitEvaluacionPO %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenazaEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblNoExisteControl" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblSeleccionRealizadaCosto" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblSeleccionRealizadaBeneficio" runat="server" Text="" Visible="false">
    </asp:Label><asp:Label ID="lblExisteEvaluacionAmenaza" runat="server" Text="" Visible="false">
    </asp:Label><asp:Label ID="lblIdEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdControl" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent ">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblEvaluarProteccion" runat="server" Text="<%$ Resources:TituloPasos, lblEvaluarProteccion %>"></asp:Label>
        </div>
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <div class="alineacionIzquierda">
            <asp:Label ID="lblEscenario" runat="server" Text="" CssClass="subtitulo"></asp:Label>
            <br />
            <asp:Label ID="lblAmenaza" runat="server" Text="" CssClass="subtitulo"></asp:Label>
            <br />
            <asp:Label ID="lblTituloHallazgo" runat="server" Text="" CssClass="subtitulo"></asp:Label>
            &nbsp;<asp:Label ID="lblHallazgo" runat="server" Text="" CssClass="subtituloSegundoNivel"></asp:Label>
            <br />
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td style="width: 190px; text-align: center">
                        <asp:Label ID="lblDatosControl" runat="server" Text="<%$Resources: Idioma, lblDescripcionesControl %>"
                            CssClass="subtituloTercerNivel" Visible="true"></asp:Label><br />
                    </td>
                    <td style="text-align: left">
                        <asp:TextBox ID="txtDescripcionControl" runat="server" Height="19px" Width="500px"
                            Enabled="False" ReadOnly="True" Visible="False"></asp:TextBox>
                        <br />
                        <asp:TextBox ID="txtDetalleControl" runat="server" TextMode="MultiLine" Height="60px"
                            Width="500px" Enabled="False" ReadOnly="True" Visible="False"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <table border="1" style="border-color: #C0C0C0">
                            <tr>
                                <td style="width: 120px">
                                    <asp:Label ID="lblProteccionOfrecida" runat="server" Height="40px" Width="80px" Text="<%$ resources: Idioma, lblProteccionOfrecida %>"></asp:Label>
                                </td>
                                <td id="celdaProteccion">
                                    <asp:Label ID="lblProteccionExistente" runat="server" Height="70px" Width="80px"></asp:Label>
                                </td>
                            </tr>
                        </table>
                        <br />
                        <table border="1" style="border-color: #C0C0C0">
                            <tr>
                                <td>
                                    <asp:Label ID="lblAnillos" runat="server" Text="<%$ Resources: lblAnillos %>"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblCumpleAnillos" runat="server" Text=""></asp:Label><br />
                                    <br />
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td>
                    <center>
                        <table>
                            <tr>
                                <td>
                                    <table border="1" style="border-color: #C0C0C0">
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblPromedioClase" runat="server" Text="<%$ Resources: lblPromedioClase %>"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblCalificacionMinima" runat="server" Text="<%$ Resources: lblCalificacionMinima %>"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblCalificacionPromedio" runat="server" Text="<%$ Resources: lblCalificacionpromedio %>"></asp:Label>
                                                <asp:Label ID="lblCalificacion" runat="server" Text=""></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                    <br />
                                    <table border="1" style="border-color: #C0C0C0">
                                        <tr>
                                            <td colspan="3">
                                                <asp:Label ID="lblEficiencia" runat="server" Text="<%$ Resources: lblEficiencia %>"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblCosto" runat="server" Text="<%$ Resources: lblCosto %>"></asp:Label>
                                            </td>
                                            <td style="width: 100px">
                                                <asp:Label ID="lblBeneficio" runat="server" Text="<%$ Resources: lblBeneficio %>"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="lblRelacion" runat="server" Text="<%$ Resources: lblRelacion %>"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="width: 100px" align="left">
                                                <asp:RadioButtonList ID="rblCosto" runat="server" AutoPostBack="True">
                                                </asp:RadioButtonList>
                                            </td>
                                            <td style="width: 100px" align="left">
                                                <asp:RadioButtonList ID="rblBeneficio" runat="server" AutoPostBack="True">
                                                </asp:RadioButtonList>
                                            </td>
                                            <td style="width: 100px">
                                                <asp:Label ID="lblBeneficioCosto" runat="server" Text='<%# Eval("relacionBeneficioCosto") %>'></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                        <br />
                        </center>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" align="center">
                        <asp:RequiredFieldValidator ID="rfvCosto" runat="server" ControlToValidate="rblCosto">
                            <asp:Label ID="lblSeleccionCosto" runat="server" Text="<%$ Resources: lblSeleccionCosto %>"></asp:Label></asp:RequiredFieldValidator>
                        <br />
                        <asp:Label ID="lblNoControl" runat="server" Text="<%$ Resources: lblAmenazaNoControl %>"
                            Visible="False" CssClass="subtituloColor"></asp:Label>
                        <asp:Label ID="lblExito" runat="server" Text="<%$ Resources: Idioma, lblExito %>"
                            Visible="False" CssClass="colorExito"></asp:Label>
                        <asp:Label ID="lblNoExistenFrecuencias" runat="server" Visible="false"></asp:Label>
                        <asp:Label ID="lblSeleccionFrecuencia" runat="server" Visible="false"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" align="center">
                        <asp:RequiredFieldValidator ID="rfvBeneficio" runat="server" ControlToValidate="rblBeneficio">
                            <asp:Label ID="lblSeleccionBeneficio" runat="server" Text="<%$ Resources: lblSeleccionBeneficio %>"></asp:Label></asp:RequiredFieldValidator>
                        <asp:CheckBox ID="chkNoTieneControl" runat="server" AutoPostBack="true" Text="<%$ Resources: lblNoControlEscenario %>" />
                        <br />
                        <asp:GridView ID="gvListaControles" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:BoundField DataField="idControl" SortExpression="idControl" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="90px"></asp:BoundField>
                                <asp:BoundField DataField="descripcionControl" SortExpression="descripcionControl"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="400px">
                                </asp:BoundField>
                                <asp:BoundField DataField="tipoControl" SortExpression="tipoControl" HeaderText="<%$ Resources:Idioma, lblTipoControl %>"
                                    ItemStyle-Width="150px"></asp:BoundField>
                                <asp:BoundField DataField="claseControl" SortExpression="claseControl" HeaderText="<%$ Resources:Idioma, lblClaseControl %>"
                                    ItemStyle-Width="150px"></asp:BoundField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkControl" runat="server" Visible="true" OnCheckedChanged="chkControl_CheckedChanged"
                                            AutoPostBack="True" />
                                        <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text='<%# Eval("idEstudioAmenaza") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblTipoControl" runat="server" Text='<%# Eval("idTipo") %>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblValorClase" runat="server" Text='<%# Eval("valorClase") %>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdEstudioAmenazaControl" runat="server" Text='<%# Eval("idEstudioAmenazaControl") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdEstudioAmenazaEscenario" runat="server" Text='<%# Eval("idEstudioAmenazaEscenario") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblAmenazaControl" runat="server" Text='<%# Eval("idAmenazaControl") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdControl" runat="server" Text='<%# Eval("idControl") %>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblExisteControl" runat="server" Text='<%# Eval("tieneControl") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblTieneControlEscenario" runat="server" Text='<%# Eval("tieneControlEscenario") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    HeaderText="<%$ Resources: lblFrecuencia %>" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                                    <ItemTemplate>
                                        <asp:DropDownList ID="drpFrecuencia" runat="server">
                                        </asp:DropDownList>
                                        <asp:Label ID="lblIdFrecuencia" runat="server" Text='<%# Eval("idFrecuenciaAplicacion") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                        <br />
                        <%--  <asp:Button ID="btnMantenimientoControl" runat="server" 
             CausesValidation="False" Width="169px" />--%>
                        <asp:Button ID="btnMantenimientoFrecuencia" runat="server" CausesValidation="False"
                            Width="208px" />
                        <asp:Button ID="btnGuardarNohayControl" runat="server" Text="<%$ Resources:lblEvaluar %>"
                            CausesValidation="False" Enabled="false" Visible="False" />
                        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources: lblEvaluar %>" />
                        <asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                            Width="100px" />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
