﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ListarEscenariosObjetivosEstudio.aspx.vb" Inherits="AudiControl.ListarEscenariosObjetivosEstudio"
    Title="<%$ Resources: Menu, m04040406 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudioEscenario" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent ">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblAmenazasObjetivos" runat="server" Text="<%$ Resources: Menu, m04040406 %>"></asp:Label>
        </div>
        <br />
        <br />
        <div align="center">
            <asp:Label ID="lblSeleccionUnEscenario" runat="server" Text="<%$ Resources:Idioma,lblSeleccionUnEscenario %>"
                CssClass="subtitulo "></asp:Label>
            <br />
            <br />
            <asp:DropDownList ID="drpEscenarios" runat="server" Width="500px" AutoPostBack="true">
            </asp:DropDownList>
            <br />
            <asp:Label ID="lblAmenazasSinRelacionar" runat="server" Text="" Visible="false" CssClass="colorError "></asp:Label>
            <br />
            <asp:Label ID="AmenazasNoRelacionadas" runat="server" Text="" Visible="false" CssClass="colorError "></asp:Label>
            <br />
            <br />
            <asp:GridView ID="gvListaObjetivos" runat="server" AutoGenerateColumns="false" Visible="false">
                <Columns>
                    <asp:BoundField DataField="idObjetivo" SortExpression="idObjetivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="100px"></asp:BoundField>
                    <asp:BoundField DataField="descripcionObjetivo" SortExpression="descripcionObjetivo"
                        HeaderText="<%$ Resources:Idioma, lblObjetivosControl %>" ItemStyle-Width="400px">
                    </asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRelacionado %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="140px">
                        <ItemTemplate>
                            <asp:Label ID="lblSi" runat="server" Text='<%# Eval("seleccionado")%>' Visible="false"></asp:Label>
                            <asp:Label ID="lblRelacionado" runat="server" Text=""></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="160px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEstablecerRelacion" runat="server" CommandName="RELACIONAR"
                                CommandArgument='<%# Eval("idEscenarioObjetivoEstudio")%>' CausesValidation="false">
                                <asp:Label ID="lblEstablecerRelacion" runat="server" Text="<%$ Resources:Idioma,btnRelacion %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:DropDownList ID="drpReportes" runat="server">
                <asp:ListItem Text="<%$ Resources: btnReporteObjetivosControlEscenario %>" Value="1"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources: btnReporteEstadisticaObjetivosControlEscenario %>"
                    Value="2"></asp:ListItem>
            </asp:DropDownList>
            &nbsp;&nbsp;&nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                Width="100px" CausesValidation="False" />
        </div>
    </div>
    <br />
</asp:Content>
