<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ReporteRIAgenteGenerador.aspx.vb" Inherits="AudiControl.ReporteRIAgenteGenerador"
    Title="<%$ Resources:TituloPaginas, TitPerfilRiAgente %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" Style="display: none" runat="server"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdPagina" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblPerfilRIAgente" runat="server" Text="<%$ Resources:Menu, m0404030704 %>"></asp:Label></div>
        <br />
        <br />
        <div align="center">
            <asp:GridView ID="gvPerfilRIAgente" runat="server" AutoGenerateColumns="False" Style="margin-top: 1px">
                <Columns>
                    <asp:BoundField DataField="idAgente" SortExpression="idAgente" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="50px">
                        <ItemStyle Width="100px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="nombreAgente" SortExpression="nombreAgente" HeaderText="<%$ Resources:Idioma, lblNombreAgente %>"
                        ItemStyle-Width="200px">
                        <ItemStyle Width="200px"></ItemStyle>
                    </asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblTotalAmenazas %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="80px">
                        <ItemTemplate>
                            <asp:Label ID="lblTotalAmenazas" runat="server" Text='<%# Eval("TotalAmenazas")%>'
                                Visible="true"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="50px">
                        <ItemTemplate>
                            <asp:Label ID="lblRI" runat="server" Text='<%# Eval("RiesgoInherente")%>' Visible="true"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblSignificadoRI %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblSignificadoRI" runat="server" Text='<%# Eval("significadoRiesgo")%>'
                                Visible="true"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblMuyAlto %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="80px">
                        <ItemTemplate>
                            <asp:Label ID="lblTotalAmenazasMuyAlto" runat="server" Text='<%# Eval("TotalAmenazasMuyAlto")%>'
                                Visible="true"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" BackColor="Red" ForeColor="Black"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAlto %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="80px">
                        <ItemTemplate>
                            <asp:Label ID="lblTotalAmenazasAlto" runat="server" Text='<%# Eval("TotalAmenazasAlto")%>'
                                Visible="true"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" BackColor="Yellow" ForeColor="Black"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAceptable %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="80px">
                        <ItemTemplate>
                            <asp:Label ID="lblTotalAmenazasAceptable" runat="server" Text='<%# Eval("TotalAmenazasAceptable")%>'
                                Visible="true"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" BackColor="Green" ForeColor="White"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idAgente")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblVer" runat="server" Text="<%$ Resources: Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <telerik:ReportViewer ID="rvReporteGraficaRiesgoInherentePorAgente" runat="server"
                Height="440px" Report="Com.Audisis.Reportes.ReporteGraficaRiesgoInherentePorAgente, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                ToolbarVisible="False" Width="680px">
            </telerik:ReportViewer>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
        </div>
    </div>
    <br />
</asp:Content>
