﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="VerSAPE.aspx.vb" Inherits="AudiControl.VerSAPE" Title="<%$ Resources:TituloPaginas, TitVerSape %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblCategoriasSinOpinion" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblCategoriaSeleccionada" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblVerSAPE" runat="server" Text="<%$ Resources:TituloPasos, lblVerSAPE %>"></asp:Label>
        </div>
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <asp:Label ID="lblSeleccionUnaCategoria" runat="server" Text="<%$ Resources:Idioma,lblSeleccionCategoria %>"
                CssClass="subtitulo "></asp:Label>
            <br />
            <br />
            <asp:DropDownList ID="drpCategorias" runat="server" Width="500px" AutoPostBack="true">
            </asp:DropDownList>
            <br />
            <br />
            <asp:Label ID="lblopinionAuditor" runat="server" Text="<%$ Resources:Idioma, lblOpinionAuditor %>"
                CssClass="subtitulo "></asp:Label>
            &nbsp; *
            <br />
            <asp:Label ID="lblExito" runat="server" CssClass="colorExito"></asp:Label>
            <br />
            <asp:TextBox ID="txtopinionAuditor" runat="server" Height="52px" TextMode="MultiLine"
                Width="710px"></asp:TextBox>
            <br />
            <asp:RequiredFieldValidator ID="rfvtxtopinionAuditor" runat="server" ControlToValidate="txtopinionAuditor">
                <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblOpinionAuditorObligatoria %>"></asp:Label>
            </asp:RequiredFieldValidator>
            <br />
            <br />
            <br />
            <asp:Button ID="btnguardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                CausesValidation="true" />
            &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            <br />
            <br />
            <asp:Label ID="lblAmenaza" runat="server" Text="<%$ Resources:Idioma, lblAmenazas %>"
                CssClass="subtitulo "></asp:Label>
            <br />
            <br />
            <table>
                <tr>
                    <td>
                        <div style="overflow: auto; width: 790px; height: 250px;">
                            <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false" Width="790px"
                                ShowFooter="True">
                                <Columns>
                                    <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="50px"></asp:BoundField>
                                    <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                                        HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="400px"></asp:BoundField>
                                    <asp:BoundField DataField="valorRiesgoInherente" SortExpression="valorRiesgoInherente"
                                        HeaderText="<%$ Resources:Idioma,lblValorRI %>" ItemStyle-Width="20px"></asp:BoundField>
                                    <asp:BoundField DataField="descripcionRiesgoInherente" SortExpression="descripcionRiesgoInherente"
                                        HeaderText="<%$ Resources:Idioma, lblRI %>" ItemStyle-Width="150px"></asp:BoundField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                        Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                        ItemStyle-Width="150px">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColorRI" runat="server" Text='<%# Eval("colorNivel")%>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="valorProteccion" SortExpression="valorProteccion" HeaderText="<%$ Resources:Idioma,lblValorPE %>"
                                        ItemStyle-Width="20px"></asp:BoundField>
                                    <asp:BoundField DataField="proteccionExistente" SortExpression="proteccionExistente"
                                        HeaderText="<%$ Resources:Idioma, lblPE %>" ItemStyle-Width="150px"></asp:BoundField>
                                    <asp:BoundField DataField="valorriesgoresidual" SortExpression="valorriesgoresidual"
                                        HeaderText="<%$ Resources:Idioma,lblValorRR %>" ItemStyle-Width="20px"></asp:BoundField>
                                    <asp:BoundField DataField="riesgoResidual" SortExpression="riesgoResidual" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                        ItemStyle-Width="150px"></asp:BoundField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                        Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                        ItemStyle-Width="150px">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColorRR" runat="server" Text='<%# Eval("colorNivelRR")%>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                        </div>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        <telerik:ReportViewer ID="rvSemaforo" runat="server" Height="500px" Report="Com.Audisis.Reportes.ReporteGraficaProteccionExistenteYRiesgoResidualSAPEPorCategoria, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                            Width="800px" ToolbarVisible="False">
                        </telerik:ReportViewer>
                    </td>
                </tr>
            </table>
            <br />
            &nbsp;&nbsp;&nbsp;
            <br />
        </div>
    </div>
</asp:Content>
