﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="CartadeEntrega.aspx.vb" Inherits="AudiControl.CartadeEntrega" Title="<%$ Resources:TituloPaginas, TitCartaEntrega %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdCarta" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdSitioSeleccionado" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioArea" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblFechaCorte" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblEtapa" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Idioma, lblCartadeEntrega %>"></asp:Label>
    </div>
    <br />
    <div>
        <div class="izquierda">
            <asp:Label ID="lblSitio" runat="server" Text="" CssClass="subtitulo "></asp:Label>
            <asp:Label ID="lblArea" runat="server" Text="" CssClass="subtitulo "></asp:Label>
            <asp:Label ID="lblFechaCorteEnCarta" runat="server" Text="" CssClass="subtitulo "></asp:Label>
        </div>
        <br />
    </div>
    <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
    <br />
    <div class="alineacionIzquierda">
        <asp:Menu ID="MenuPestanas" runat="server" Font-Bold="true" Orientation="Horizontal"
            BorderStyle="solid" BorderColor="White" BorderWidth="1px" OnMenuItemClick="MenuPestanas_MenuItemClick">
            <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
            <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
            <DynamicHoverStyle ForeColor="White" Font-Bold="True" Font-Size="Medium" BackColor="LightCoral" />
            <StaticMenuStyle BackColor="#F4E8AF" BorderWidth="1px" BorderColor="white" ForeColor="Black" />
            <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
            <StaticHoverStyle ForeColor="White" Font-Bold="True" BackColor="orange" BorderColor="Black"
                BorderStyle="Inset" BorderWidth="1px" />
            <StaticSelectedStyle BorderColor="Black" BorderWidth="1px" BorderStyle="solid" BackColor="#FAFAE7" />
            <DynamicSelectedStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" BackColor="#FAFAE7" />
            <Items>
                <asp:MenuItem Text="" Value="0"></asp:MenuItem>
                <asp:MenuItem Text="" Value="1"></asp:MenuItem>
                <asp:MenuItem Text="" Value="2"></asp:MenuItem>
                <asp:MenuItem Text="" Value="3"></asp:MenuItem>
            </Items>
        </asp:Menu>
    </div>
    <div align="center">
        <asp:MultiView ID="mvCartaEntrega" runat="server" ActiveViewIndex="0">
            <asp:View ID="vwDatosOrigen" runat="server">
                <div align="center">
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr valign="top">
                            <td class="TabArea" style="width: 100%" align="center">
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td style="width: 201px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblCiudadOrigen" runat="server" Text="<%$ Resources:Idioma, lblCiudadOrigen %>"
                                                Height="22px" Width="153px"></asp:Label>
                                            *<br />
                                            <br />
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                        </td>
                                        <td align="left" style="text-align: left; width: 599px;">
                                            <asp:TextBox ID="txtCiudadOrigen" runat="server" Height="24px" MaxLength="700" Width="267px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rfvtxtCiudadOrigen" runat="server" ControlToValidate="txtCiudadOrigen">
                                                <asp:Label ID="lblCiudadOrigenObligatoria" runat="server" Text="<%$ Resources:Idioma, lblCiudadOrigenObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 201px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblFechaOrigen" runat="server" Text="<%$ Resources:Idioma, lblFechaOrigen %>"
                                                Height="22px" Width="153px"></asp:Label>
                                            *<br />
                                            <br />
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                        </td>
                                        <td style="text-align: left; width: 599px;">
                                            <asp:TextBox ID="txtFechaorigen" runat="server" Height="23px" MaxLength="700" Width="131px"></asp:TextBox>
                                            <asp:Button ID="btnFechaOrigen" runat="server" CausesValidation="false" Text="..." />
                                            <asp:Calendar ID="calendarFechaOrigen" runat="server" Visible="False"></asp:Calendar>
                                            <asp:RequiredFieldValidator ID="rfvtxtFechaorigen" runat="server" ControlToValidate="txtFechaorigen">
                                                <asp:Label ID="lbltxtFechaorigen" runat="server" Text="<%$ Resources:Idioma, lblFechaOrigenObligatoria %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:CompareValidator ID="cvtxtFechaInicio" runat="server" ErrorMessage="<%$ Resources:Idioma, lblFechaInicioValida %>"
                                                ControlToValidate="txtFechaorigen" Type="Date" Operator="DataTypeCheck"></asp:CompareValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 201px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblNombreRemitente" runat="server" Text="<%$ Resources:Idioma, lblNombreRemitente %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 599px;">
                                            <asp:DropDownList ID="drpAuditor" runat="server" AutoPostBack="True">
                                            </asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="rfvtxtNombreRemitente" runat="server" ControlToValidate="drpAuditor">
                                                <asp:Label ID="lbltxtNombreRemitente" runat="server" Text="<%$ Resources:Idioma, lblNombreRemitenteObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:Label ID="lblNoUsuarios" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 201px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 599px;">
                                            <asp:Label ID="lblCodigoNoValidoUsuarios" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<asp:Label ID="lblDebeSeleccionarCriterioUsuarios"
                                                runat="server" CssClass="colorError" Visible="False"></asp:Label>
                                            <div style="width: 363px; text-align: center">
                                                <div style="text-align: center; width: 156px; float: left">
                                                    <asp:Label ID="lblBuscar1" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                                                    <asp:RadioButtonList ID="rblCriterioUsuarios" runat="server" RepeatDirection="Horizontal"
                                                        Width="162px">
                                                        <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                                        <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </div>
                                                <div style="text-align: center; width: 202px; float: left">
                                                    <asp:TextBox ID="txtCriterioUsuarios" runat="server" Height="18px" />
                                                    <asp:Button ID="btnBuscarUsuarios" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnBuscar %>" />
                                                    <br />
                                                    <%--<asp:Button ID="btnMostrarControles" runat="server" Text="<%$ Resources:Idioma, btnMostrarControles %>" CausesValidation="true" Width="199px" />--%>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 201px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblcargoRemitente" runat="server" Text="<%$ Resources:Idioma, lblCargoRemitente %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 599px;">
                                            <asp:DropDownList ID="drpCargoRemitente" runat="server">
                                            </asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="rfvdrpCargoRemitente" runat="server" ControlToValidate="drpCargoRemitente">
                                                <asp:Label ID="lblCargoRemitenteObligatorio" runat="server" Text="<%$ Resources:Idioma, lblCargoRemitenetObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 201px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblNombreGrupoAuditor" runat="server" Text="<%$ Resources:Idioma, NombreGrupoAuditor %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 599px;">
                                            <asp:TextBox ID="txtNombreGrupoAuditor" runat="server" Height="23px" MaxLength="700"
                                                Width="265px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rfvNombreGrupoAuditor" runat="server" ControlToValidate="txtNombreGrupoAuditor">
                                                <asp:Label ID="lblNombreGrupoAuditorObligatorio" runat="server" Text="<%$ Resources:Idioma, NombreGrupoAuditorobliga %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 201px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 599px;">
                                            &nbsp;
                                        </td>
                                    </tr>
                                </table>
                                <table style="width: 618px">
                                    <tr>
                                        <td>
                                            <asp:Button ID="btnGuardarDatosOrigen" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>"
                                                Width="85px" />
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwDatosDestino" runat="server">
                <div align="center">
                    <table width="100%" cellpadding="0" cellspacing="0" align="center">
                        <tr valign="top">
                            <td style="width: 100%;" class="TabArea" align="center">
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td style="width: 200px; height: 20px; text-align: right;">
                                            <asp:Label ID="lblDestinatario" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblPara %>"
                                                Width="153px"></asp:Label>
                                            *<br />
                                            <br />
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                        </td>
                                        <td align="left" style="text-align: left; width: 600px;">
                                            <asp:DropDownList ID="drpPara" runat="server">
                                                <asp:ListItem Text="<%$ Resources:Idioma, lblSr %>" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="<%$ Resources:Idioma, lblDr %>" Value="2"></asp:ListItem>
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 200px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblCargoDestinatario" runat="server" Text="<%$ Resources:Idioma, lblCargo %>"></asp:Label>
                                            *<br />
                                            <br />
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                        </td>
                                        <td align="left" style="text-align: left; width: 600px;">
                                            <asp:DropDownList ID="drpCargo" runat="server" AutoPostBack="True" Width="258px">
                                            </asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="rvfdrpCargo" runat="server" ControlToValidate="drpCargo">
                                                <asp:Label ID="drpCargoObligatorio" runat="server" Text="<%$ Resources:Idioma, rfvSeleccionCargo %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                            <asp:Button ID="btnMantenimientoCargos" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, lblMantenimientoCargos %>"
                                                Width="155px" />
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 200px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 600px;">
                                            <asp:Label ID="lblCodigoNoValido" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                                            &nbsp;&nbsp;&nbsp;&nbsp;
                                            <asp:Label ID="lblDebeSeleccionarCriterio" runat="server" CssClass="colorError" Visible="False"></asp:Label>
                                            &nbsp;
                                            <asp:Label ID="lblNoCargos" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                                            <div style="text-align: center">
                                                <div style="text-align: center; width: 192px; float: left; margin-right: 5px;">
                                                    <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                                                    <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal"
                                                        Width="162px">
                                                        <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                                        <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </div>
                                                <div style="text-align: center; width: 203px; float: left">
                                                    <asp:TextBox ID="txtCriterio" runat="server" Height="18px" />
                                                    <asp:Button ID="btnBuscarCargos" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnBuscar %>" />
                                                    <br />
                                                    <%--<asp:Button ID="btnMostrarControles" runat="server" Text="<%$ Resources:Idioma, btnMostrarControles %>" CausesValidation="true" Width="199px" />--%>
                                                </div>
                                                <br />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 200px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblNombresDestinatario" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblNombreDestinatario %>"
                                                Width="153px"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 600px;">
                                            <asp:DropDownList ID="drpNombresDestinatario" runat="server" Width="257px" Height="16px">
                                            </asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="rfvdrpNombresDestinatario" runat="server" ControlToValidate="drpNombresDestinatario">
                                                <asp:Label ID="lbldrpNombresDestinatarioobligatorio" runat="server" Text="<%$ Resources:Idioma, lblNombresDestinatario %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            &nbsp;&nbsp;&nbsp;
                                            <asp:Button ID="btnMantenimientoFuncionarios" runat="server" CausesValidation="false"
                                                Text="<%$ Resources:Idioma, lblMantenimientoFuncionario %>" Width="199px" />
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 200px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblCiudad" runat="server" Text="<%$ Resources:Idioma, lblCiudad %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 600px;">
                                            <asp:TextBox ID="txtCiudad" runat="server" Height="23px" MaxLength="700" Width="355px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rfvtxtCiudad" runat="server" ControlToValidate="txtCiudad">
                                                <asp:Label ID="lbltxtCiudad" runat="server" Text="<%$ Resources:Idioma, lblCiudadObligatoria %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 200px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblEstadoInforme" runat="server" Text="<%$ Resources:Idioma, lblVersionInforme %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 600px;">
                                            <asp:DropDownList ID="drpEstadoInforme" runat="server">
                                                <%--<asp:ListItem  Text="<%$ Resources:Idioma, lblPreliminar %>" Value="1"></asp:ListItem>
                                          <asp:ListItem Text="<%$ Resources:Idioma, Definitivo %>" Value="2"></asp:ListItem>--%>
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <br />
                                <table style="width: 800px">
                                    <tr>
                                        <td>
                                            <asp:Button ID="btnGuardarDatosDestino" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>"
                                                Width="102px" />
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwTextoCarta" runat="server">
                <div align="center">
                    <table width="100%" cellpadding="0" cellspacing="0" align="center">
                        <tr valign="top">
                            <td style="width: 100%;" class="TabArea" align="center">
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblFraseCortesia" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblFraseCortesia %>"
                                                Width="153px"></asp:Label>
                                            *<br />
                                            <br />
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                        </td>
                                        <td align="left" style="text-align: left">
                                            <asp:DropDownList ID="drpFraseCortesia" runat="server">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblParrafoInicial" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblparrafoinicial %>"
                                                Width="153px"></asp:Label>
                                            *<br />
                                            <br />
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                        </td>
                                        <td align="left" style="text-align: left">
                                            <asp:TextBox ID="txtParrafoInicial" runat="server" Height="78px" MaxLength="700"
                                                TextMode="MultiLine" Width="550px" Text="<%$ Resources:Idioma, parrafoInicialCartaEntrega %>"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rfvtxtParrafoInicial" runat="server" ControlToValidate="txtParrafoInicial">
                                                <asp:Label ID="lbltxtParrafoInicialObliga" runat="server" Text="<%$ Resources:Idioma, lblCiudadObligatoria %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 270px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblobjetivoEvaluacionCI" runat="server"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left">
                                            <asp:TextBox ID="txtobjetivoEvaluacionCI" runat="server" Height="78px" MaxLength="700"
                                                TextMode="MultiLine" Width="550px" Text=""></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rfvtxtobjetivoEvaluacionCI" runat="server" ControlToValidate="txtobjetivoEvaluacionCI">
                                                <asp:Label ID="lbltxtobjetivoEvaluacionCIobliga" runat="server" Text="<%$ Resources:Idioma, lblObjetivoECIobliga %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblFraseDespedida" runat="server" Text="<%$ Resources:Idioma, lblfraseDespedida %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left">
                                            <asp:DropDownList ID="drpFraseDespedida" runat="server">
                                            </asp:DropDownList>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblPeriodoRevisado" runat="server" Text="<%$ Resources:Idioma, PeriodoRevisado %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left">
                                            <asp:TextBox ID="txtPeriodoRevisado" runat="server" Height="23px" Width="73px" MaxLength="4"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rfvtxtPeriodoRevisado" runat="server" ControlToValidate="txtPeriodoRevisado">
                                                <asp:Label ID="lbltxtPeriodoRevisadoObliga" runat="server" Text="<%$ Resources:Idioma, lblPeriodoRevisadoObliga %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="rvNumerosPeriodoRevisado" runat="server" ControlToValidate="txtPeriodoRevisado"
                                                Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <table style="width: 618px">
                                    <tr>
                                        <td>
                                            <asp:Button ID="btnGuardarTextoCarta" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>"
                                                Width="87px" />
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwValidaInforme" runat="server">
                <div align="center">
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr valign="top">
                            <td class="TabArea" style="width: 100%" align="center">
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td style="width: 199px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblValidadoCon" runat="server" Text="<%$ Resources:Idioma, ValidadoCon %>"
                                                Height="22px" Width="153px"></asp:Label>
                                            *<br />
                                            <br />
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 598px;">
                                            <asp:DropDownList ID="drpCargoValidacion" runat="server" AutoPostBack="True" Height="31px"
                                                Width="267px">
                                            </asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="rfvNombreValidadoCon" runat="server" ControlToValidate="drpCargoValidacion">
                                                <asp:Label ID="lblNombreValidadoConObligatorio" runat="server" Text="<%$ Resources:Idioma, ValidadoConObliga %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            &nbsp;&nbsp;
                                            <asp:Button ID="btnMantenimientoCargos0" runat="server" CausesValidation="false"
                                                Text="<%$ Resources:Idioma, lblMantenimientoCargos %>" Width="155px" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 199px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 598px;">
                                            <asp:Label ID="lblCodigoNoValido0" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<asp:Label ID="lblDebeSeleccionarCriterio0" runat="server"
                                                CssClass="colorError" Visible="False"></asp:Label>
                                            &nbsp;&nbsp;
                                            <asp:Label ID="lblNoCargos0" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                                            <div style="width: 486px; text-align: center">
                                                <div style="text-align: center; width: 211px; float: left">
                                                    <asp:Label ID="lblBuscar0" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                                                    <asp:RadioButtonList ID="rblCriterio0" runat="server" RepeatDirection="Horizontal"
                                                        Width="185px">
                                                        <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                                        <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </div>
                                                <div style="text-align: center; width: 222px; float: left">
                                                    <asp:TextBox ID="txtCriterio0" runat="server" Height="18px" />
                                                    <asp:Button ID="btnBuscarCargos0" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnBuscar %>" />
                                                    <br />
                                                    <%--<asp:Button ID="btnMostrarControles" runat="server" Text="<%$ Resources:Idioma, btnMostrarControles %>" CausesValidation="true" Width="199px" />--%>
                                                </div>
                                                <br />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 199px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblFechaValidacionInforme" runat="server" Text="<%$ Resources:Idioma, FechaValidacionInforme %>"
                                                Height="22px" Width="153px"></asp:Label>
                                            *<br />
                                            <br />
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 598px;">
                                            <asp:TextBox ID="txtFechaValidacionInforme" runat="server" Height="23px" MaxLength="700"
                                                Width="170px"></asp:TextBox>
                                            <asp:Button ID="btnCalendarioValidacion" runat="server" CausesValidation="false"
                                                Text="..." />
                                            <asp:Calendar ID="CalendarValidacion" runat="server" Visible="False"></asp:Calendar>
                                            <asp:RequiredFieldValidator ID="rfvFechaValidaInforme" runat="server" ControlToValidate="txtFechaValidacionInforme">
                                                <asp:Label ID="lblFechaValidaInformeobligatoria" runat="server" Text="<%$ Resources:Idioma, FechaValidacionInformeObliga %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:CompareValidator ID="cvFechaValidacionInforme" runat="server" ControlToValidate="txtFechaValidacionInforme"
                                                ErrorMessage="<%$ Resources:Idioma, lblFechaInicioValida %>" Operator="DataTypeCheck"
                                                Type="Date"></asp:CompareValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 199px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 598px;">
                                            &nbsp;
                                        </td>
                                    </tr>
                                </table>
                                <table style="width: 618px">
                                    <tr>
                                        <td>
                                            <asp:Button ID="btnGuardarValidacionInforme" runat="server" CausesValidation="true"
                                                Text="<%$ Resources:Idioma, btnGuardar %>" Width="85px" />
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
    <br />
    <br />
    <div align="center">
        <asp:Button ID="btnImprimirCartaentrega" runat="server" CausesValidation="false"
            Text="<%$ Resources:Idioma, imprimirCartaEntrega %>" Width="206px" />
    </div>
</asp:Content>
