﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="EvaluarResultadosCumplimientoEtapaSeis.aspx.vb" Inherits="AudiControl.EvaluarResultadosCumplimientoEtapaSeis"
    Title="<%$ Resources:menu, m0404060202 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioOficina" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdMonitoreo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioArea" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent ">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblResponderCuestionario" runat="server" Text="<%$ Resources:Idioma, EvaluacionEtapaSeis %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <asp:Label ID="lblSeleccionUnSitio" runat="server" Text="<%$ Resources:Idioma,SeleccionSitio %>"></asp:Label>
        :&nbsp;
        <asp:DropDownList ID="drpSitio" runat="server" Width="500px" AutoPostBack="true">
        </asp:DropDownList>
        <br />
        <br />
        <asp:Label ID="lblSeleccionUnaAmenaza" runat="server" Text="<%$ Resources:Idioma,lblSeleccionUnaAmenaza %>"></asp:Label>
        :&nbsp;
        <asp:DropDownList ID="drpAmenaza" runat="server" Width="500px" AutoPostBack="true">
        </asp:DropDownList>
        <br />
        <br />
        <table id="tblControles" runat="server" visible="true">
            <tr>
                <td>
                    <asp:GridView ID="gvResultadosEvaluacion" runat="server" AutoGenerateColumns="false"
                        Width="870px">
                        <Columns>
                            <asp:BoundField DataField="puntajeMaximoPosible" SortExpression="puntajeMaximoPosible"
                                HeaderText="<%$ Resources:Idioma, PMPPruebas %>" ItemStyle-Width="200px">
                                <ItemStyle Width="200px"></ItemStyle>
                            </asp:BoundField>
                            <asp:BoundField DataField="puntajeObtenido" SortExpression="puntajeObtenido" HeaderText="<%$ Resources:Idioma, POPruebas %>"
                                ItemStyle-Width="200px">
                                <ItemStyle Width="200px"></ItemStyle>
                            </asp:BoundField>
                            <asp:BoundField DataField="porcentajeCumplimiento" SortExpression="porcentajeCumplimiento"
                                HeaderText="<%$ Resources:Idioma, porcentajecumplimiento %>" ItemStyle-Width="300px">
                                <ItemStyle Width="300px"></ItemStyle>
                            </asp:BoundField>
                            <asp:BoundField DataField="descripcionProteccionexistente" SortExpression="descripcionProteccionexistente"
                                HeaderText="<%$ Resources:Idioma, PEDespuesPC %>" ItemStyle-Width="150px">
                                <ItemStyle Width="150px"></ItemStyle>
                            </asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                ItemStyle-Width="150px">
                                <ItemTemplate>
                                    <asp:Label ID="lblColorPE" runat="server" Text='<%# Eval("ColorProteccion")%>' Visible="false"></asp:Label>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                            </asp:TemplateField>
                            <asp:BoundField DataField="descripcionRiesgoResidual" SortExpression="descripcionRiesgoResidual"
                                HeaderText="<%$ Resources:Idioma, RRDespuesPC %>" ItemStyle-Width="200px">
                                <ItemStyle Width="150px"></ItemStyle>
                            </asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                ItemStyle-Width="200px">
                                <ItemTemplate>
                                    <asp:Label ID="lblColorRR" runat="server" Text='<%# Eval("ColorRiesgoResidual")%>'
                                        Visible="false"></asp:Label>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Label ID="lblControlesVerificados" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma,ControlesVerificados %>"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:GridView ID="gvControlesRespuesta" runat="server" AutoGenerateColumns="false"
                        Width="870px">
                        <Columns>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="600px" HeaderText="<%$ Resources:Idioma, lblControl %>">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="15px" />
                                <ItemTemplate>
                                    <asp:Label ID="lblIdControl" runat="server" Text='<%# Eval("idControl") %>' Visible="true"></asp:Label>
                                    <asp:Label ID="lblDescripcionControl" runat="server" Text='<%# Eval("descripcionControl") %>'
                                        Visible="true" Width="600px"></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                HeaderText="<%$ Resources: Idioma,lblRespuesta %>" ItemStyle-VerticalAlign="Top"
                                ItemStyle-Width="200px">
                                <ItemTemplate>
                                    <asp:Label ID="lblRespuestaContestada" Text='<%# Eval("descripcionRespuesta") %>'
                                        runat="server" Visible="true"></asp:Label>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px" HeaderText="<%$ Resources:Idioma, lblPO %>">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px" />
                                <ItemTemplate>
                                    <asp:Label ID="lblValorRespuesta" Text='<%# Eval("valorRespuesta") %>' runat="server"
                                        Visible="true"></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <div>
                        <table>
                            <tr>
                                <td style="width: 859px">
                                    <asp:Label ID="lblHallazgoAuditoria" runat="server" CssClass="subtitulo " Text=""></asp:Label>
                                    <br />
                                    <asp:Label ID="lblDescribeHallazgo" runat="server" CssClass="subtituloSegundoNivel"
                                        Text=""></asp:Label>
                                    <br />
                                </td>
                            </tr>
                        </table>
                    </div>
                    <br />
                </td>
            </tr>
        </table>
        <asp:DropDownList ID="drpReportes" runat="server">
            <asp:ListItem Text="<%$ Resources:Idioma, reporteEvaluacion %>" Value="2"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Idioma, ReporteHallazgosPruebasCumplimiento %>"
                Value="3"></asp:ListItem>
        </asp:DropDownList>
        &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnreporte %>" />
        <br />
    </div>
</asp:Content>
