<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListaSitiosInFormeE6porSitioAmenazaDetallado.aspx.vb" Inherits="AudiControl.ListaSitiosInFormeE6porSitioAmenazaDetallado"
    Title="<%$ Resources:TituloPaginas, InformeDetalladoPorSitioAmenaza %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div class="headerContent ">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblInformeSitioA" runat="server" Text="<%$ Resources:Idioma, InformeE6XSitioAmenaza %>"></asp:Label>
    </div>
    <div align="center">
        <asp:Label ID="lblFaltanSitiosoHallazgos" runat="server" Text="" CssClass="colorError"></asp:Label>
        &nbsp;&nbsp;
        <asp:Label ID="lblNoSitiosSel" runat="server" CssClass="colorError" Text=""></asp:Label>&nbsp;&nbsp;
        <asp:Label ID="lblSitiosCompletar" runat="server" Text="" CssClass="colorError"></asp:Label>
        <br />
        <div style="overflow: auto; width: 778px; height: 250px;">
            <asp:GridView ID="gvAreasYOficinasPruebas" runat="server" AutoGenerateColumns="false"
                PageSize="15" Visible="false" Width="755px">
                <Columns>
                    <asp:TemplateField>
                        <HeaderTemplate>
                            <asp:CheckBox ID="chkTodos" runat="server" AutoPostBack="True" OnCheckedChanged="chkTodos_CheckedChanged "
                                Text="<%$ Resources:Idioma, lblTodo %>" />
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:CheckBox ID="chkSitio" runat="server" />
                            <asp:Label ID="lblIdSitioSeleccionado" runat="server" Visible="false"></asp:Label>
                            <asp:Label ID="lblSitioSeleccionado" runat="server" Text='<%# Eval("idSitioSeleccionado")%>'
                                Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="idSitio" HeaderText="<%$ Resources: idioma,IdSitio %>" />
                    <asp:BoundField DataField="idArea" HeaderText="<%$ Resources: idioma,IdArea %>" ItemStyle-Width="80px"
                        SortExpression="idArea" />
                    <asp:BoundField DataField="nombreArea" HeaderText="<%$ Resources: idioma ,lblArea %>"
                        SortExpression="nombreArea" />
                    <asp:BoundField DataField="idOficina" HeaderText="<%$ Resources: idioma, idOficina %>"
                        ItemStyle-Width="80px" />
                    <asp:BoundField DataField="nombreOficina" HeaderText="<%$ Resources: idioma, lblOficina %>"
                        SortExpression="nombreOficina" />
                    <asp:BoundField DataField="idZona" HeaderText="<%$ Resources: idioma, idRegional %>" />
                    <asp:BoundField DataField="nombreZona" HeaderText="<%$ Resources: idioma, Regional %>" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, Motivos %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px"
                        Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblSiHallazgos" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px" />
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </div>
        <br />
        <br />
        <asp:Button ID="btnReporte" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnImprimir %>" />
        &nbsp;
        <br />
    </div>
</asp:Content>
