﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SitioPrueba.aspx.vb" Inherits="AudiControl.SitioPrueba" Title="<%$ Resources: Menu, m0404060101 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdZona" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensaje" runat="server" Style="display: none" Text="<%$ Resources: msgEliminaSitio %>"></asp:Label>
    <div>
        <div class="headerContent ">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblSelelccionsitios" runat="server" Text="<%$ Resources: Menu, m0404060101 %>"></asp:Label>
        </div>
        <br />
        <asp:Label ID="lblExito" runat="server" Text="" CssClass="colorExito"></asp:Label>
        &nbsp;<asp:Label ID="lblFaltaAsignarOficinas" runat="server" Text="" CssClass="colorError"></asp:Label>
        <br />
        <div class="alineacionIzquierda">
            <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
                BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
                Orientation="Horizontal">
                <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
                <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
                <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
                <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
                <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
                <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                    Font-Bold="True" ForeColor="White" />
                <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                    BorderWidth="1px" />
                <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                    BorderWidth="1px" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources:Idioma, Areasyoficinas %>" Value="0"></asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources:Idioma, SitiosSeleccionados %> " Value="1"></asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <div class="center">
            <asp:MultiView ID="mvSeleccionSitiosPrueba" runat="server" ActiveViewIndex="0">
                <asp:View ID="vwAreasyOficinas" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td class="TabArea" style="width: 100%">
                                <br />
                                <asp:Label ID="lblAreasseleccion" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma,TitAreasSeleccionadaPC %>"></asp:Label>
                                <br />
                                <br />
                                <center>
                                    <table>
                                        <tr>
                                            <td style="width: 411px">
                                                <asp:Label ID="lblAreasaSeleccionar" runat="server" Font-Bold="True" Font-Size="12pt"
                                                    ForeColor="#CC3300" Text="<%$ Resources:Idioma, AreasSeleccionarPruebas %>"></asp:Label>
                                            </td>
                                            <td style="width: 54px">
                                                &nbsp;
                                            </td>
                                            <td align="center" style="width: 381px;">
                                                <asp:Label ID="lblAreasSeleccionados" runat="server" Font-Bold="True" Font-Size="12pt"
                                                    ForeColor="#009900" Text="<%$ Resources:Idioma, AreasSeleccionadasPruebas %>"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">
                                                <asp:Label ID="lblAreaSeleccionObligatorio" runat="server" CssClass="colorError"
                                                    Text=""></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="width: 411px">
                                                <div style="overflow: auto; width: 400px; height: 225px; text-align: center;">
                                                    <asp:GridView ID="gvListaAreaElegibles" runat="server" AutoGenerateColumns="False"
                                                        DataKeyNames="idArea" Width="393px">
                                                        <Columns>
                                                            <asp:TemplateField HeaderText="<%$ Resources:Idioma, Seleccionar %>">
                                                                <ItemTemplate>
                                                                    <asp:CheckBox ID="chkAreaSeleccionada" runat="server" />
                                                                    <asp:Label ID="lblTieneoficinaPrueba" runat="server" Text='<%# Eval("idArea") %>'
                                                                        Visible="false"></asp:Label>
                                                                </ItemTemplate>
                                                            </asp:TemplateField>
                                                            <asp:BoundField DataField="idArea" HeaderText="<%$ Resources:Idioma, lblId %>">
                                                                <ControlStyle BackColor="#FF9933" />
                                                                <HeaderStyle Height="5px" />
                                                                <ItemStyle Height="5px" />
                                                            </asp:BoundField>
                                                            <asp:BoundField DataField="identificadorNombre" HeaderText="<%$ Resources:Idioma, lblAreaelegible %>" />
                                                        </Columns>
                                                    </asp:GridView>
                                                </div>
                                                <br />
                                                <br />
                                            </td>
                                            <td style="width: 54px">
                                                <asp:Button ID="btnSelUno" runat="server" CausesValidation="false" Text=" &gt; "
                                                    Width="36px" />
                                                <br />
                                                <br />
                                                <asp:Label ID="lblMensajeSeleccionado" runat="server" Style="display: none" Text="<%$ Resources:Idioma, msgSeleccionarTodaslasAreas %>"></asp:Label>
                                                <asp:Button ID="btnSelTodos" runat="server" CausesValidation="false" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeSeleccionado').innerHTML)) return false;"
                                                    Text="&gt;&gt;" Width="36px" />
                                                <br />
                                                <br />
                                                <asp:Label ID="lblMensajeBorrado" runat="server" Style="display: none" Text="<%$ Resources:Idioma, msgEliminaAreaPruebas %>"></asp:Label>
                                                <asp:Button ID="btndesSelUno" runat="server" CausesValidation="false" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                                    Text=" &lt; " Width="36px" />
                                                <br />
                                                <br />
                                                <asp:Label ID="lblMensajeBorradoTodos" runat="server" Style="display: none" Text="<%$ Resources:Idioma, msgEliminaAreaPruebasTodos %>"></asp:Label>
                                                <asp:Button ID="btndesSelTodos" runat="server" CausesValidation="false" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorradoTodos').innerHTML)) return false;"
                                                    Text="&lt;&lt;" Width="36px" />
                                                <br />
                                            </td>
                                            <td style="width: 381px; text-align: left; vertical-align: top; overflow: scroll;">
                                                <div style="overflow: auto; width: 510px; height: 225px; text-align: center;">
                                                    <asp:GridView ID="gvListaAreasOrganizacionales" runat="server" AutoGenerateColumns="False"
                                                        PageSize="15" Visible="False" Width="496px">
                                                        <Columns>
                                                            <asp:TemplateField HeaderText="<%$ Resources:Idioma, Seleccionar %>">
                                                                <ItemTemplate>
                                                                    <asp:CheckBox ID="ChkDeseleccion" runat="server" />
                                                                    <%--<asp:Label ID="lblEstudioArea" runat="server" 
                                                                  Text='<%# Eval("idEstudioArea") %>' Visible="false"></asp:Label>
                                                              <asp:Label ID="lblIdArea" runat="server" Text='<%# Eval("idArea") %>' 
                                                                  Visible="false"></asp:Label>--%>
                                                                </ItemTemplate>
                                                            </asp:TemplateField>
                                                            <asp:BoundField DataField="idArea" HeaderText="<%$ Resources:Idioma, lblid %>" ItemStyle-Width="150px"
                                                                SortExpression="idArea">
                                                                <ItemStyle Width="150px" />
                                                            </asp:BoundField>
                                                            <asp:BoundField DataField="identificadorNombre" HeaderText="<%$ Resources:Idioma, lblAreaelegible %>"
                                                                ItemStyle-Width="150px" SortExpression="identificadorNombre">
                                                                <ItemStyle Width="450px" />
                                                            </asp:BoundField>
                                                            <asp:TemplateField HeaderText="<%$ Resources:Idioma, oficinasdeprueba %>">
                                                                <ItemTemplate>
                                                                    <asp:CheckBox ID="ChkSeleccionarOficinas" runat="server" />
                                                                    <asp:Label ID="lblTieneoficinaPrueba" runat="server" Text='<%# Eval("oficinaSeleccionPruebas") %>'
                                                                        Visible="false"></asp:Label>
                                                                    <asp:Label ID="lblEstudioArea" runat="server" Text='<%# Eval("idEstudioArea") %>'
                                                                        Visible="false"></asp:Label>
                                                                    <asp:Label ID="lblIdArea" runat="server" Text='<%# Eval("idArea") %>' Visible="false"></asp:Label>
                                                                </ItemTemplate>
                                                            </asp:TemplateField>
                                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                                                <ItemTemplate>
                                                                    <div style="text-align: center">
                                                                        <asp:LinkButton ID="lnkAsignar" runat="server" CommandArgument='<%# Eval("idArea")%>'
                                                                            CommandName="ASIGNAR">
                                                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, AsignaOficina %>"></asp:Label>
                                                                        </asp:LinkButton>
                                                                        &nbsp;&nbsp;
                                                                    </div>
                                                                </ItemTemplate>
                                                                <HeaderStyle HorizontalAlign="Center" />
                                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                                                            </asp:TemplateField>
                                                        </Columns>
                                                    </asp:GridView>
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                </center>
                                <br />
                                <br />
                                <br />
                                <asp:Button ID="btnAgregar" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnGuardar %>" />
                                &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, lblObservacionTodo %>" />
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="vwSitiosSeleccionados" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td class="TabArea" style="width: 100%;">
                                <br />
                                <asp:Label ID="lblSitiosseleccionados" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma,TitSitiosSeleccionadosPC %>"></asp:Label>
                                <br />
                                <br />
                                <asp:GridView ID="gvAreasYOficinasPruebas" runat="server" AllowPaging="true" AutoGenerateColumns="false"
                                    PageSize="15" Visible="false">
                                    <Columns>
                                        <asp:BoundField DataField="idSitio" HeaderText="<%$ Resources: idioma,IdSitio %>" />
                                        <asp:BoundField DataField="idArea" HeaderText="<%$ Resources: idioma,IdArea %>" ItemStyle-Width="80px"
                                            SortExpression="idArea">
                                            <ItemStyle Width="80px" />
                                        </asp:BoundField>
                                        <asp:BoundField DataField="nombreArea" HeaderText="<%$ Resources: idioma ,lblArea %>"
                                            SortExpression="nombreArea" />
                                        <asp:BoundField DataField="idOficina" HeaderText="<%$ Resources: idioma, idOficina %>"
                                            ItemStyle-Width="80px" SortExpression="idOficina" />
                                        <asp:BoundField DataField="nombreOficina" HeaderText="<%$ Resources: idioma, lblOficina %>"
                                            SortExpression="nombreOficina" />
                                        <asp:BoundField DataField="idZona" HeaderText="<%$ Resources: idioma, idRegional %>" />
                                        <asp:BoundField DataField="nombreZona" HeaderText="<%$ Resources: Regional %>" />
                                        <%-- <asp:TemplateField HeaderStyle-HorizontalAlign="Center" 
                                          HeaderText="<%$ Resources: Idioma, lblAccion %>" 
                                          ItemStyle-HorizontalAlign="Center">
                                          <ItemTemplate>
                                              <asp:LinkButton ID="lnkEliminar" runat="server" 
                                                  CommandArgument='<%# Eval("idSitio")%>' CommandName="ELIMINAR" 
                                                  OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;">
                                              <asp:Label ID="lblEliminar" runat="server" 
                                                  Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label>
                                              </asp:LinkButton>
                                          </ItemTemplate>
                                      </asp:TemplateField>--%>
                                    </Columns>
                                </asp:GridView>
                                <br />
                                <br />
                                <asp:Button ID="btnReporte" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnReporte %>" />
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
            </asp:MultiView>
        </div>
        &nbsp;
    </div>
</asp:Content>
