﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ResultadoEvaluacionExactitudArea.aspx.vb" Inherits="AudiControl.ResultadoEvaluacionExactitudArea"
    Title="<%$ Resources:Menu, m0404070301 %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblAreaSeleccionada" runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>&nbsp;
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="120px"></asp:Label>&nbsp;
            <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblResultadosporSitioyamenaza" runat="server" Text="<%$ Resources: Menu, m0404070301 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblSeleccioneunArea" runat="server" Text="<%$ Resources:Idioma,lblSeleccionAreaOrg %>"
                CssClass="subtitulo"></asp:Label>
            <br />
            <br />
            <asp:DropDownList ID="drpAreaSeleccionada" runat="server" AutoPostBack="true">
            </asp:DropDownList>
            <br />
            <br />
            <asp:Label ID="lblopinionAuditor" runat="server" Text="<%$ Resources:Idioma, lblOpinionAuditor %>"
                CssClass="subtitulo"></asp:Label>
            &nbsp; *
            <br />
            <asp:Label ID="lblExito" runat="server" CssClass="colorExito"></asp:Label>
            <br />
            <asp:TextBox ID="txtopinionAuditor" runat="server" Height="52px" TextMode="MultiLine"
                Width="710px"></asp:TextBox>
            <br />
            <asp:RequiredFieldValidator ID="rfvtxtopinionAuditor" runat="server" ControlToValidate="txtopinionAuditor">
                <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblOpinionAuditorObligatoria %>"></asp:Label>
            </asp:RequiredFieldValidator>
            <br />
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                CausesValidation="true" />
            <br />
        </div>
        <div class="alineacionIzquierda">
            <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
                BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
                Orientation="Horizontal">
                <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
                <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
                <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
                <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
                <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
                <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                    Font-Bold="True" ForeColor="White" />
                <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                    BorderWidth="1px" />
                <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                    BorderWidth="1px" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources:Idioma, resumenXSitio %>" Value="0"></asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources:Idioma, HallazgosXAreaySitio %>" Value="1"></asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources:Idioma, MotivosNoConformidad %>" Value="2"></asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <div align="center">
            <asp:MultiView ID="mvResultadoEvaluacionporAreaSitio" runat="server" ActiveViewIndex="0">
                <asp:View ID="vwResultadosporSitio" runat="server">
                    <div  align="center" style="border: solid 1px; width: 100%; ">
                        <br />
                        <asp:Label ID="lblResumenCumplimiento" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, ResumenExactitudAreaSitio %>"></asp:Label>
                        <br />
                        <br />
                        <asp:GridView ID="gvListaSitio" runat="server" AutoGenerateColumns="false" ShowFooter="True">
                            <Columns>
                                <asp:BoundField DataField="idSitio" HeaderText="<%$ Resources:Idioma, lblId %>" />
                                <asp:BoundField DataField="nombreSitio" HeaderText="<%$ Resources: Idioma, SitioPrueba %>" />
                                <asp:BoundField DataField="proPE" HeaderText="<%$ Resources: Idioma, lblValorPE %>"
                                    ItemStyle-Width="30px" />
                                <asp:TemplateField HeaderText="<%$ Resources:Idioma, PEControlInterno %>" ItemStyle-Width="80px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblPeE5" runat="server" Text='<%# Eval("descripcionProPE_AC") %>'></asp:Label>
                                        <asp:Label ID="colorPEEtapa5" runat="server" Text='<%# Eval("colorProPE_AC") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="proPuntajeMaximo" HeaderText="<%$ Resources: Idioma, PMPDatosVerificados %>"
                                    ItemStyle-Width="60px" />
                                <asp:BoundField DataField="proPorcentajeCumplimiento" HeaderText="<%$ Resources: Idioma, PorcentajeExactitud %>"
                                    ItemStyle-Width="60px" DataFormatString="{0:N2}" />
                                <asp:BoundField DataField="valorProPE" HeaderText="<%$ Resources: Idioma, lblValorPE %>"
                                    ItemStyle-Width="30px" />
                                <asp:TemplateField HeaderText="<%$ Resources: idioma, lblValorPE %>" ItemStyle-Width="80px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblPeE7" runat="server" Text='<%# Eval("descripcionProPE") %>'></asp:Label>
                                        <asp:Label ID="colorPEEtapa7" runat="server" Text='<%# Eval("colorProPE") %>' Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="valorProRR" HeaderText="<%$ Resources: Idioma, lblValorRR %>"
                                    ItemStyle-Width="30px" />
                                <asp:TemplateField HeaderText="<%$ Resources: Idioma, lblValorRR %>" ItemStyle-Width="80px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblRrE7" runat="server" Text='<%# Eval("descripcionProRR") %>'></asp:Label>
                                        <asp:Label ID="colorRREtapa7" runat="server" Text='<%# Eval("colorProRR") %>' Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="Hallazgo" HeaderText="<%$ Resources: Idioma, lblHallazgosPruebasSustantivas %>"
                                    ItemStyle-Width="50px" />
                            </Columns>
                        </asp:GridView>
                        <br />
                        <br />
                        <div align="center" >
                            <telerik:ReportViewer ID="rvGraficaSitio" runat="server" Height="400px" ToolbarVisible="False"
                                Width="660px" Report="Com.Audisis.Reportes.GraficaEvaluacionAreaArea, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
                            </telerik:ReportViewer>
                            <br />
                            <asp:Button ID="btnReporteResumenSitio" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnReporte %>" />
                            <br />
                        </div>
                    </div>
                </asp:View>
                <asp:View ID="vwHallazgos" runat="server">
                    <table align="center" cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td align="center" class="TabArea" style="width: 100%;">
                                <br />
                                <asp:Label ID="lblHallazgosSubtitulo" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma, HallazgosXAreaySitio %>"></asp:Label>
                                <br />
                                <br />
                                <asp:Label ID="lblSeleccioneunSitio" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma,SeleccionSitio %>"></asp:Label>
                                <br />
                                <br />
                                <asp:DropDownList ID="drpSitioSeleccionado" runat="server" AutoPostBack="true">
                                </asp:DropDownList>
                                <br />
                                <br />
                                <br />
                                <div style="overflow: auto; width: 896px; height: 250px;">
                                    <asp:GridView ID="gvListaHallazgos" runat="server" AutoGenerateColumns="False" ShowFooter="True"
                                        Width="869px">
                                        <Columns>
                                            <asp:BoundField DataField="idHallazgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                ItemStyle-Width="50px" />
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, Hallazgos %>"
                                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="400px">
                                                <HeaderStyle HorizontalAlign="Center" />
                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="400px" />
                                                <ItemTemplate>
                                                    <asp:Label ID="lblDetalle" runat="server" Text='<%# Eval("detalleHallazgo") %>' Visible="true"></asp:Label>
                                                    <br />
                                                    <br />
                                                    <asp:Label ID="lblTituloCausas" runat="server" CssClass="subtituloTercerNivel" Text="<%$ Resources:Idioma, CausasHallazgoMotivos %>"
                                                        Visible="true" />
                                                    <br />
                                                    <br />
                                                    <asp:Label ID="lblCausas" runat="server" Text='<%# Eval("causas") %>' Visible="true"></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:BoundField DataField="DescripcionImpacto" HeaderText="<%$ Resources:Idioma, impactoHallazgo %>"
                                                ItemStyle-Width="400px" />
                                            <asp:BoundField DataField="recomendaciones" DataFormatString="{0:F2}" HeaderText="<%$ Resources:Idioma, lblRecomendaciones %>"
                                                ItemStyle-Width="400px" />
                                        </Columns>
                                    </asp:GridView>
                                </div>
                                <br />
                                <asp:Button ID="btnReporteHallazgo" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnReporte %>" />
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="vwMotivosIncumplimiento" runat="server">
                    <div style="border: solid 1px; width: 100%; " align="center">
                        <br />
                        <asp:Panel ID="panelcontGrilla" runat="server" Visible="true" SkinID="panelSkinned">
                            <table>
                                <tr>
                                    <td style="width: 100px" >
                                    </td>
                                    <td>
                                        <asp:Label ID="lblSitios" runat="server" Text="<%$ Resources:Idioma, lblMotivosNCVsSitios %>"
                                            CssClass="subtitulo"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                    </td>
                                    <td>
                                        <asp:GridView ID="gvMatriz" runat="server" HeaderStyle-HorizontalAlign="Center" ShowFooter="true">
                                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                        </asp:GridView>
                                        <br />
                                        <br />
                                    </td>
                                </tr>
                            </table>
                            <br />
                        </asp:Panel>
                        <div align="center">
                            <telerik:ReportViewer ID="rvGraficaMotivo" runat="server" Height="400px" ToolbarVisible="False"
                                Width="660px" Report="Com.Audisis.Reportes.GraficaEvaluacionAreaMotivo, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
                            </telerik:ReportViewer>
                            <br />
                        </div>
                    </div>
                </asp:View>
            </asp:MultiView>
        </div>
        <br />
        <br />
    </div>
</asp:Content>
