<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionAmenaza.aspx.vb" Inherits="AudiControl.SeleccionAmenaza"
    Title="<%$ Resources:Menu, m0404070102 %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblAreaSeleccionada" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensaje" runat="server" Style="display: none" Text="<%$ Resources: msgBorraCifra %>"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTituloMayor" runat="server" Text="<%$ Resources: SeleccionAmenazaSustantiva%>"></asp:Label><br />
    </div>
    <div class="alineacionIzquierda">
        <br />
        <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
            BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
            Orientation="Horizontal">
            <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
            <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
            <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
            <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
            <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
            <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                Font-Bold="True" ForeColor="White" />
            <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                BorderWidth="1px" />
            <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                BorderWidth="1px" />
            <Items>
                <asp:MenuItem Text="<%$ Resources: AmenazaEtapa5 %>" Value="0"></asp:MenuItem>
                <asp:MenuItem Text="<%$ Resources: AmenazaEtapa6 %>" Value="1"></asp:MenuItem>
                <asp:MenuItem Text="<%$ Resources: Cifra %>" Value="2"></asp:MenuItem>
            </Items>
        </asp:Menu>
    </div>
    <div align="center">
        <asp:MultiView ID="mvAmenaza" runat="server" ActiveViewIndex="0">
            <asp:View ID="vwAmenazaE5" runat="server">
                <table cellpadding="0" cellspacing="0" width="100%">
                    <tr valign="top">
                        <td align="center" class="TabArea" style="width: 100%">
                            <br />
                            <asp:Label runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma,lblSeleccionAreaOrg %>"></asp:Label><br />
                            <asp:DropDownList ID="drpAreas" runat="server" AutoPostBack="true">
                            </asp:DropDownList>
                            <br />
                            <br />
                            <asp:Label ID="lblAmenaza" runat="server" CssClass="subtitulo" Text="<%$ Resources: Amenaza %>"></asp:Label>
                            <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false" ShowFooter="True"
                                Style="text-align: center" Width="90%">
                                <Columns>
                                    <asp:BoundField DataField="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="50px" />
                                    <asp:BoundField DataField="descripcionAmenaza" HeaderText="<%$ Resources:Idioma, lblAmenaza %>"
                                        ItemStyle-Width="400px" />
                                    <asp:BoundField DataField="valorRiesgoInherente" HeaderText="<%$ Resources:Idioma,lblValorRI %>"
                                        ItemStyle-Width="20px" />
                                    <asp:BoundField DataField="RiesgoInherente" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                        ItemStyle-Width="150px" />
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px"
                                        Visible="false">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColorRI" runat="server" Text='<%# Eval("colorNivel")%>' Visible="false"></asp:Label>
                                            <asp:Label ID="lblidEstudioAmenaza" runat="server" Text='<%# Eval("idEstudioAmenaza")%>'
                                                Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center" />
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px" />
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="valorProteccion" HeaderText="<%$ Resources:Idioma,lblValorPE %>"
                                        ItemStyle-Width="20px" />
                                    <asp:BoundField DataField="proteccionExistente" HeaderText="<%$ Resources:Idioma, lblPE %>"
                                        ItemStyle-Width="150px" />
                                    <asp:BoundField DataField="valorProteccion" HeaderText="<%$ Resources:Idioma,lblValorRR %>"
                                        ItemStyle-Width="20px" />
                                    <asp:BoundField DataField="riesgoResidual" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                        ItemStyle-Width="150px" />
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px"
                                        Visible="false">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColorRR" runat="server" Text='<%# Eval("colorNivelRR")%>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center" />
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px" />
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                            <br />
                            <asp:Button ID="btnReporte" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnReporte %>" />
                            <br />
                        </td>
                    </tr>
                </table>
            </asp:View>
            <asp:View ID="vwAmenazaE6" runat="server">
                <table cellpadding="0" cellspacing="0" width="100%">
                    <tr valign="top">
                        <td align="center" class="TabArea" style="width: 100%">
                            <br />
                            <br />
                            <asp:Label runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma,lblSeleccionAreaOrg %>"></asp:Label>:<br />
                            <asp:DropDownList ID="drpAreaE6" runat="server" AutoPostBack="true">
                            </asp:DropDownList>
                            <br />
                            <br />
                            <asp:Label ID="Label4" runat="server" CssClass="subtitulo " Text="<%$ Resources: Amenaza %>"></asp:Label>
                            <asp:GridView ID="gvAmenazaE6" runat="server" AutoGenerateColumns="false" ShowFooter="True"
                                Style="text-align: center" Width="90%">
                                <Columns>
                                    <asp:BoundField DataField="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>" />
                                    <asp:BoundField DataField="descripcionAmenaza" HeaderText="<%$ Resources:Idioma, lblAmenaza %>" />
                                    <asp:BoundField DataField="Inherente" HeaderText="<%$ Resources:Idioma,lblValorRI %>"
                                        ItemStyle-Width="30px" />
                                    <asp:BoundField DataField="descripcionInherente" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                        ItemStyle-Width="150px" />
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" Visible="false">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColorRI" runat="server" Text='<%# Eval("colorInherente")%>' Visible="false"></asp:Label>
                                            <asp:Label ID="lblidEstudioAmenaza" runat="server" Text='<%# Eval("idEstudioAmenaza")%>'
                                                Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center" />
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px" />
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="porcentajeCumplimiento" HeaderText="<%$ Resources: Porcentaje %>" />
                                    <asp:BoundField DataField="valorProteccion" HeaderText="<%$ Resources: ValorProteccion %>"
                                        ItemStyle-Width="20px" />
                                    <asp:BoundField DataField="cumplimiento" HeaderText="<%$ Resources: Proteccion %>" />
                                    <asp:BoundField DataField="Residual" HeaderText="<%$ Resources: Residual %>" />
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px"
                                        Visible="false">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColorRR" runat="server" Text='<%# Eval("colorResidual")%>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                            <br />
                            <asp:Button ID="btnReporteE6" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnReporte %>" />
                            <br />
                        </td>
                    </tr>
                </table>
            </asp:View>
            <asp:View ID="vwCifra" runat="server">
                <div class="TabArea" style="width: 100%">
                    <table style="width: 90%">
                        <tr>
                            <td colspan="3">
                                <br />
                                <br />
                                <div align="center">
                                    <asp:Label runat="server" CssClass="subtitulo" Text="<%$ Resources: SeleccioneAmenaza %>"></asp:Label>:
                                    <br />
                                    <asp:DropDownList ID="drpAmenaza" runat="server" AutoPostBack="true">
                                    </asp:DropDownList>
                                    <br />
                                    <br />
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 384px">
                                <asp:Label ID="lblCifraElegible" runat="server" Text="<%$ Resources: CifraElegible %>"
                                    Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300"></asp:Label>
                                <br />
                            </td>
                            <td style="width: 89px">
                            </td>
                            <td>
                                <asp:Label ID="lblCifraSeleccionado" runat="server" Text="<%$ Resources: CifraSeleccionada %>"
                                    Font-Bold="True" Font-Size="12pt" ForeColor="#009900"></asp:Label>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 384px; text-align: center; vertical-align: top">
                                <asp:Label ID="lblNoRelacion" runat="server" Visible="false" Width="150px" CssClass="colorError "></asp:Label>
                                <div style="overflow: auto; width: 364px; height: 156px;">
                                    <asp:GridView ID="gvCifraElegible" runat="server" AutoGenerateColumns="false" Width="350px"
                                        Height="150px">
                                        <Columns>
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                                <ItemTemplate>
                                                    <asp:CheckBox ID="chkSeleccionarCifra" runat="server" OnCheckedChanged="chkSeleccionarCifra_CheckedChanged"
                                                        AutoPostBack="true" />
                                                    <asp:Label ID="lblIdCifraElegible" runat="server" Text='<%# Eval("idCifra") %>' Visible="false"></asp:Label>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                                            </asp:TemplateField>
                                            <asp:BoundField DataField="idCifra" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px" />
                                            <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, CifraCritica %>"
                                                ItemStyle-Width="280px" />
                                        </Columns>
                                    </asp:GridView>
                                    <br />
                                </div>
                                <br />
                            </td>
                            <td style="width: 89px" align="center">
                                <br />
                                <asp:Button ID="btnAsignarTodo" runat="server" Text="&gt;&gt;" Width="36px" /><br />
                                <asp:Button ID="btnAsignarUno" runat="server" Text="&gt;" Width="36px" /><br />
                                <asp:Button ID="btnDesasignarUno" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;" /><br />
                                <asp:Button ID="btnDesasignarTodos" runat="server" Text="&lt;&lt;" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;"
                                    Width="36px" />
                                <br />
                            </td>
                            <td style="width: 280px; height: 24px; text-align: right;">
                                <div style="overflow: auto; width: 364px; height: 147px;">
                                    <asp:GridView ID="gvCifraElegida" runat="server" Width="359px" Height="139px" AutoGenerateColumns="False"
                                        Style="text-align: center">
                                        <Columns>
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                                <ItemTemplate>
                                                    <asp:CheckBox ID="chkDesmarcarCifra" runat="server" OnCheckedChanged="chkSeleccionarCifra_CheckedChanged"
                                                        AutoPostBack="true" />
                                                    <asp:Label ID="lblIdCifraElegible" runat="server" Text='<%# Eval("idCifra") %>' Visible="false"></asp:Label>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                                            </asp:TemplateField>
                                            <asp:BoundField DataField="idCifra" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" />
                                            <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, CifraCritica %>"
                                                ItemStyle-Width="280px" />
                                        </Columns>
                                    </asp:GridView>
                                </div>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" align="center">
                                <asp:Label ID="lblIdCifraCritica" runat="server" CssClass="subtituloSegundoNivel"
                                    Width="250px" Text="<%$ Resources: Idioma, CifraCritica %>"></asp:Label><br />
                                <asp:TextBox ID="txtDetalleCifra" runat="server" TextMode="MultiLine" Height="60px"
                                    Width="100%" ReadOnly="true"></asp:TextBox>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <div align="center">
                        <asp:Button ID="btnMantenimiento" runat="server" Text="<%$ Resources: Mantenimiento %>"
                            Width="214px" />&nbsp;
                        <asp:Button ID="btnReporteCifra" runat="server" Text="<%$ Resources: Idioma, btnReporte %>"
                            Width="66px" />&nbsp;
                        <asp:Button ID="btnAgregarToDos" runat="server" Text="<%$ Resources: Idioma, lblObservacionTodo %>"
                            Width="62px" />&nbsp;
                    </div>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
