﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarTrabajosInternos.aspx.vb" Inherits="AudiControl.EditarTrabajosInternos"
    Title="<%$ Resources:TituloPaginas, TitEditarTrabajoAuditoria %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div>
        <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdTrabajo" runat="server" Text="" Visible="false"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblEditarTrabajoAuditoria" runat="server"></asp:Label></div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito "></asp:Label>
            <br />
            <table>
                <tr>
                    <td style="width: 233px; height: 23px; text-align: right;">
                        <asp:Label ID="lblProceso" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"
                            Height="22px" Width="125px"></asp:Label>
                        *
                    </td>
                    <td style="width: 8px; height: 23px;">
                    </td>
                    <td align="left" style="width: 322px; height: 23px;">
                        <asp:TextBox ID="txtTrabajoAuditoria" runat="server" Width="520px" Height="20px"
                            MaxLength="90" CssClass="cajadeTexto"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtTrabajoAuditoria"
                            Height="16px" Width="394px">
                            <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td style="width: 233px; height: 40px; text-align: right;">
                        <asp:Label ID="lblDetalleProceso" runat="server" Text="<%$ Resources:Idioma, lblDescripcionDetallada %>"
                            Height="24px" Width="144px"></asp:Label>
                        *
                    </td>
                    <td style="width: 8px; height: 40px;">
                    </td>
                    <td align="left" style="width: 322px; height: 40px;">
                        <asp:TextBox ID="txtDetalleTrabajoAuditoria" runat="server" Width="520px" Height="92px"
                            MaxLength="900" TextMode="MultiLine"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvDetalleProceso" runat="server" ControlToValidate="txtDetalleTrabajoAuditoria">
                            <asp:Label ID="lblDetalleObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvDetalleProceso" runat="server" ControlToValidate="txtDetalleTrabajoAuditoria">
                            <asp:Label ID="lblMaximoCaracterDetalle" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                        </asp:CustomValidator>
                    </td>
                </tr>
            </table>
        </div>
        <asp:Panel ID="panelproceso" runat="Server" Visible="false" SkinID="panelSkinned">
            <table>
                <tr>
                    <td style="width: 233px; height: 23px; text-align: right;">
                        <asp:Label ID="lblTipoProceso" runat="server" Height="21px" Text="<%$ Resources:Idioma, lblProceso %>"
                            Width="144px"></asp:Label>
                        *
                    </td>
                    <td style="width: 8px; height: 23px;">
                    </td>
                    <td align="left" style="width: 322px; height: 40px; text-align: left;">
                        <asp:DropDownList align="left" ID="drpTipoProceso" runat="server">
                        </asp:DropDownList>
                        &nbsp;
                        <asp:Button ID="btnMantProcesos" runat="server" Text="<%$ Resources:Idioma, btnMantenimientoProceso %>"
                            CausesValidation="false" />
                        <br />
                        <asp:RequiredFieldValidator ID="rvdrpTipoproceso" runat="server" ControlToValidate="drpTipoProceso"
                            Width="520px" Height="16px">
                            <asp:Label ID="lblObligaTipoproceso" runat="server" Text="<%$ Resources:Idioma, rfvSeleccionProceso %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <div align="center">
            <table>
                <tr>
                    <td>
                        <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                            CausesValidation="true" />
                        &nbsp;
                        <asp:Button ID="btnAdicionarOtro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                            CausesValidation="False" UseSubmitBehavior="False" Visible="false" Width="103px" />
                        &nbsp;
                        <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>"
                            CausesValidation="false" />
                        &nbsp; &nbsp;&nbsp;&nbsp;
                        <br />
                    </td>
                </tr>
            </table>
        </div>
</asp:Content>
