﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="FactorPonderacionCategoriaTotal.aspx.vb" Inherits="AudiControl.FactorPonderacionCategoriaTotal"
    Title="<%$ Resources:TituloPaginas, TitFactorPonderacionCategoria %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdModeloRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="alineacionIzquierda">
            <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblFactorPonderacionCategoriaInterna %>"
                CssClass="ruta"></asp:Label>
        </div>
        <div class="headerContent ">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblPonderacionCategoriaInterna %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <div class="alineacionIzquierda">
                <table>
                    <tr>
                        <td class="alineacionIzquierda">
                            <asp:Label ID="lblProcesoAuditado" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                        </td>
                    </tr>
                </table>
            </div>
            <br />
            <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
            <table style="width: 80%">
                <tr>
                    <td style="width: 46px">
                    </td>
                    <td>
                        <asp:Label ID="lblCategoria" runat="server" Text="<%$ Resources:Idioma, lblCategorias %>"
                            CssClass="subtitulo"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 5%">
                        <asp:Label ID="lblFactorRiesgo" runat="server" Text="<%$ Resources:Idioma, lblAuditores %>"
                            CssClass="subtitulo"></asp:Label>
                    </td>
                    <td style="width: 75%">
                        <asp:GridView ID="gvMatriz" runat="server" Style="text-align: center" EnableTheming="True">
                        </asp:GridView>
                    </td>
                </tr>
            </table>
            <br />
            &nbsp;<asp:DropDownList ID="drpReportes" runat="server">
                <asp:ListItem Text="<%$ Resources:TituloPasos, lblListaporFactor %>" Value="2"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources:TituloPasos, lblListaPorCategoria %>" Value="3"></asp:ListItem>
            </asp:DropDownList>
            &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            &nbsp;
            <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                CausesValidation="false" />
        </div>
    </div>
</asp:Content>
