﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="GenerarCuestionarios.aspx.vb" Inherits="AudiControl.GenerarCuestionarios"
    Title="<%$ Resources:Menu, m0402020102 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblGenerarCuestionarios" runat="server" Text="<%$ Resources:Menu, m0402020102 %>"></asp:Label></div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblTipoAuditoria %>"
                Height="21px" Width="159px"></asp:Label>
            *&nbsp;
            <asp:DropDownList ID="drpTipoAuditoria" runat="server" AutoPostBack="True">
            </asp:DropDownList>
            <br />
            <asp:Panel ID="PanelContFactores" runat="server" Visible="true" SkinID="panelSkinned">
                <table>
                    <tr>
                        <td colspan="2" style="text-align: right">
                            <br />
                        </td>
                        <td style="text-align: left">
                            &nbsp;&nbsp;
                            <br />
                            <br />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <asp:Label ID="lblfactoressinrespuesta" runat="server" CssClass="colorError" Visible="False"></asp:Label>
                            &nbsp;<asp:DropDownList ID="drpfactoressinrta" runat="server" Visible="False">
                            </asp:DropDownList>
                            &nbsp;<asp:Button ID="btnRespuestas" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, lblRespuestas %>"
                                Visible="false" />
                            &nbsp;&nbsp;
                            <asp:Label ID="lblNoSeleccion" runat="server" Visible="False" CssClass="colorError"></asp:Label>
                            <asp:Label ID="lblNoCategorias" runat="server" Visible="False" CssClass="colorError"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <asp:Label ID="lblMensajeObliga" runat="server" CssClass="colorError" Visible="False"
                                Text="<%$  Resources:TituloPasos,lblMensajeObligaPonderacion %>"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lblFactoresElegibles" runat="server" Text="<%$  Resources:TituloPasos,lblFactoresElegibles %>"
                                Font-Bold="True"></asp:Label>
                            <br />
                        </td>
                        <td>
                        </td>
                        <td>
                            <asp:Label ID="lblFactoresSeleccionados" runat="server" Text="<%$ Resources:TituloPasos,lblFactoresSeleccionados %>"
                                Font-Bold="True"></asp:Label>
                            <asp:Label ID="lblAsterisco" runat="server" Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
                            <br />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoElegibles" runat="server" Text="" Visible="false" CssClass="colorError"></asp:Label>
                        </td>
                        <td>
                        </td>
                        <td>
                            <asp:Label ID="lblNoSeleccionados" runat="server" Text="" Visible="false" CssClass="colorError"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div style="overflow: auto; width: 400px; height: 115px;">
                                <asp:GridView ID="gvListaFactoresRiesgo" runat="server" AutoGenerateColumns="False">
                                    <Columns>
                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                            <ItemTemplate>
                                                <asp:CheckBox ID="chkSeleccionarFactorRiesgo" runat="server" AutoPostBack="false" />
                                                <asp:Label ID="lblIdFactorRiesgo" runat="server" Text='<%# Eval("idFactorRiesgo") %>'
                                                    Visible="False"></asp:Label>
                                                <br />
                                            </ItemTemplate>
                                            <HeaderStyle HorizontalAlign="Center" />
                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px" />
                                        </asp:TemplateField>
                                        <asp:BoundField DataField="idFactorRiesgo" HeaderText="Id" ItemStyle-Width="90px"
                                            SortExpression="idFactorRiesgo">
                                            <ItemStyle Width="90px" />
                                        </asp:BoundField>
                                        <asp:BoundField DataField="descripcionFactor" HeaderText="Descripcion" ItemStyle-Width="90px"
                                            SortExpression="descripcionFactor">
                                            <ItemStyle Width="280px" />
                                        </asp:BoundField>
                                        <asp:BoundField DataField="PonderacionFactor" HeaderText="Ponderación" />
                                    </Columns>
                                </asp:GridView>
                                <br />
                                <br />
                            </div>
                            <br />
                            <asp:TextBox ID="txtDescripcionFactorRiesgo" runat="server" TextMode="MultiLine"
                                Height="62px" Width="400px" Enabled="False" ReadOnly="True"></asp:TextBox>
                        </td>
                        <td style="width: 50px">
                            <asp:Button ID="btnAsignarFactoresTodos" runat="server" Text="&gt;&gt;" Width="36px" />
                            <br />
                            <asp:Button ID="btnAsignarFactor" runat="server" Text="&gt;" Width="36px" />
                            <br />
                            <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaFactorRiesgo %>"
                                runat="server" Style="display: none"></asp:Label>
                            <asp:Button ID="btnDesasignarFactor" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" />
                            <br />
                            <asp:Button ID="btnDesasignarFactoresTodos" runat="server" Text="&lt;&lt;" Width="36px"
                                OnClientClick="return ConfirmarEliminar('Factor Elegido',true)" />
                            <br />
                            <br />
                            <br />
                        </td>
                        <td>
                            <div style="overflow: auto; width: 400px; height: 206px;">
                                <br />
                                <asp:GridView ID="gvFactorRiesgoElegido" runat="server" AutoGenerateColumns="False">
                                    <Columns>
                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                            <ItemTemplate>
                                                <asp:CheckBox ID="chkDesmarcarAmenaza" runat="server" />
                                                <asp:Label ID="lblIdFactorRiesgo" runat="server" Text='<%# Eval("idFactorRiesgo") %>'
                                                    Visible="False"></asp:Label>
                                            </ItemTemplate>
                                            <HeaderStyle HorizontalAlign="Center" />
                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px" />
                                        </asp:TemplateField>
                                        <asp:BoundField DataField="idFactorRiesgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                            ItemStyle-Width="70px" SortExpression="idFactorRiesgo">
                                            <ItemStyle Width="70px" />
                                        </asp:BoundField>
                                        <asp:BoundField DataField="descripcionFactor" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                            ItemStyle-Width="280px" SortExpression="descripcionFactor">
                                            <ItemStyle Width="280px" />
                                        </asp:BoundField>
                                        <%--<asp:BoundField DataField="PonderacionFactor" HeaderText="Ponderación" />--%>
                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblPonderacion %>"
                                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="70px">
                                            <ItemTemplate>
                                                <asp:TextBox ID="txtPonderacion" runat="server" Height="17" MaxLength="5" Text='<%# Eval("PonderacionFactor") %>'
                                                    TextMode="SingleLine" Width="30"></asp:TextBox>
                                            </ItemTemplate>
                                            <HeaderStyle HorizontalAlign="Center" />
                                        </asp:TemplateField>
                                    </Columns>
                                </asp:GridView>
                                <br />
                                <br />
                                <br />
                                <br />
                                <br />
                                <br />
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                        </td>
                        <td align="justify">
                            <label>
                                La suma de ponderaciones de Factores Seleccionados es:</label>
                            <asp:TextBox ID="txtSumapondElegidos" Text="" runat="server" ReadOnly="true"></asp:TextBox>
                        </td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td>
                            <br />
                            &nbsp;
                            <asp:Button ID="btnMantenimientoFactoresRiesgo" runat="server" Width="216px" Text="" />&nbsp;&nbsp;
                            <asp:Button ID="btnReporteTiposAud" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                                CausesValidation="true" />
                            &nbsp;&nbsp;
                            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
                            &nbsp; &nbsp;
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </div>
    </div>
</asp:Content>
