﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListaTrabajosAuditoriaResultadosEstimaSeguridad.aspx.vb" Inherits="AudiControl.ListaTrabajosAuditoriaResultadosEstimaSeguridad"
    Title="<%$ Resources:Menu, m0402020202 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402020202 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblNoEmpresa" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <br />
            <asp:Label ID="lblTipoAuditoria" runat="server" Height="21px" Text="<%$ Resources:Idioma, lblTipoAuditoria %>"
                Width="159px"></asp:Label>
            *
            <asp:DropDownList ID="drpTipoAuditoria" runat="server" AutoPostBack="True">
            </asp:DropDownList>
            <br />
            <br />
            <asp:Label ID="lblnoRespondeTotalCuestionarios" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <br />
            <asp:Panel ID="Panel1" runat="server" SkinID="panelSkinned" Visible="false">
                <asp:GridView ID="gvListaTrabajosAudInterna" runat="server" AutoGenerateColumns="False"
                    DataKeyNames="idTrabajoAuditoria" Style="text-align: left" Width="673px">
                    <Columns>
                        <asp:BoundField DataField="idTrabajoAuditoria" HeaderText="<%$ Resources:Idioma, lblId %>"
                            ItemStyle-Width="60px" SortExpression="idTrabajoAuditoria">
                            <ItemStyle Width="60px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="NombreTrabajoAuditoria" ItemStyle-Width="290px" SortExpression="NombreTrabajoAuditoria"
                            HeaderText="<%$ Resources:Idioma, lblTrabajoAuditoria %>">
                            <ItemStyle Width="290px" />
                        </asp:BoundField>
                        <asp:ButtonField ButtonType="Link" CommandName="RESULTADOS" runat="server" Text="<%$ Resources:Idioma, lblVer %>"
                            HeaderText="<%$ Resources:Idioma, lblAccion %>" />
                    </Columns>
                </asp:GridView>
            </asp:Panel>
            <br />
        </div>
    </div>
</asp:Content>
