﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarTrabajosPlanAnualSupervisar.aspx.vb" Inherits="AudiControl.ListarTrabajosPlanAnualSupervisar"
    Title="<%$ Resources:TituloPaginas, TitProgramacionPorEntidad %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresaAuditada" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresaAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblTrabajosporEntidad %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblNoEmpresa" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <br />
        </div>
        <div class="alineacionIzquierda">
            <table>
                <tr>
                    <td class="alineacionIzquierda">
                        <asp:Label ID="lblEmpresaAuditada" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <br />
        <div align="center">
            <asp:GridView ID="gvTrabajos" runat="server" AutoGenerateColumns="False" AllowPaging="True"
                PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idTrabajoAudCandidato" SortExpression="idTrabajoAudCandidato"
                        HeaderText="<%$ Resources:Idioma, lblTrabajo %>" ItemStyle-Width="10px" Visible="false">
                        <ItemStyle Width="10px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="nombreTrabajo" SortExpression="nombreTrabajo" HeaderText="<%$ Resources:Idioma, lblTrabajo %>"
                        ItemStyle-Width="200px" ItemStyle-Font-Bold="True" ItemStyle-Font-Italic="True">
                        <ItemStyle Font-Bold="True" Font-Italic="True" Width="200px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="fechaInicio" SortExpression="fechaInicio" HeaderText="<%$ Resources:Idioma, lblFechaInicio %>"
                        ItemStyle-Width="100px">
                        <ItemStyle Width="100px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="fechaFin" SortExpression="fechaFin" HeaderText="<%$ Resources:Idioma, lblFechaFin %>"
                        ItemStyle-Width="100px">
                        <ItemStyle Width="100px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="responsable" SortExpression="responsable" HeaderText="<%$ Resources:Idioma, lblResponsable %>"
                        ItemStyle-Width="200px">
                        <ItemStyle Width="200px"></ItemStyle>
                    </asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblEstado  %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblTrabajoAuditoria" runat="server" Text='<%# Eval("idTrabajoAudCandidato")%>'
                                Visible="false"></asp:Label>
                            <asp:Label ID="lblEstadoSeguimiento" runat="server" Text=""></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="100px" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblSupervisaTrabajaosInternos %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblSi" runat="server" Text='<%# Eval("seguimiento")%>' Visible="false"></asp:Label>
                            <asp:Label ID="lblRespondido" runat="server" Text=""></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="100px" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkAgregar" runat="server" CommandName="SEGUIMIENTO" CommandArgument='<%# Eval("idTrabajoAudCandidato")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblAgregar" runat="server" Text="<%$ Resources:Idioma, lblEfectuarSeguimientoYa %>"></asp:Label></asp:LinkButton>
                            &nbsp;
                            <asp:LinkButton ID="lnkVer" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idTrabajoAudCandidato")%>'
                                CommandName="VER">
                                <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label>
                            </asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Label ID="lblNoSeguimiento" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <br />
            <asp:Label ID="lblProcesoAuditado" runat="server" Text="" CssClass="subtitulo "></asp:Label>
            <br />
            <asp:GridView ID="gvSeguimientos" runat="server" AutoGenerateColumns="False" AllowPaging="True"
                PageSize="6">
                <Columns>
                    <asp:BoundField DataField="idSeguimiento" ItemStyle-Width="10px" HeaderText="<%$ Resources:Idioma, lblId  %>">
                        <ItemStyle Width="10px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="fechaSeguimiento" ItemStyle-Width="300px" HeaderText="<%$ Resources:Idioma, lblFechaSeguimiento  %>">
                        <ItemStyle Width="400px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="porcentajeAvance" HeaderText="<%$ Resources:Idioma, lblPorcentajeAvance  %>" />
                    <asp:BoundField DataField="descripcionAvance" HeaderText="<%$ Resources:Idioma, lblDescripcion  %>" />
                    <asp:BoundField DataField="comentarios" HeaderText="<%$ Resources:Idioma, lblDescripcionAvance %>" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="70px"
                        Visible="False">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="VER" CommandArgument='<%# Eval("idSeguimiento")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="70px"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            &nbsp;
        </div>
    </div>
</asp:Content>
