<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="PriorizacionInterna.aspx.vb" Inherits="AudiControl.PriorizacionInterna"
    Title="<%$ Resources:TituloPaginas, TitEditarTrabajoProcesos %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresaAuditada" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresaAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTrabajoAudCandidato" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdModeloRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblResultadosPriorizaciontotal %>"></asp:Label>
        </div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <div>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
        </div>
        <div class="alineacionIzquierda">
            <table>
                <tr>
                    <td class="alineacionIzquierda">
                        <asp:Label ID="lblProcesoAuditado" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <br />
        <div class="alineacionIzquierda">
            <asp:Menu ID="MenuPestanas" runat="server" Font-Bold="true" Orientation="Horizontal"
                BorderStyle="solid" BorderColor="White" BorderWidth="1px" OnMenuItemClick="MenuPestanas_MenuItemClick">
                <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
                <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
                <DynamicHoverStyle ForeColor="White" Font-Bold="True" Font-Size="Medium" BackColor="LightCoral" />
                <StaticMenuStyle BackColor="#F4E8AF" BorderWidth="1px" BorderColor="white" ForeColor="Black" />
                <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
                <StaticHoverStyle ForeColor="White" Font-Bold="True" BackColor="orange" BorderColor="Black"
                    BorderStyle="Inset" BorderWidth="1px" />
                <StaticSelectedStyle BorderColor="Black" BorderWidth="1px" BorderStyle="solid" BackColor="#FAFAE7" />
                <DynamicSelectedStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" BackColor="#FAFAE7" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources:Idioma, lblSegunNivSeg %>" Value="0"></asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources:Idioma, lblSegunExpoRiesgo %> " Value="1"></asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <div align="center">
            <asp:MultiView ID="MultiView1" runat="server" ActiveViewIndex="0">
                <asp:View ID="Tab1" runat="server">
                    <table cellpadding="0" cellspacing="0" style="width: 100%" align="center">
                        <tr valign="top">
                            <td class="TabArea">
                                <br />
                                <asp:GridView ID="gvListaFactoresProceso" runat="server" AutoGenerateColumns="False"
                                    DataKeyNames="idFactorRiesgo" Style="text-align: left" Width="673px" ShowFooter="True">
                                    <Columns>
                                        <asp:BoundField DataField="idFactorRiesgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                            ItemStyle-Width="60px" SortExpression="idFactor">
                                            <ItemStyle Width="60px" />
                                        </asp:BoundField>
                                        <asp:BoundField DataField="descripcionFactor" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                            ItemStyle-Width="290px" SortExpression="DescripcionFactor">
                                            <ItemStyle Width="290px" />
                                        </asp:BoundField>
                                        <asp:BoundField DataField="ponderacionFactor" HeaderText="<%$ Resources:Idioma, lblPonderacion %>" />
                                        <asp:BoundField DataField="puntajemaximoposible" HeaderText="<%$ Resources:Idioma, pmp %>" />
                                        <asp:BoundField DataField="puntajeRta" HeaderText="<%$ Resources:Idioma, puntajeRta %>" />
                                        <asp:BoundField DataField="pesofactor" HeaderText="<%$ Resources:Idioma, lblPeso %>" />
                                    </Columns>
                                </asp:GridView>
                                <br />
                                <telerik:ReportViewer ID="rvFactoresNivSegsi" runat="server" Height="400px" Report="Com.Audisis.Reportes.ReporteGraficaResultadosCuestionarioNivSegProceso, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                                    ToolbarVisible="False" Width="660px">
                                </telerik:ReportViewer>
                                <br />
                                <br />
                                <asp:Button ID="btnreporte" runat="server" CausesValidation="false" Height="19px"
                                    Text="<%$ Resources:Idioma, btnReporte %>" />
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="Tab2" runat="server">
                    <table style="width: 100%" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="top">
                            <td class="TabArea">
                                <br />
                                <br />
                                <table style="width: 80%">
                                    <tr>
                                        <td style="width: 5%">
                                        </td>
                                        <td>
                                            <asp:Label ID="lblCategoria" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, lblCategorias %>"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 5%">
                                            <asp:Label ID="lblFactorRiesgo" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, lblFactoresRiesgo %>"></asp:Label>
                                        </td>
                                        <td style="width: 75%">
                                            <asp:GridView ID="gvMatriz" runat="server" EnableTheming="True" Style="text-align: center">
                                            </asp:GridView>
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                &nbsp;<asp:DropDownList ID="drpReportes" runat="server">
                                    <asp:ListItem Text="<%$ Resources:TituloPasos, lblListaporFactor %>" Value="2"></asp:ListItem>
                                    <asp:ListItem Text="<%$ Resources:TituloPasos, lblListaPorCategoria %>" Value="3"></asp:ListItem>
                                </asp:DropDownList>
                                &nbsp;<asp:Button ID="btnReporteExpoRiesgo" runat="server" CausesValidation="False"
                                    Text="<%$ Resources:Idioma, btnReporte %>" />
                                &nbsp;
                            </td>
                        </tr>
                    </table>
                </asp:View>
            </asp:MultiView></div>
        <br />
        <br />
    </div>
</asp:Content>
