<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ResultadosEstimaSeguridadPorTrabajoAuditoria.aspx.vb" Inherits="AudiControl.ResultadosEstimaSeguridadPorTrabajoAuditoria"
    Title="<%$ Resources:TituloPaginas, TitResultadoEstimaSeguridad %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="alineacionIzquierda">
            <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblResultaestimaSeguridad %>"
                CssClass="ruta"></asp:Label>
        </div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblResultaEstimaSeguridad %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
        </div>
        <div class="alineacionIzquierda">
            <table>
                <tr>
                    <td class="alineacionIzquierda">
                        <asp:Label ID="lblProcesoAuditado" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblNoEmpresa" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            &nbsp;<br />
            <asp:GridView ID="gvListaFactoresProceso" runat="server" AutoGenerateColumns="False"
                DataKeyNames="idFactorRiesgo" Style="text-align: left" Width="673px" ShowFooter="True">
                <Columns>
                    <asp:BoundField DataField="idFactorRiesgo" HeaderText="Id" ItemStyle-Width="60px"
                        SortExpression="idFactor">
                        <ItemStyle Width="60px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="descripcionFactor" HeaderText="Descripción Factor" ItemStyle-Width="290px"
                        SortExpression="DescripcionFactor">
                        <ItemStyle Width="290px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="ponderacionFactor" HeaderText="Ponderación" />
                    <asp:BoundField DataField="puntajemaximoposible" HeaderText="PMP" />
                    <asp:BoundField DataField="puntajeRta" HeaderText="Puntaje Respuesta" />
                    <asp:BoundField DataField="pesofactor" HeaderText="Peso" />
                </Columns>
            </asp:GridView>
            <asp:Panel ID="Panel1" runat="server" Style="text-align: center" Visible="true">
            </asp:Panel>
            <br />
            <telerik:ReportViewer ID="rvFactoresNivSeg" runat="server" Height="400px" Report="Com.Audisis.Reportes.ReporteGraficaResultadosCuestionarioNivSegProceso, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                Width="660px" ToolbarVisible="False">
            </telerik:ReportViewer>
            <br />
            <asp:Button ID="btnreporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="false" Height="19px" />
            <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                CausesValidation="false" Height="19px" />
        </div>
    </div>
</asp:Content>
