﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionTrabajo.aspx.vb" Inherits="AudiControl.SeleccionTrabajo"
    Title="<%$ Resources:Menu, m0402020301 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lbltitulo" runat="server" Text="<%$ Resources:Menu, m0402020301 %>"></asp:Label></div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <asp:Label ID="lblRelacionDetalle" runat="server" Visible="False" CssClass="colorError"></asp:Label>
            <br />
            <asp:Label ID="lblTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblTipoAuditoria %>"
                Height="21px" Width="159px"></asp:Label>*
            <asp:DropDownList ID="drpTipoAuditoria" runat="server" AutoPostBack="True">
            </asp:DropDownList>
            <br />
            <asp:Label ID="lblNoRespondeTotalCuestionarios" runat="server" Visible="False" CssClass="colorError"></asp:Label>
            <br />
            <asp:Panel ID="Panel1" runat="server" Visible="false" SkinID="panelSkinned">
                <asp:GridView ID="gvListaCategoria" runat="server" AutoGenerateColumns="False" Style="text-align: left">
                    <Columns>
                        <asp:BoundField HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="60px"
                            DataField="idTrabajoAuditoria" SortExpression="idTrabajoAuditoria">
                            <ItemStyle Width="60px"></ItemStyle>
                        </asp:BoundField>
                        <asp:BoundField HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="290px"
                            DataField="NombreTrabajoAuditoria" SortExpression="NombreTrabajoAuditoria">
                            <ItemStyle Width="290px"></ItemStyle>
                        </asp:BoundField>
                        <asp:TemplateField>
                            <HeaderTemplate>
                                <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:Idioma, lblPrioridad %>"></asp:Literal>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <%#Container.DataItemIndex + 1%>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" VerticalAlign="Top" />
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:CheckBox ID="ChkSeleccionaTrabajo" runat="server" />
                                <asp:Label ID="lblIdTrabajos" runat="server" Text='<%# Eval("trabajoSeleccionado") %>'
                                    Visible="false"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <br />
                <table>
                    <tr>
                        <td align="center">
                            &nbsp;<asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                                CausesValidation="false" />
                            &nbsp;&nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                                CausesValidation="false" />
                            &nbsp;<br />
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </div>
    </div>
</asp:Content>
