﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="audEditarCategoria.aspx.vb" Inherits="AudiControl.audEditarCategoria"
    Title="<%$ Resources:TituloPaginas, TitEditarCategoria %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdCategoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdModRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblProvision" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblSaldoProvision" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblMantenimientoCategoria" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoCategoria %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <br />
            <table width="600px">
                <tr>
                    <td style="height: 44px; text-align: right;">
                        <asp:Label ID="lblDescripcionCategoria" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                        *<br />
                        <br />
                        <br />
                    </td>
                    <td style="height: 26px; text-align: left;">
                        <asp:TextBox ID="txtDescripcionCategoria" runat="server" Width="520px" MaxLength="60"
                            Height="21px"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDescripcionCategoria" runat="server" ControlToValidate="txtDescripcionCategoria"
                            Height="22px" Width="458px">
                            <asp:Label ID="lblDescripcionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        <asp:Label ID="lblDetalleCategoria" runat="server" Text="<%$ Resources:Idioma, lblDescripcionDetallada %>"></asp:Label>
                        *<br />
                        <br />
                        <br />
                        <br />
                        <br />
                        <br />
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtDetalleCategoria" runat="server" Height="81px" TextMode="MultiLine"
                            Width="520px" MaxLength="700"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDetalleCategoria" runat="server" ControlToValidate="txtDetalleCategoria"
                            Height="16px" Width="458px">
                            <asp:Label ID="lblDetalleObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvDetalleCategoria" runat="server" ControlToValidate="txtDetalleCategoria">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                        &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;
                        <br />
                        <br />
                        <asp:Label ID="lblModRiesgo" runat="server" Text="<%$ Resources:Idioma, lblModeloRiesgo %>"
                            Width="162px"></asp:Label>
                        *<br />
                        <br />
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:DropDownList ID="drpModRiesgo" runat="server" Width="88px">
                        </asp:DropDownList>
                        <asp:Label ID="lblNombreModRiesgo" runat="server" Visible="false"></asp:Label>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <br />
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                        &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;
                        <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources: Idioma, lblCodigo %>"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtCodigo" runat="server" Width="520px" MaxLength="30" Height="19px"></asp:TextBox>
                    </td>
                </tr>
            </table>
            <table>
                <tr>
                    <td align="center" colspan="2" style="height: 60px">
                        <asp:Button ID="btnAgregarCategoria" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                            CausesValidation="true" />
                        &nbsp;
                        <asp:Button ID="btnAdicionarOtraCategoria" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                            CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
                        &nbsp;
                        <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>"
                            CausesValidation="false" />
                        &nbsp;
                        <br />
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2">
                        &nbsp;
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
