﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="Backups.aspx.vb" Inherits="AudiControl.Backups" Title="<%$ Resources:Menu, m04010301 %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <script language="javascript" type="text/javascript" src="~/Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblConfiguracionCoreosCorporativos" runat="server" Text="<%$ Resources:Idioma, TitBackups %>"></asp:Label>
        </div>
        <br />
        <br />
        <div align="center">
            <asp:Label ID="lblExito" runat="server" Text="" CssClass="colorExito"></asp:Label>
            &nbsp;
            <asp:Label ID="lblError" runat="server" Text="" CssClass="colorError"></asp:Label>
            &nbsp;
            <asp:Label ID="lblRuta" runat="server" Text="" CssClass="colorError" Visible="false"></asp:Label>
            <br />
        </div>
        <div style="text-align: center; width: 90%">
            <br />
            <asp:Label ID="lblInformacionBackup" runat="server" Text="<%$ Resources:Idioma, lblInformacionBackup %>"></asp:Label>
            <br />
            <br />
            <asp:Label ID="lblCometarioBackup" runat="server" Text="<%$ Resources:Idioma, lblComentarioBackup %>"
                CssClass="subtitulo "></asp:Label>
            <br />
            <asp:TextBox ID="txtcomentario" runat="server" Height="52px" TextMode="MultiLine"
                Width="710px"></asp:TextBox>
            <br />
            <br />
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                CausesValidation="true" />
        </div>
        <br />
        <br />
        <div align="center">
            <asp:Label ID="lblHistorialBackups" runat="server" Text="<%$ Resources:Idioma, lblHistorialBackups %>"
                CssClass="subtitulo "></asp:Label>
            <br />
            <br />
            <table>
                <tr>
                    <td style="width: 40px">
                    </td>
                    <td>
                        <div style="overflow: auto; width: 668px; height: 250px;">
                            <asp:GridView ID="gvListaBackups" runat="server" AutoGenerateColumns="false" Width="650px"
                                DataKeyNames="idBackup">
                                <Columns>
                                    <asp:BoundField DataField="idBackup" SortExpression="idBackup" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="50px"></asp:BoundField>
                                    <asp:BoundField DataField="DescripcionBackup" SortExpression="DescripcionBackup"
                                        HeaderText="<%$ Resources:Idioma, NombreBackup %>" ItemStyle-Width="200px"></asp:BoundField>
                                    <asp:BoundField DataField="Usuario" SortExpression="Usuario" HeaderText="<%$ Resources:Idioma,UsuarioBackup %>"
                                        ItemStyle-Width="250px"></asp:BoundField>
                                    <asp:BoundField DataField="comentarios" SortExpression="comentarios" HeaderText="<%$ Resources:Idioma, ComentarioBackup %>"
                                        ItemStyle-Width="250px"></asp:BoundField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                                        <ItemTemplate>
                                            <asp:LinkButton ID="lnkDescargar" runat="server" CommandName="DESCARGAR" CommandArgument='<%# Eval("idBackup")%>'
                                                CausesValidation="false">
                                                <asp:Label ID="lblDescargar" runat="server" Text="<%$ Resources:Idioma, lblDescargar %>"></asp:Label></asp:LinkButton>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top"></ItemStyle>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                        </div>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td style="width: 40px">
                        &nbsp;
                    </td>
                    <td>
                        <asp:Button ID="btnReporte" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnReporte %>" />
                    </td>
                </tr>
            </table>
            <br />
        </div>
    </div>
</asp:Content>
