﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ResponderGuiaCumplimientoNormas.aspx.vb" Inherits="AudiControl.ResponderGuiaCumplimientoNormas" 
    title="<%$ Resources:TituloPaginas, TitResponderGuia %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
   <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
   <asp:Label ID="lblIdOficinaAuditoria" runat="server" Text="" Visible="false"></asp:Label>
   <asp:Label ID="lblIdPlanAuditoria" runat="server" Text="" Visible="false"></asp:Label>
   <asp:Label ID="lblIdArea" runat="server" Text="" Visible="false"></asp:Label>
   <asp:Label ID="lblIdCapitulo" runat="server" Text="" Visible="false"></asp:Label>
        
  <div >
  <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblResponderGuiaCumplNormaSGR %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent ">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblEjecucionAuditoria %>"></asp:Label>
</div>
        <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblGuiaCumplimientoNormasXOficina %>"></asp:Label>    
    </div>
      <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    
      <asp:Label ID="lblNoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblNoAuditoria %>" Visible ="false" CssClass ="sinPermisos "></asp:Label>
 <br />
 <asp:Label ID="lblArea" runat="server" Text="" CssClass ="subtitulo "></asp:Label>
      <br />
   <br />
   <asp:Label ID="lblOficina" runat="server" CssClass ="subtitulo "></asp:Label>
 <br />
 <asp:Label ID="lblOficinaNoAuditada" runat="server" Text="<%$ Resources:Idioma, lblCapitulos %>" Visible ="false" CssClass ="subtituloSegundoNivel "></asp:Label>
 <br />
 <table id="tblListaCapitulos" runat = "server" >
 <tr>
 <td>
 <asp:Label ID="lblCapitulos" runat="server" Text="<%$ Resources:Idioma, lblCapitulos %>" CssClass ="subtituloSegundoNivel "></asp:Label>
 </td>
 </tr>
 <tr>
  <td>
  <asp:GridView ID="gvListaCapitulos" runat="server" AutoGenerateColumns="false">
        <Columns>
            <asp:BoundField DataField="idCapitulo" SortExpression="idCapitulo" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px" />
            <asp:BoundField DataField="descripcionCapitulo" SortExpression="descripcionCapitulo" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="450px" />
            
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRespondida %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                <ItemTemplate>
                    <asp:Label ID="lblSi" runat="server" Text='<%# Eval("respondida")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblRespondida" runat="server" Text=""></asp:Label>
                </ItemTemplate>
                
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                <ItemTemplate>
                     <asp:Label ID="lblIdCapitulo" runat="server" Text='<%# Eval("idCapitulo")%>' Visible="false"></asp:Label>
                     <asp:Label ID="lblDescripcionCapitulo" runat="server" Text='<%# Eval("descripcionCapitulo")%>' Visible="false"></asp:Label>
                    <asp:LinkButton ID="lnkResponder" runat="server" CommandName="RESPONDER" CommandArgument='<%# Eval("idCapitulo")%>' CausesValidation ="false">
                        <asp:Label ID="lblResponder" runat="server" Text="<%$ Resources:Idioma,lblResponder %>"></asp:Label></asp:LinkButton>
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
  </td>
 </tr>
 <tr>
 <td>
 <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" /><br />
 </td></tr>
 </table>   
    <table  id="tblNormas" runat="server" visible="false"  >
    <tr>
    <td>
    <asp:Label ID="lblCapitulo" runat="server" Text="<%$ Resources:Idioma, lblCapitulo %>" CssClass ="subtitulo "></asp:Label>
    </td>
    </tr>
     <tr>
    <td>
     <asp:GridView ID="gvNormasRespuesta" runat="server" AutoGenerateColumns="false">
        <Columns>
             <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="300px" HeaderText="<%$ Resources:Idioma, lblNorma %>">
                            <HeaderStyle HorizontalAlign="Center" />
                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="15px" />
                            <ItemTemplate>
                            <asp:Label ID="lblIdGuia" runat="server" Text='<%# Eval("idGuiaCumplimientoNorma") %>' Visible="false"></asp:Label>
                            <asp:Label ID="lblIdNorma" runat="server" Text='<%# Eval("idNorma") %>' Visible="false"></asp:Label> 
                            <asp:Label ID="lblDescripcionNorma" runat="server" Text='<%# Eval("descripcionNorma") %>' Visible="false"></asp:Label>              
                            <asp:Label ID="lblPregunta"  runat="server" Width="280px"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" 
                ItemStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: Idioma,lblRespuestaGridView %>" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                <ItemTemplate>
                    <asp:DropDownList ID="drpRespuestas" runat="server" Width="180px" OnSelectedIndexChanged="drpRespuestas_OnSelectedIndexChanged" AutoPostBack="true"></asp:DropDownList>
                <asp:Label ID="lblIdRespuestaEmpresa" runat="server" Text='<%# Eval("idRespuestaEmpresa") %>' Visible="false"></asp:Label>                                             
                </ItemTemplate>
           </asp:TemplateField> 
           
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px" HeaderText="<%$ Resources:Idioma, lblComentario %>">
                            <HeaderStyle HorizontalAlign="Center" />
                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="15px" />
                            <ItemTemplate>
                              <asp:TextBox ID="txtComentario"  runat="server" 
                                    Text='<%# Eval("comentario") %>' Width="180px" Hight ="80px" TextMode ="MultiLine" MaxLength="300" onblur="valirLongitud(this,300);"></asp:TextBox>
                            </ItemTemplate>
                        </asp:TemplateField>              
        </Columns>
    </asp:GridView>
             
    </td></tr>
   
    </table> 
      <br />
      <asp:Button ID="btnVolverDos" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" Visible="false"/><br />
   </div>
    
</asp:Content>

