﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarCargo.aspx.vb" Inherits="AudiControl.EditarCargo" Title="<%$ Resources:TituloPaginas, TitEditarCargo %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdCargo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdArea" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAreaControl" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanMejoramientoAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAccionTratamiento" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblConfiguracionFuncionarios" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblMantenimientoCargo" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoCargo %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <table width="700px">
                <tr>
                    <td style="height: 24px; text-align: right;">
                        <asp:Label ID="lblArea" runat="server" Text="<%$ Resources:Idioma, lblArea %>" Width="136px"></asp:Label>&nbsp;*
                        <br />
                        <br />
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:DropDownList ID="drpArea" runat="server" Width="231px" Height="20px">
                        </asp:DropDownList>
                        <br />
                        <asp:Label ID="lblNombreArea" runat="server" Visible="false"></asp:Label>
                        <asp:RequiredFieldValidator ID="rfvArea" runat="server" ControlToValidate="drpArea"
                            Height="16px" Width="393px">
                            <asp:Label ID="lblSeleccionArea" runat="server" Text="<%$ Resources:Idioma, lblSeleccionArea %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 44px; text-align: right;">
                        <asp:Label ID="lblnombreCargo" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                        &nbsp;*<br />
                        <br />
                    </td>
                    <td style="height: 26px; text-align: left;">
                        <asp:TextBox ID="txtNombreCargo" runat="server" Width="395px" MaxLength="50"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvNombreCargo" runat="server" ControlToValidate="txtNombreCargo"
                            Height="16px" Width="454px">
                            <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label>
                        </asp:RequiredFieldValidator> <br />
                        <asp:CustomValidator ID="cvNombreCargo" runat="server" ControlToValidate="txtNombreCargo">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        <asp:Label ID="lblDescripcionCargo" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtDescripcionCargo" runat="server" Height="81px" TextMode="MultiLine"
                            Width="400px" MaxLength="250"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvDescripcionCargo" runat="server" ControlToValidate="txtDescripcionCargo">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources: Idioma, lblCodigo %>"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtCodigo" runat="server" Width="395px" MaxLength="30"></asp:TextBox>
                        <asp:CustomValidator ID="cvCodigo" runat="server" ControlToValidate="txtCodigo">
                        </asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarCargo" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" />
            &nbsp;
            <asp:Button ID="btnAdicionarOtroCargo" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
