﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarCategoria.aspx.vb" Inherits="AudiControl.EditarCategoria" Title="<%$ Resources:TituloPaginas, TitEditarCategoria %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdCategoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdModRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblProvision" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblSaldoProvision" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>&nbsp;
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblMantenimientoCategoria" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoCategoria %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <br />
            <table width="800px">
                <tr>
                    <td style="height: 44px; text-align: right;">
                        <asp:Label ID="lblDescripcionCategoria" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                        &nbsp;*<br />
                    </td>
                    <td style="height: 26px; text-align: left;">
                        <asp:TextBox ID="txtDescripcionCategoria" runat="server" Width="520px" MaxLength="100"
                            Height="21px"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDescripcionCategoria" runat="server" ControlToValidate="txtDescripcionCategoria"
                            Height="22px" Width="458px">
                            <asp:Label ID="lblDescripcionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                            </asp:RequiredFieldValidator>
                             <br />
                        <asp:CustomValidator ID="cvDescripcionCategoria" runat="server" ControlToValidate="txtDescripcionCategoria">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        <asp:Label ID="lblDetalleCategoria" runat="server" Text="<%$ Resources:Idioma, lblDescripcionDetallada %>"></asp:Label>
                        &nbsp;*<br />
                        <br />
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtDetalleCategoria" runat="server" Height="81px" TextMode="MultiLine"
                            Width="520px" MaxLength="1500"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDetalleCategoria" runat="server" ControlToValidate="txtDetalleCategoria"
                            Height="20px" Width="458px">
                            <asp:Label ID="lblDetalleObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvDetalleCategoria" runat="server" ControlToValidate="txtDetalleCategoria">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        <asp:Label ID="lblModRiesgo" runat="server" Text="<%$ Resources:Idioma, lblModeloRiesgo %>"
                            Width="128px"></asp:Label>&nbsp;*
                        <br />
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:DropDownList ID="drpModRiesgo" runat="server">
                        </asp:DropDownList>
                        <asp:Label ID="lblNombreModRiesgo" runat="server" Visible="false"></asp:Label>&nbsp;
                        <asp:RequiredFieldValidator ID="rfvModelo" runat="server" ControlToValidate="drpModRiesgo"
                            Text="<%$ Resources:Idioma, ModRiesgoRequerido %>" CssClass="colorError" Display="Dynamic"></asp:RequiredFieldValidator>
                        <asp:Button ID="btnListarModRiesgo" runat="server" Text="<%$ Resources: Idioma,btnListarModRiesgo %>"
                            CausesValidation="false" Width="152px" />
                        <br />
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources: Idioma, lblCodigo %>"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtCodigo" runat="server" Width="520px" MaxLength="30" Height="19px"></asp:TextBox>
                        <asp:CustomValidator ID="cvCodigo" runat="server" ControlToValidate="txtCodigo">
                        </asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarCategoria" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" />
            &nbsp;
            <asp:Button ID="btnAdicionarOtraCategoria" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
