﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarCorreo.aspx.vb" Inherits="AudiControl.EditarCorreo" Title="<%$ Resources:TituloPaginas, TitEditarCorreo %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdFuncionario" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdCorreo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblConfiguracionFuncionarios" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblAdmonEmpresa %>"></asp:Label>
    </div>
    <div class="header" style="text-align: center">
        <asp:Label ID="lblEditarCorreo" runat="server" Text="<%$ Resources:TituloPasos, lblEditarCorreo %>"></asp:Label>
    </div>
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <table>
            <tr>
                <td align="right" style="width: 233px; height: 26px; text-align: right;">
                    <asp:Label ID="lblNombreFuncionario" runat="server" Text="<%$ Resources:Idioma, lblFuncionario %>"
                        Height="24px" Width="125px"></asp:Label>
                </td>
                <td style="width: 8px">
                </td>
                <td align="left" style="width: 322px; height: 26px; text-align: left;">
                    <asp:Label ID="lblNombreFunc" runat="server" Text=""></asp:Label>
                </td>
            </tr>
            <tr>
                <td align="right" style="width: 233px; height: 37px; text-align: right;">
                    <asp:Label ID="lblFuncionario" runat="server" Text="<%$ Resources:Idioma, lblCorreo %>"
                        Width="125px"></asp:Label>
                    *<br />
                    <br />
                </td>
                <td style="width: 8px; height: 37px;">
                </td>
                <td align="left" style="width: 322px; height: 37px; text-align: left;">
                    <asp:TextBox ID="txtCorreo" runat="server" Width="263px" MaxLength="70"></asp:TextBox><br />
                    <asp:RequiredFieldValidator ID="rfvCorreoObligatorio" runat="server" ControlToValidate="txtCorreo">
                        <asp:Label ID="lblValidacionCorreo" runat="server" Text="<%$ Resources:Idioma, lblCorreoObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="rfvCorreo" runat="server" ErrorMessage="<%$ Resources:Idioma, lblCorreoNoValido %>"
                        ControlToValidate="txtCorreo" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
                        <asp:CustomValidator ID="cvCorreo" runat="server" ControlToValidate="txtCorreo">
                        </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td align="center" colspan="3" style="height: 26px">
                    <br />
                    <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                        CausesValidation="true" />
                    &nbsp;
                    <asp:Button ID="btnModificar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"
                        CausesValidation="true" />
                    &nbsp;
                    <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                        CausesValidation="false" />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
