﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarAplicacionComputador.aspx.vb" Inherits="AudiControl.ListarAplicacionComputador"
    Title="<%$ Resources:TituloPaginas, TitEditarAplicacion %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAplicacionComputador" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" runat="server" Text="<%$ Resources: msgEliminaAplicacionComputador %>"
        Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblRelacionAmenazasRiesgos" runat="server" Text="<%$ Resources:Menu, m0403020108 %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <asp:MultiView ID="mvAplicacionComputador" runat="server" ActiveViewIndex="0">
            <asp:View ID="vwConsulta" runat="server">
                <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
                <asp:Label ID="lblNoAplicacion" runat="server" Visible="false" CssClass="colorExito"></asp:Label><br />
                <asp:GridView ID="gvListaAplicacionComputador" runat="server" AutoGenerateColumns="False"
                    DataKeyNames="IdAplicacionComputador" AllowPaging="true" PageSize="15">
                    <Columns>
                        <asp:BoundField DataField="idAplicacionComputador" HeaderText="<%$ Resources: lblId %>" />
                        <asp:BoundField DataField="nombreAplicativo" HeaderText="<%$ Resources: lblNombre %>" />
                        <asp:BoundField DataField="objetivoAplicacion" HeaderText="<%$ Resources: lblObjetivoAplicacion %>" />
                        <asp:BoundField DataField="tipoProcesamiento" HeaderText="<%$ Resources: lblTipoProcesamiento %>" />
                        <asp:BoundField DataField="datosAplicativo" HeaderText="<%$ Resources: lblDatosAplicativo %>" />
                        <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblAccion %>">
                            <ItemTemplate>
                                <div>
                                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idAplicacionComputador")%>'
                                        CausesValidation="false">
                                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                    &nbsp;&nbsp;
                                    <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                        runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idAplicacionComputador")%>'
                                        CausesValidation="false">
                                        <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                </div>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <br />
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                            <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                                <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="nombre"></asp:ListItem>
                            </asp:RadioButtonList>
                            <br />
                            <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                                <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                        </td>
                        <td>
                            <asp:TextBox ID="txtCriterio" runat="server" />
                            &nbsp;
                            <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                                CausesValidation="true" />
                            &nbsp;&nbsp;
                        </td>
                        <td>
                            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                                CausesValidation="False" />
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <asp:Button ID="btnAgregarPunto" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnAgregar %>" />
                        </td>
                    </tr>
                </table>
            </asp:View>
            <asp:View ID="vwEdicion" runat="server">
                <table style="width: 577px">
                    <tr>
                        <td style="text-align: right">
                            <asp:Label ID="lblNombreAplicativo" runat="server" Text="<%$ Resources: lblNombre %>"></asp:Label>&nbsp;*
                        </td>
                        <td style="text-align: left">
                            <asp:TextBox ID="txtNombreAplicativo" runat="server" Height="20px" MaxLength="300"
                                Width="370px"></asp:TextBox>
                            <asp:RequiredFieldValidator runat="server" ControlToValidate="txtNombreAplicativo">
               <asp:Label runat="server" Text="<%$ Resources: NombreObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            <asp:Label ID="lblObjetivoAplicacion" runat="server" Text="<%$ Resources: lblObjetivoAplicacion %>"></asp:Label>&nbsp;*
                        </td>
                        <td style="text-align: left">
                            <asp:TextBox ID="txtObjetivoAplicacion" runat="server" Height="60px" TextMode="MultiLine"
                                Width="375px" MaxLength="1000"></asp:TextBox>
                            <asp:RequiredFieldValidator runat="server" ControlToValidate="txtObjetivoAplicacion">
               <asp:Label runat="server" Text="<%$ Resources: ObjetivoObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            <asp:Label ID="lblDatosAplicativo" runat="server" Text="<%$ Resources: lblDatosAplicativo %>"></asp:Label>&nbsp;*
                        </td>
                        <td style="text-align: left">
                            <asp:TextBox ID="txtDatosAplicativo" runat="server" TextMode="MultiLine" Width="375px"
                                MaxLength="1000" Height="60px"></asp:TextBox>
                            <asp:RequiredFieldValidator runat="server" ControlToValidate="txtDatosAplicativo">
               <asp:Label runat="server" Text="<%$ Resources: DatoObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            <asp:Label ID="lblTipoProcesamiento" runat="server" Text="<%$ Resources:lblTipoProcesamiento %>"></asp:Label>&nbsp;*
                        </td>
                        <td style="text-align: left">
                            <asp:DropDownList ID="drpTipoProcesamiento" runat="server">
                                <asp:ListItem Value="T" Text="<%$ Resources: Lotes %>"></asp:ListItem>
                                <asp:ListItem Value="L" Text="<%$ Resources: Linea %>"></asp:ListItem>
                                <asp:ListItem Value="A" Text="<%$ Resources: Ambos %>"></asp:ListItem>
                            </asp:DropDownList>
                        </td>
                    </tr>
                </table>
                <br />
                <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>" />
                &nbsp;
                <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>" />
                &nbsp;
                <asp:Button ID="btnDeshacer" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>"
                    CausesValidation="false" />
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
