<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarEscenarios.aspx.vb" Inherits="AudiControl.ListarEscenarios"
    Title="<%$ Resources:TituloPaginas, TitEscenarios %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <br />
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdTipoEscenario" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaEscenario %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        <div class="header">
            <asp:Label Text="<%$ Resources:Menu, m0403020201 %>" runat="server"></asp:Label>
        </div>
    </div>
    <div align="center">
        <asp:Label ID="lblTipo" runat="server" Text="<%$ Resources: Idioma, lblTipo %>"></asp:Label>&nbsp;<asp:Label
            runat="server" ID="lblescenario" Text="<%$ Resources: Idioma, lblEscenario %>"></asp:Label>&nbsp;<asp:Label
                runat="server" ID="lblAsterik" Text="*"></asp:Label>&nbsp;
        <asp:DropDownList ID="drpTipoEscenario" AutoPostBack="true" runat="server">
        </asp:DropDownList>
        <br />
        <asp:RequiredFieldValidator ControlToValidate="drpTipoEscenario" ValidationGroup="Adicionar"
            CssClass="colorError" ErrorMessage="<%$ Resources: Idioma, lblEscenarioObligatorio %>"
            runat="server"></asp:RequiredFieldValidator>
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
        <asp:Label ID="lblNoEscenario" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <asp:GridView ID="gvListaEscenario" runat="server" AutoGenerateColumns="false" AllowPaging="True"
            PageSize="10">
            <Columns>
                <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="60px" />
                <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario"
                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="350px" />
                <asp:BoundField DataField="descripcionModelo" SortExpression="descripcionModelo"
                    HeaderText="<%$ Resources:Idioma, lblModelo %>" ItemStyle-Width="180px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idEscenario")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idEscenario")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkVerRelacion" runat="server" CommandName="VER RELACION" CommandArgument='<%# Eval("idEscenario")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblVerRelacion" runat="server" Text="<%$ Resources:Idioma, lblVerRelacion %>"></asp:Label></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
    </div>
    <br />
    <div align="center">
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                    <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                        <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                    </asp:RadioButtonList>
                    <br />
                    <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                        <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                </td>
                <td valing="Top">
                    <asp:TextBox ID="txtCriterio" runat="server" />
                    &nbsp;
                    <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                        CausesValidation="true" />
                    <br />
                    <asp:RequiredFieldValidator ID="rfvBusqueda" runat="server" ControlToValidate="txtCriterio">
                        <asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma, lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                    <br />
                </td>
                <td style="text-align: center;" valign="Top">
                    <br />
                    &nbsp; &nbsp;
                    <asp:Button ID="btnReporte" runat="server" Enabled="false" Text="<%$ Resources:Idioma, btnReporteEscenarios %>"
                        CausesValidation="False" Width="145px" />
                    &nbsp;
                    <asp:Button ID="btnReporteRelacion" runat="server" Enabled="false" Text="<%$ Resources:Idioma, btnReporteRelacion %>"
                        CausesValidation="False" Width="145px" />
                    &nbsp;&nbsp;
                    <asp:Button ID="btnAgregarEscenario" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                        CausesValidation="true" ValidationGroup="Adicionar" />
                    &nbsp;
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
