﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarModelosRiesgo.aspx.vb" Inherits="AudiControl.ListarModelosRiesgo"
    Title="<%$ Resources:TituloPaginas, TitModeloRiesgo %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <script language="javascript" type="text/javascript" src="../Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdCategoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaModeloRiesgo %>"
        runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoMacro" runat="server" Text="<%$ Resources:TituloPasos, lblListaModelosRiesgo %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <asp:Label ID="lblNoModelosRiesgo" runat="server" Visible="false" CssClass="colorExito "></asp:Label>
            <asp:GridView ID="gvListaModeloRiesgo" runat="server" AutoGenerateColumns="false"
                AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idModRiesgo" SortExpression="idModRiesgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="80px" />
                    <asp:BoundField DataField="nombreModalidad" SortExpression="nombreModalidad" HeaderText="<%$ Resources:Idioma, lblNombre %>"
                        ItemStyle-Width="250px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                        <ItemTemplate>
                            <div style="text-align: center">
                                <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idModRiesgo")%>'>
                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                &nbsp;&nbsp;
                                <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                    runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idModRiesgo")%>'>
                                    <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            </div>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <table>
                <tr>
                    <td style="height: 21px; width: 331px;">
                    </td>
                </tr>
                <tr style="width: 200px">
                    <td style="width: 331px; text-align: center;">
                        <asp:Button ID="btnAgregarModeloRiesgo" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>" />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
