﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarProcesos.aspx.vb" Inherits="AudiControl.ListarProcesos" Title="<%$ Resources:TituloPaginas, TitProcesos %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdProcesoEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaProceso %>"
        runat="server" Style="display: none"></asp:Label>
    <div style="text-align: left">
        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
        &nbsp;<asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label></div>
    <div style="text-align: center">
        <div class="header">
            <asp:Label Text="<%$ Resources:Menu, m0403020103 %>" runat="server"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <asp:Label ID="lblNoProceso" runat="server" Visible="False" CssClass="colorExito "></asp:Label>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <asp:MultiView ActiveViewIndex="0" ID="mvProceso" runat="server">
                <asp:View ID="vwConsulta" runat="server">
                    <asp:GridView ID="gvListaProcesos" runat="server" AutoGenerateColumns="false" AllowPaging="true"
                        PageSize="15">
                        <Columns>
                            <asp:BoundField DataField="idProcesoEmpresa" SortExpression="idProcesoEmpresa" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="90px"></asp:BoundField>
                            <asp:BoundField DataField="descripcionProceso" SortExpression="descripcionProceso"
                                HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="350px"></asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idProcesoEmpresa")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        &nbsp;&nbsp;
                                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascritp: if (!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idProcesoEmpresa")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <div align="center">
                        <br />
                        <table>
                            <tr>
                                <td align="center">
                                    <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                                    <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal"
                                        Width="150px">
                                        <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                        <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="descripcion"></asp:ListItem>
                                    </asp:RadioButtonList>
                                    <br />
                                    <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                                        <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                                </td>
                                <td style="text-align: left">
                                    <br />
                                    <asp:TextBox ID="txtCriterio" runat="server" />
                                    &nbsp;
                                    <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                                        CausesValidation="true" />
                                    <br />
                                    <asp:RequiredFieldValidator ID="rfvBusqueda" runat="server" ControlToValidate="txtCriterio">
                                        <asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma,  lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                                </td>
                                <td style="text-align: right;">
                                    &nbsp;
                                    <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                                        CausesValidation="False" />
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </div>
                </asp:View>
                <asp:View ID="vwEdicion" runat="server">
                    <div align="center">
                        <table>
                            <tr>
                                <td style="width: 197px; height: 23px; text-align: right;">
                                    <asp:Label ID="lblProceso" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"
                                        Height="22px" Width="125px"></asp:Label>
                                    &nbsp;*
                                </td>
                                <td style="width: 8px; height: 23px;">
                                </td>
                                <td align="left" style="width: 322px; height: 23px;">
                                    <asp:TextBox ID="txtProceso" runat="server" Width="520px" Height="20px" MaxLength="90"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtProceso">
                                        <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                                    </asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 197px; height: 6px; text-align: right;">
                                    <asp:Label ID="lblDetalleProceso" runat="server" Text="<%$ Resources:Idioma, lblDescripcionDetallada %>"
                                        Height="24px" Width="144px"></asp:Label>
                                    &nbsp;*
                                </td>
                                <td style="width: 8px; height: 6px;">
                                </td>
                                <td align="left" style="width: 322px; height: 6px;">
                                    <asp:TextBox ID="txtDetalleProceso" runat="server" Width="519px" Height="120px" TextMode="MultiLine"
                                        MaxLength="1000"></asp:TextBox><br />
                                    <asp:RequiredFieldValidator ID="rfvDetalleProceso" runat="server" ControlToValidate="txtDetalleProceso">
                                        <asp:Label ID="lblDetalleObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:Label>
                                    </asp:RequiredFieldValidator>
                                    <asp:CustomValidator ID="cvDetalleProceso" runat="server" ControlToValidate="txtDetalleProceso">
                                        <asp:Label ID="lblMaximoCaracterDetalle" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                                    </asp:CustomValidator>
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td style="height: 23px; text-align: right; width: 197px;">
                                    <asp:Label ID="lblTipoProceso" runat="server" Text="<%$ Resources:Idioma, lblTipoProceso %>"
                                        Height="21px"></asp:Label>
                                    &nbsp;*<br />
                                </td>
                                <td>
                                </td>
                                <td align="left" style="width: 322px; height: 40px; text-align: left;">
                                    <asp:DropDownList ID="drpTipoProceso" runat="server">
                                    </asp:DropDownList>
                                    <br />
                                    <asp:RequiredFieldValidator ID="rfvTipoProceso" runat="server" ControlToValidate="drpTipoProceso"
                                        ErrorMessage="<%$ Resources:Idioma, rfvSeleccionTipoProceso %>"> 
                                    </asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td style="height: 23px; text-align: right; width: 197px;">
                                    <asp:Label ID="lblMacroproceso" runat="server" Text="<%$ Resources:Idioma, lblMacroproceso %>"
                                        Height="21px" Width="198px"></asp:Label>
                                </td>
                                <td>
                                </td>
                                <td style="width: 13px; height: 23px;">
                                    <asp:DropDownList ID="drpMacroproceso" runat="server">
                                    </asp:DropDownList>
                                </td>
                            </tr>
                        </table>
                        <br />
                        <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                            CausesValidation="true" />
                        &nbsp;
                        <asp:Button ID="btnAdicionarOtro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                            CausesValidation="False" UseSubmitBehavior="False" Visible="false" Width="103px" />
                        &nbsp;
                        <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                            CausesValidation="false" />
                        <br />
                    </div>
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
