<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarRangosPerdida.aspx.vb" Inherits="AudiControl.ListarRangosPerdida"
    Title="<%$ Resources:TituloPaginas, TitRango %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgAdicionaTipoImpacto %>"
        runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdMetodo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoImpacto" runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label></div>
        <div class="header">
            <asp:Label ID="lblListaRangoPerdida" runat="server" Text="<%$ Resources:TituloPasos, lblListaRangoPerdida %>"></asp:Label></div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <table>
                <tr style="width: 200px">
                    <td style="width: 331px; text-align: center;">
                        <asp:Label ID="lblMetodo" runat="server" Text="<%$ Resources:Idioma, lblMetodo %>"
                            Height="25px" CssClass="subtitulo "></asp:Label><asp:Label ID="lblNombreMetodo" runat="server"
                                Height="25px" CssClass="subtitulo "></asp:Label><br />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblTipoImpacto" runat="server" Text="<%$ Resources: lblTipoImpacto %>"
                            CssClass="subtituloTercerNivel"> </asp:Label>:&nbsp;
                        <asp:Label ID="lblNombreTipoImpacto" runat="server" CssClass="subtituloTercerNivel"></asp:Label>
                        <br />
                        <asp:Label ID="lblMillon" runat="server" CssClass="ruta" Text="<%$ Resources: Idioma, lblMillones %>"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
        </div>
        <div align="center">
            <asp:Label ID="lblRangoPerdida" runat="server" Visible="false" Height="24px"></asp:Label><asp:GridView
                ID="gvListaRangoPerdida" runat="server" AutoGenerateColumns="false" Visible="false"
                AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="valorImpacto" SortExpression="valorImpacto" HeaderText="<%$ Resources:Idioma, lblValor %>"
                        ItemStyle-Width="120px" />
                    <asp:BoundField DataField="Criterio" SortExpression="Criterio" HeaderText="<%$ Resources: lblDescripcion %>"
                        ItemStyle-Width="200px" />
                    <asp:BoundField DataField="valorInicialS" SortExpression="valorInicialS" HeaderText="<%$ Resources: lblValorInicial %>"
                        ItemStyle-Width="150px" ItemStyle-HorizontalAlign="Right" Visible="false" />
                    <asp:BoundField DataField="valorFinalS" SortExpression="valorFinalS" HeaderText="<%$ Resources: lblValorFinal %>"
                        ItemStyle-Width="150px" ItemStyle-HorizontalAlign="Right" Visible="false" />
                    <asp:BoundField DataField="puntoMedioS" SortExpression="puntoMedioS" HeaderText="<%$ Resources: lblPuntoMedio %>"
                        ItemStyle-Width="120px" ItemStyle-HorizontalAlign="Right" Visible="false" />
                    <asp:BoundField DataField="texto" SortExpression="texto" HeaderText="<%$ Resources: Idioma, lblImpacto %>"
                        ItemStyle-Width="120px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Middle" ItemStyle-Width="180px">
                        <ItemTemplate>
                            <div style="text-align: center">
                                <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idRango")%>'
                                    CausesValidation="false">
                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            </div>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />&nbsp;
            <asp:Button ID="btnConfigurar" runat="server" Visible="false" Text="<%$ Resources: btnConfigurar %>"
                OnClientClick="javascript: if (!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false" />&nbsp;
        </div>
    </div>
</asp:Content>
