<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="SeleccionarTipoImpacto.aspx.vb" Inherits="AudiControl.SeleccionarTipoImpacto"
    Title="<%$ Resources:TituloPaginas, TitSeleccionImpacto %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblMensajeBorrado" runat="server" Text="<%$ Resources: Idioma, msgConfirmaTipoImpacto %>"
        Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdTipoImpacto" runat="server" Style="display: none"></asp:Label>
    <br />
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label runat="server" Text="<%$ Resources:Menu, m0403020211 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <asp:Label ID="lblNoImpacto" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <asp:Label ID="lblImpactoNoConfigurado" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <br />
            <br />
            <asp:GridView ID="gvListaImpactos" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                PageSize="15" DataKeyNames="idTipoImpacto">
                <Columns>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblSeleccionarImpacto %>"
                        ItemStyle-Width="150px" ItemStyle-HorizontalAlign="Center">
                        <ItemTemplate>
                            <asp:CheckBox ID="ckImpacto" runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="idTipoImpacto" SortExpression="idTipoImpacto" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="90px" />
                    <asp:BoundField DataField="descripcion" SortExpression="descripcion" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                        ItemStyle-Width="400px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkConfigurar" runat="server" CommandName="CONFIGURAR" CommandArgument='<%# Eval("idTipoImpacto")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblConfigurar" runat="server" Text="<%$ Resources:Idioma, lblConfigurar %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <div align="center">
                <table style="width: 100%">
                    <tr>
                        <td style="height: 42px; width: 160px">
                            <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                            <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                                <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                            </asp:RadioButtonList>
                            <br />
                            <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                                <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                        </td>
                        <td style="height: 42px; width: 210px; text-align: center">
                            <asp:TextBox ID="txtCriterio" runat="server" />&nbsp;
                            <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                                CausesValidation="true" />
                            &nbsp;
                        </td>
                        <td style="text-align: center; height: 42px;">
                            <asp:Button ID="btnGuarda" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnGuardar %>"
                                OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" />
                            &nbsp;
                            <asp:Button ID="btnAgregarImpacto" runat="server" Text="<%$ Resources:Idioma, lblMantenimientoTipoImpacto %>"
                                CausesValidation="false" Width="220px" />
                            &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                                CausesValidation="False" />
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</asp:Content>
