﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="TipoImpacto.aspx.vb" Inherits="AudiControl.TipoImpacto" Title="<%$ Resources:TituloPaginas, TitTiposProceso %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTipoImpacto" runat="server" Text="<%$ Resources:TituloPasos, lblListaTipoImpacto %>"></asp:Label>
            <asp:Label ID="lblMensaje" Text="<%$ Resources:Idioma, msgEliminaTipoImpacto %>"
                runat="server" Style="display: none"></asp:Label>
        </div>
        <div align="center">
            <asp:MultiView ID="mvTipoImpacto" ActiveViewIndex="0" runat="server">
                <asp:View ID="vwConsulta" runat="server">
                    <br />
                    <asp:Label ID="lblImpacto" runat="server" Visible="false"></asp:Label>
                    <asp:GridView ID="gvListaTipoImpacto" runat="server" AutoGenerateColumns="false"
                        Visible="false" AllowPaging="True" PageSize="15">
                        <Columns>
                            <asp:BoundField DataField="idTipoImpacto" SortExpression="idTipoImpacto" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="150px" />
                            <asp:BoundField DataField="descripcion" SortExpression="descripcion" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                ItemStyle-Width="250px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idTipoImpacto")%>'>
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        &nbsp;&nbsp;
                                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;"
                                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idTipoImpacto")%>'>
                                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Button ID="btnAgregarImpacto" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                        CausesValidation="true" Width="100px" />
                    <br />
                </asp:View>
                <asp:View ID="vwEdicion" runat="server">
                    <br />
                    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    <br />
                    <table>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblIdentificador" runat="server" Text="<%$ Resources:Idioma, lblId %>"></asp:Label>
                                <br />
                            </td>
                            <td style="text-align: left; vertical-align: top">
                                <asp:TextBox ID="txtId" Height="20px" runat="server" Width="100px" MaxLength="10"
                                    ReadOnly="true"></asp:TextBox>
                                <br />
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left;" valign="top">
                                <asp:TextBox ID="txtDescripcion" runat="server" Width="400px" MaxLength="120" Height="20px"></asp:TextBox>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion"
                                    Height="16px" Width="394px">
                                    <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label></asp:RequiredFieldValidator>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right">
                                <asp:Label ID="lblDetalle" runat="server" Text="<%$ Resources: Idioma, lblDescripcion %>"></asp:Label>
                            </td>
                            <td style="text-align: left">
                                <asp:TextBox ID="txtDetalle" runat="server" Width="400px" MaxLength="800" TextMode="MultiLine"
                                    Height="60px"></asp:TextBox>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Button ID="btnAgregarTipoImpacto" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                        CausesValidation="true" />
                    &nbsp;
                    <asp:Button ID="btnAdicionarOtroImpacto" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                        CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
                    &nbsp;
                    <asp:Button ID="btnRegresar" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                        CausesValidation="false" />
                    <br />
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
