﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ReporteRIAgenteGeneradorNivelDos.aspx.vb" Inherits="AudiControl.ReporteRIAgenteGeneradorNivelDos"
    Title="<%$ Resources:TituloPaginas, TitPerfilRI %>" %>

<%@ MasterType VirtualPath="~/EncabezadoAudap.master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdAgente" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdSegmento" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblOpcion" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblPerfilRIAgente" runat="server" Text="<%$ Resources:TituloPasos, lblPerfilRIAgente %>"
                Visible="false"></asp:Label>
            <asp:Label ID="lblPerfilRISegmento" runat="server" Text="<%$ Resources:TituloPasos, lblPerfilRISegmento %>"
                Visible="false"></asp:Label>
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td>
                    </td>
                    <td>
                        <div style="overflow: auto; width: 668px; height: 200px;">
                            <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false" Width="650px">
                                <Columns>
                                    <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="50px"></asp:BoundField>
                                    <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                                        HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="400px"></asp:BoundField>
                                    <asp:BoundField DataField="descripcionProbabilidad" SortExpression="descripcionProbabilidad"
                                        HeaderText="<%$ Resources:Idioma, lblProbabilidad %>" ItemStyle-Width="150px">
                                    </asp:BoundField>
                                    <asp:BoundField DataField="valorProbabilidad" SortExpression="valorProbabilidad"
                                        HeaderText="<%$ Resources:Idioma,lblValorProbabilidad %>" ItemStyle-Width="30px">
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcionImpacto" SortExpression="descripcionImpacto"
                                        HeaderText="<%$ Resources:Idioma, lblImpacto %>" ItemStyle-Width="150px"></asp:BoundField>
                                    <asp:BoundField DataField="valorImpacto" SortExpression="valorImpacto" HeaderText="<%$ Resources:Idioma,lblValorImpacto %>"
                                        ItemStyle-Width="30px"></asp:BoundField>
                                    <asp:BoundField DataField="descripcionRiesgoInherente" SortExpression="descripcionRiesgoInherente"
                                        HeaderText="<%$ Resources:Idioma, lblRI %>" ItemStyle-Width="150px"></asp:BoundField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                        Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                        ItemStyle-Width="150px">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel")%>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblProbabilidad" runat="server" Text="<%$ Resources:Idioma, lblProbabilidad %>"
                            Font-Bold="True" CssClass="subtituloSegundoNivel"></asp:Label>
                    </td>
                    <td>
                        <asp:GridView ID="gvSemaforo" runat="server" AutoGenerateColumns="true" HeaderStyle-HorizontalAlign="Center"
                            ShowFooter="true">
                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                            <FooterStyle BackColor="Silver" />
                        </asp:GridView>
                    </td>
                </tr>
                <tr>
                    <td>
                        <td>
                            <asp:Label ID="lblImpacto" runat="server" Text="<%$ Resources:Idioma, lblImpacto %>"
                                Font-Bold="True" CssClass="subtituloSegundoNivel"></asp:Label>
                        </td>
                    </td>
                </tr>
            </table>
            <br />
        </div>
    </div>
</asp:Content>
