﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionarAlternativaTratamientoEtapa2.aspx.vb" Inherits="AudiControl.SeleccionarAlternativaTratamientoEtapa2"
    Title="<%$ Resources: Menu, m04040308 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <div class="izquierda">
                <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                    Width="120px"></asp:Label>
                <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
                <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                    Width="120px"></asp:Label>
                <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
            </div>
        </div>
        <div class="header">
            <asp:Label ID="lblSeleccionAlternativaTAmenaza" runat="server" Text="<%$ Resources: Menu, m04040308 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <asp:Label Style="text-align: center" ID="lblEliminaAmenaza" runat="server" Visible="false"
                CssClass="colorError" Text="<%$ Resources: Idioma, lblEliminaAmenaza %>"></asp:Label><br />
            <br />
            <table>
                <tr>
                    <td>
                        <asp:GridView ID="gvListaAmenazas" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="70px" />
                                <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="400px" />
                                <asp:BoundField DataField="descripcionRiesgoInherente" SortExpression="descripcionRiesgoInherente"
                                    HeaderText="<%$ Resources:Idioma, lblRI %>" ItemStyle-Width="150px"></asp:BoundField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkAmenaza" runat="server" Visible="false" />
                                        <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text='<%# Eval("idEstudioAmenaza") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblSeleccion" runat="server" Text='<%# Eval("seleccion") %>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblAlternativa" runat="server" Text="" Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                    Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                    ItemStyle-Width="200px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel")%>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblValorRiesgo" runat="server" Text='<%# Eval("riesgoInherente")%>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblTerminado %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblSi" runat="server" Text='<%# Eval("terminado")%>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="left"
                                    HeaderText="<%$ Resources:Idioma, lblAlternativaManejo %>" ItemStyle-VerticalAlign="Top"
                                    ItemStyle-Width="200px">
                                    <ItemTemplate>
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idEstudioAmenaza")%>'>
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
                <tr>
                    <td>
                        <br />
                        <asp:Label ID="lblSinRiesgo" runat="server" Text="<%$ Resources:Idioma, lblSeleccionarRiesgoMenor %>"
                            Visible="false" CssClass="colorError"></asp:Label>
                        <asp:Label ID="lblEscenarioSinAmenaza" runat="server" Text="<%$ Resources:Idioma, lblEscenarioSinAmenaza %>"
                            Visible="false" CssClass="colorError"></asp:Label>
                        <asp:Label ID="lblSinSeleccion" runat="server" Text="<%$ Resources: Idioma, lblNoSeleccionAlternativa %>"
                            Visible="false" CssClass="colorError"></asp:Label><br />
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <asp:Label ID="lblDescripcionAmenaza" runat="server" Visible="False" CssClass="subtitulo"></asp:Label>
                        <br />
                        <br />
                        <asp:CheckBoxList ID="chkAlternativa" runat="server" Visible="False" CssClass="izquierda">
                        </asp:CheckBoxList>
                        <asp:Label ID="lblAlternativa" runat="server" Visible="False"></asp:Label>
                        <br />
                        <br />
                        <asp:Button ID="btnGuardarAlternativa" runat="server" Text="<%$ Resources:Idioma, btnGuardarAlternativa %>"
                            Visible="false" Width="203px" />
                        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardarSelAmenaza %>" />
                        <asp:Button ID="btnReportes" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="False" />
                        <br />
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <br />
</asp:Content>
