﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionarReporteRI.aspx.vb" Inherits="AudiControl.SeleccionarReporteRI"
    Title="<%$ Resources:TituloPaginas, TitSeleccionReporteRI %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdPagina" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblMedicionRiesgoInherente" runat="server" Text="<%$ Resources:Menu, m04040306 %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <table>
            <tr>
                <td style="text-align: center">
                    <asp:Label ID="lblSeleccionReporteRI" runat="server" Text="<%$ Resources:lblSeleccionReporteRI %>"
                        Visible="False" Font-Bold="True"></asp:Label>
                    <br />
                </td>
            </tr>
            <tr>
                <td style="text-align: left">
                    <asp:RadioButtonList ID="rblReporteRI" runat="server">
                        <asp:ListItem Value="1" Text="<%$ Resources:Idioma,lblPorCategoria %>">  
                        </asp:ListItem>
                        <asp:ListItem Value="2" Text="<%$ Resources:Idioma,lblPorArea %>"> 
                        </asp:ListItem>
                        <asp:ListItem Value="3" Text="<%$ Resources:Idioma,lblPorEscenario %>"> 
                        </asp:ListItem>
                    </asp:RadioButtonList>
                    <asp:RequiredFieldValidator ID="rfvSeleccionReporte" runat="server" ControlToValidate="rblReporteRI"
                        ErrorMessage="<%$ Resources:rfvSeleccionReporte %>"></asp:RequiredFieldValidator>
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnAceptar" runat="server" Style="text-align: center" Text="<%$ Resources:Idioma,btnAceptar %>"
            CausesValidation="true" />
        &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
            Width="100px" />
        <br />
        <br />
    </div>
</asp:Content>
