﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="VerMatrizEscenariosVsAreas.aspx.vb" Inherits="AudiControl.VerMatrizEscenariosVsAreas"
    Title="<%$ Resources:TituloPaginas, TitMatrizEscenarioArea %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblMatrizAmenazasEscenariosAreas" runat="server" Text="<%$ Resources:Menu, m0404040401 %>"></asp:Label>
        </div>
        <br />
        <br />
        <div align="center">
            <table>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Label ID="lblArea" runat="server" Text="<%$ Resources:Idioma, lblAreas %>" CssClass="subtitulo"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEscenario" runat="server" Text="<%$ Resources:Idioma, lblEscenarios %>"
                            CssClass="subtitulo"></asp:Label>
                    </td>
                    <td>
                        <asp:GridView ID="gvMatriz" runat="server" AutoGenerateColumns="true" HeaderStyle-HorizontalAlign="Center">
                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
            <br />
            <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false">
                <Columns>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                        <ItemTemplate>
                            <asp:CheckBox ID="chkSeleccionarAmenaza" runat="server" OnCheckedChanged="chkSeleccionarAmenaza_CheckedChanged"
                                AutoPostBack="true" />
                            <asp:Label ID="lblIdAmenaza" runat="server" Text='<%# Eval("idAmenaza") %>' Visible="false"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma,lblId %>"
                        ItemStyle-Width="80px">
                        <ItemStyle Width="80px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                        HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="450px">
                        <ItemStyle Width="450px"></ItemStyle>
                    </asp:BoundField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:TextBox ID="txtDescripcionAmenaza" runat="server" TextMode="MultiLine" Height="100px"
                Width="400px" ReadOnly="true"></asp:TextBox>
            <br />
            <br />
            <asp:DropDownList ID="drpReportes" runat="server">
                <asp:ListItem Text="<%$ Resources: drpLocalizacionAmenazasEnEscenariosVsAreas %>"
                    Value="1"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources: drpReporteAmenazasEscenarioDependencia %>" Value="2"></asp:ListItem>
            </asp:DropDownList>
            &nbsp;&nbsp;&nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            <br />
        </div>
    </div>
</asp:Content>
