﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarReqArchivoPermanente.aspx.vb" Inherits="AudiControl.ListarReqArchivoPermanente"
    Title="<%$ Resources:TituloPaginas, TitListaReqArchivoPermanente %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div>
        <asp:Label ID="lblMensajeBorrado" runat="server" Text="<%$ Resources:Idioma, msgArchivoPermanente %>"
            Style="display: none"></asp:Label>
        <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
        <asp:Label ID="lblIdFactorRiesgo" runat="server" Text="" Visible="false"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0403030206 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblNoEliminaRequerimiento" runat="server" CssClass="colorError"></asp:Label>
            <br />
            <asp:Label ID="lblTitTipoAud" Text="<%$ Resources: Idioma, lblTipoAuditoria %>" runat="server"></asp:Label>
            <asp:Label ID="lblDospuntos" Text=":" runat="server"></asp:Label>
            &nbsp;<asp:DropDownList AutoPostBack="true" ID="drpTipoAuditoria" runat="server">
            </asp:DropDownList>
            <br />
            <br />
            <asp:GridView ID="gvRequerimientosArchivoPermanente" runat="server" AutoGenerateColumns="False"
                AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idRequerimiento" SortExpression="idRequerimiento" HeaderText="<%$ Resources:Idioma, lblId %>">
                        <ItemStyle Width="10px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, lblReqArchivoPermanente %>"
                        ItemStyle-Width="200px">
                        <ItemStyle Width="500px"></ItemStyle>
                    </asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="VER" CommandArgument='<%# Eval("idRequerimiento")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if (!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idRequerimiento")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                CausesValidation="false" />
            &nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="false" />
        </div>
    </div>
</asp:Content>
