﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="audRegistro.aspx.vb" Inherits="AudiControl.audRegistro" Title="<%$ Resources:TituloPaginas, TitListarUsuarios %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <div class="header">
        <br />
        <asp:Label ID="lblListadoUsuarios" runat="server" Text="<%$ Resources:Idioma, lblTitRegistroUsuario %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <table runat="server" id="tblDatosUsuario" style="width: 682px">
            <tr>
                <td style="width: 229px; height: 26px; text-align: right;">
                    <asp:Label ID="lblEmailCliente" runat="server" Text="<%$ Resources: idioma, Email %>"
                        Height="24px" Width="125px"></asp:Label>
                    *
                </td>
                <td style="width: 8px">
                </td>
                <td style="width: 416px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtEmailCliente" runat="server" Width="263px" MaxLength="100"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmailCliente">
                        <asp:Label ID="lblValidacionLogin" runat="server" Text="<%$ Resources: EmailObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="revEmail" runat="server" ErrorMessage="<%$ Resources:Idioma, lblCorreoNoValido %>"
                        ControlToValidate="txtEmail" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 229px; height: 26px; text-align: right;">
                    <asp:Label ID="lblNombre" runat="server" Text="<%$ Resources: idioma, lblNombre %>"
                        Height="24px" Width="125px"></asp:Label>
                    *
                </td>
                <td style="width: 8px">
                </td>
                <td style="width: 416px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtNombreUsuario" runat="server" Width="263px" MaxLength="100"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvNombreUsuario" runat="server" ControlToValidate="txtNombreUsuario">
                        <asp:Label ID="lblValidacionNombreUsuario" runat="server" Text="<%$ Resources: idioma,lblValidacionNombreUsuario %>"></asp:Label></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 229px; height: 26px; text-align: right;">
                    <asp:Label ID="lblApellido" runat="server" Text="<%$ Resources:idioma, lblApellido %>"
                        Height="24px" Width="125px"></asp:Label>
                    *
                </td>
                <td style="width: 8px">
                </td>
                <td style="width: 416px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtApellidoUsuario" runat="server" Width="263px" MaxLength="100"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvApellidoUsuario" runat="server" ControlToValidate="txtApellidoUsuario">
                        <asp:Label ID="lblValidacionApellidoUsuario" runat="server" Text="<%$ Resources: idioma,lblValidacionApellidoUsuario %>"></asp:Label></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right">
                    <asp:Label ID="lblCedula" Text="<%$ Resources: idioma ,NumeroId %>" runat="server"></asp:Label>
                    &nbsp;
                </td>
                <td>
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="txtCedula" runat="server" MaxLength="12"></asp:TextBox>
                </td>
            </tr>
            <tr runat="server" id="tr1">
                <td style="width: 229px; text-align: right; vertical-align: top;">
                    <asp:Label ID="lblEmpresaDondeTrabaja" runat="server" Text="<%$ Resources:idioma, EmpresaTrabaja %>"
                        Height="16px" Width="212px"></asp:Label>
                    *
                </td>
                <td style="width: 8px">
                </td>
                <td style="width: 416px; text-align: left;">
                    <asp:TextBox ID="txtEmpresaTrabaja" runat="server" Width="264px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvEmpresaTrabaja" runat="server" ControlToValidate="txtEmpresaTrabaja">
                        <asp:Label ID="lblEmpresaTrabajaobligatorio" runat="server" Text="<%$ Resources: idioma,EmpresaTrabajaObligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 229px; text-align: right;" align="right">
                    <asp:Label ID="lblActividadEmpresa" runat="server" Text="<%$ Resources:idioma, ActividadEmpresa %>"
                        Height="17px" Width="162px"></asp:Label>
                </td>
                <td>
                </td>
                <td style="text-align: left; width: 416px;">
                    <asp:TextBox ID="txtActividadEmpresa" runat="server" Width="550px" Height="70px"
                        TextMode="MultiLine" MaxLength="600" Style="text-align: justify"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td style="text-align: right">
                    <asp:Label ID="lblCargo" Text="<%$ Resources: idioma, lblCargo %>" runat="server"></asp:Label>&nbsp;*
                </td>
                <td>
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="txtCargo" runat="server" Width="264px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rvCargo" runat="server" ControlToValidate="txtCargo">
                        <asp:Label ID="lblCargoObligatorio" runat="server" Text="<%$ Resources: idioma,CargoObligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right; vertical-align: top">
                    <asp:Label ID="lblCidudad" Text="<%$ Resources: idioma,lblCiudad %>" runat="server"></asp:Label>&nbsp;*
                </td>
                <td>
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="txtCiudad" runat="server" Width="264px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rvCiudad" runat="server" ControlToValidate="txtCiudad">
                        <asp:Label ID="lblCiudadObligatorio" runat="server" Text="<%$ Resources: idioma,lblCiudadObligatoria %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr runat="server" id="trArea">
                <td style="width: 229px; height: 26px; text-align: right;">
                    <asp:Label ID="lblDireccion" runat="server" Text="<%$ Resources:idioma, Direccion %>"
                        Height="17px" Width="147px"></asp:Label>
                    *
                </td>
                <td style="width: 8px">
                </td>
                <td style="width: 416px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtDireccion" runat="server" Width="264px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rvDireccion" runat="server" ControlToValidate="txtDireccion">
                        <asp:Label ID="lblDireccionObligatoria" runat="server" Text="<%$ Resources: idioma,lblDireccionObligatoria %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr runat="server" id="trOficina">
                <td style="width: 229px; height: 26px; text-align: right;">
                    <asp:Label ID="lblPais" runat="server" Text="<%$ Resources: idioma, lblPais %>" Height="17px"
                        Width="147px"></asp:Label>
                    *
                </td>
                <td style="width: 8px">
                </td>
                <td style="width: 416px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtPais" runat="server" Width="264px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rvPais" runat="server" ControlToValidate="txtPais">
                        <asp:Label ID="lblPaisObligatorio" runat="server" Text="<%$ Resources: idioma,lblPaisObligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 229px; height: 26px; text-align: right;">
                    <asp:Label ID="lblTelefono" runat="server" Text="<%$ Resources: idioma, lblTelefono %>"
                        Height="17px" Width="147px"></asp:Label>
                    *
                </td>
                <td style="width: 8px">
                </td>
                <td style="width: 416px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtTelefono" runat="server" Width="264px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rvTelefono" runat="server" ControlToValidate="txtTelefono">
                        <asp:Label ID="lblTelefonoObligatorio" runat="server" Text="<%$ Resources: idioma,lblTelefonoObligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 229px; height: 26px; text-align: right;">
                    <asp:Label ID="lblComollego" runat="server" Text="<%$ Resources: idioma, Comollegoportal %>"
                        Height="17px" Width="147px"></asp:Label>
                </td>
                <td style="width: 8px">
                    &nbsp;
                </td>
                <td style="width: 416px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtTelefono0" runat="server" Width="546px"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td style="width: 229px; height: 26px; text-align: right;">
                    <asp:Label ID="lblMensaje" runat="server" Text="<%$ Resources: idioma, lblMensaje %>"
                        Height="17px" Width="147px"></asp:Label>
                </td>
                <td style="width: 8px">
                    &nbsp;
                </td>
                <td style="width: 416px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtNombreAplicacion" runat="server" Width="550px" Height="70px"
                        TextMode="MultiLine" MaxLength="600" Style="text-align: justify"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td style="width: 229px; height: 26px; text-align: right;">
                    &nbsp;
                </td>
                <td style="width: 8px">
                    &nbsp;
                </td>
                <td style="width: 416px; height: 26px; text-align: left;">
                    <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                        CausesValidation="true" />
                </td>
            </tr>
        </table>
        <br />
        &nbsp;&nbsp;
        <br />
    </div>
</asp:Content>
