<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="AvanceAuditores.aspx.vb" Inherits="AudiControl.AvanceAuditores" Title="<%$ Resources:TituloPaginas, TitControTiempoporAuditor %>" %>

<%@ Register Src="~/UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblMensajeCierraEtapa" Text="<%$ Resources:Idioma, msgCierraEtapa %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <br />
    <div class="header" style="text-align: center">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblAvanceAuditor %>"></asp:Label></div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <div align="center">
        <asp:Label ID="lblAuditoriaCerrada" runat="server" Text="" CssClass="colorError"></asp:Label>
        <br />
        <asp:Label ID="lblAuditoriaTerminada" runat="server" Text="" CssClass="colorError"></asp:Label>
        <table>
            <tr>
                <td>
                </td>
                <td align="center">
                    <asp:Label ID="lblEtapasAuditoria" runat="server" Text="<%$ Resources:Idioma, lblNombreEtapa %>"
                        CssClass="subtituloMayor"></asp:Label>
                </td>
            </tr>
            <tr>
                <td align="center">
                    <asp:Label ID="lblAuditores" runat="server" Text="<%$ Resources:Idioma, lblAuditores %>"
                        CssClass="subtituloMayor"></asp:Label>
                </td>
                <td align="center">
                    <asp:GridView ID="gvListaAvanceAuditor" runat="server" Style="text-align: center"
                        EnableTheming="True" AutoGenerateSelectButton="True" SelectedRowStyle-BackColor="Aqua"
                        SelectedRowStyle-ForeColor="Black" SelectedIndex="0">
                        <SelectedRowStyle BackColor="Aqua" ForeColor="Black"></SelectedRowStyle>
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table>
            <tr>
                <td align="center">
                    <br />
                    <asp:Label ID="lblAuditor" runat="server" Text="" CssClass="subtituloMayor"></asp:Label>
                    <br />
                    <%--<div style="overflow: auto; width: 500px; height: 225px;">--%>
                    <asp:GridView ID="gvListaEtapas" runat="server" AutoGenerateColumns="False">
                        <Columns>
                            <%--<asp:BoundField DataField="horasreales" HeaderText="<%$ Resources:Idioma, lblHorasReales %>" />--%>
                            <asp:BoundField DataField="id" HeaderText="<%$ Resources:Idioma, lblId %>" />
                            <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, lblNombreEtapa %>" />
                            <asp:BoundField DataField="horas" HeaderText="<%$ Resources:Idioma, lblTotalHorasEtapa %>"
                                DataFormatString="{0:N2}" />
                            <asp:BoundField DataField="horasporauditor" HeaderText="<%$ Resources:Idioma, lblTotalHorasAuditor %>"
                                DataFormatString="{0:N2}" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblHorasReales %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                                <ItemTemplate>
                                    <asp:Label ID="lblIdEtapa" runat="server" Text='<%# Eval("idEtapa") %>' Visible="false"></asp:Label>
                                    <asp:Label ID="lblHorasReales" runat="server" Text='<%# Eval("horasreales") %>' Visible="false"></asp:Label>
                                    <asp:TextBox ID="txtHorasReales" runat="server" Height="17" MaxLength="5" Text='<%# Eval("horasreales") %>'
                                        TextMode="SingleLine" Width="40"></asp:TextBox>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="70px"></ItemStyle>
                            </asp:TemplateField>
                            <asp:BoundField DataField="diferencia" HeaderText="<%$ Resources:Idioma, lbldiferencia %>"
                                DataFormatString="{0:N2}" />
                            <asp:BoundField DataField="porcentajediferencia" HeaderText="<%$ Resources:Idioma, lblporcentajediferencia %>"
                                DataFormatString="{0:N2}" />
                        </Columns>
                    </asp:GridView>
                    <%--</div>--%>
                    <br />
                </td>
            </tr>
            <tr>
                <td align="center">
                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                        CausesValidation="false" />
                    &nbsp;
                    <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                        CausesValidation="false" />
                    &nbsp;&nbsp;
                    <asp:Button ID="btncerrarE5" runat="server" Text="<%$ Resources:Idioma, btnCerrarEtapa5 %>"
                        CausesValidation="false" Visible="False" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeCierraEtapa').innerHTML)) return false;" />
                    &nbsp;
                    <asp:Button ID="btncerrarE6" runat="server" Text="<%$ Resources:Idioma, btnCerrarEtapa6 %>"
                        CausesValidation="false" Visible="False" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeCierraEtapa').innerHTML)) return false;" />
                    &nbsp;
                    <asp:Button ID="btncerrarE7" runat="server" Text="<%$ Resources:Idioma, btnCerrarEtapa7 %>"
                        CausesValidation="false" Visible="False" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeCierraEtapa').innerHTML)) return false;" />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
