﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarOtrosRecursos.aspx.vb" Inherits="AudiControl.ListarOtrosRecursos"
    Title="<%$ Resources:TituloPaginas, OtrosRecursos %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <%--<script language="javascript" type="text/javascript" src="~/Js/Comun.js" ></script>--%>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <asp:MultiView ID="mvOtrosRecursos" ActiveViewIndex="0" runat="server">
            <asp:View ID="vwConsulta" runat="server">
                <div class="header">
                    <asp:Label ID="lblTipoImpacto" runat="server" Text="<%$ Resources:TituloPasos, lblOtrosRecursos %>"></asp:Label>
                    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaOtrosRecursos %>"
                        runat="server" Style="display: none"></asp:Label>
                </div>
                <br />
                <div align="center">
                    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
                    <asp:Label ID="lblNoeExisteInformacion" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
                    <asp:GridView ID="gvListaOtrosRecursos" runat="server" AutoGenerateColumns="False"
                        Visible="False" AllowPaging="True" PageSize="15">
                        <Columns>
                            <asp:BoundField DataField="IdCosto" SortExpression="idCosto" HeaderText="<%$ Resources:idioma, lblId %>">
                            </asp:BoundField>
                            <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:idioma, lbldescripcion %>"
                                ItemStyle-Width="450px" />
                            <asp:BoundField DataField="FechaConsumo" HeaderText="<%$ Resources:idioma, lblFechaConsumo %>"
                                DataFormatString="{0:dd/MM/yyyy}"></asp:BoundField>
                            <asp:BoundField DataField="cantidad" HeaderText="<%$ Resources:idioma, lblCantidad %>" />
                            <asp:BoundField DataField="precioUnidad" HeaderText="<%$ Resources:idioma, lblpreciounidad %>"
                                DataFormatString="{0:N}" />
                            <asp:BoundField DataField="precioTotal" HeaderText="<%$ Resources:idioma, lblpreciototal %>"
                                DataFormatString="{0:N}" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idCosto")%>'>
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        &nbsp;&nbsp;
                                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idCosto")%>'>
                                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <table>
                        <tr>
                            <td style="width: 356px; text-align: center;">
                                <br />
                                <asp:Button ID="btnAgregarOtrosRecursos" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                                    CausesValidation="true" Width="100px" />
                                &nbsp;&nbsp;
                                <asp:Button ID="btnReporte" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnReporte %>"
                                    Width="100px" />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwEdicion" runat="server">
                <div class="header">
                    <asp:Label ID="lblDeficionTipoImpacto" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoOtrosRecursos %>"></asp:Label>
                    <uc1:UCErroresLogicaNegocio ID="UCErroresLogicaNegocio1" runat="server"></uc1:UCErroresLogicaNegocio>
                </div>
                <br />
                <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                <br />
                <div align="center">
                    <table style="margin-right: 0px">
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblIdentificador" runat="server" Text="<%$ Resources:Idioma, lblId %>"></asp:Label>
                                <br />
                            </td>
                            <td style="text-align: left; vertical-align: top; width: 372px;">
                                <asp:TextBox ID="txtId" Height="20px" runat="server" Width="100px" MaxLength="10"
                                    ReadOnly="true"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left; width: 372px;" valign="top">
                                <asp:TextBox ID="txtDescripcion" runat="server" Width="400px" MaxLength="200" Height="20px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion"
                                    Height="16px" Width="394px">
                                    <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidaciondescripcion %>"></asp:Label></asp:RequiredFieldValidator>
                                <asp:CustomValidator ID="cvdescripcion" runat="server" ControlToValidate="txtDescripcion"></asp:CustomValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right" valign="Top">
                                <asp:Label ID="lblFechaConsumo" runat="server" Text="<%$ Resources: Idioma, lblfechaConsumo %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left; width: 372px;">
                                <asp:TextBox ID="txtFechaConsumo" runat="server" ReadOnly="true" Height="20px" />
                                <asp:Button ID="btnCalendariofechaConsumo" runat="server" Text="..." CausesValidation="false" />
                                <asp:Calendar ID="CalendariofechaConsumo" runat="server" SelectedDate="<%# DateTime.Now %>"
                                    Visible="False"></asp:Calendar>
                                <asp:RequiredFieldValidator ID="rvtxtFechaConsumo" runat="server" ControlToValidate="txtFechaConsumo">
                                    <asp:Label ID="lbltxtFechaConsumo" runat="server" Text="<%$ Resources:Idioma, lblFechaConsumoObligatorio %>"></asp:Label>
                                </asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="cvtxtFechaConsumol" runat="server" ErrorMessage="<%$ Resources:Idioma, lblFechaInicioValida %>"
                                    ControlToValidate="txtFechaConsumo" Type="Date" Operator="DataTypeCheck"></asp:CompareValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblPrecioUnitario" runat="server" Text="<%$ Resources:Idioma, lblpreciounidad %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left; width: 372px;" valign="top">
                                <asp:TextBox ID="txtprecioUnidad" runat="server" Height="20px" MaxLength="10" Width="100px"></asp:TextBox>
                                <asp:RegularExpressionValidator ID="rvPrecioNumerico" runat="server" ControlToValidate="txtprecioUnidad"
                                    Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                    ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                <asp:RequiredFieldValidator ID="rvpreciounidad" runat="server" ControlToValidate="txtprecioUnidad"
                                    Height="16px" Width="394px">
                                    <asp:Label ID="lblrvpreciounidad" runat="server" Text="<%$ Resources:Idioma, lblPrecioObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblCantidad" runat="server" Text="<%$ Resources:Idioma, lblcantidad %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left; width: 372px;" valign="top">
                                <asp:TextBox ID="txtCantidad" runat="server" Height="20px" MaxLength="10" Width="100px"></asp:TextBox>
                                <asp:RegularExpressionValidator ID="rvCantidadNumerica" runat="server" ControlToValidate="txtCantidad"
                                    Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                    ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                <asp:RequiredFieldValidator ID="rvCantidad" runat="server" ControlToValidate="txtCantidad"
                                    Height="16px" Width="394px">
                                    <asp:Label ID="lblRvCantidad" runat="server" Text="<%$ Resources:Idioma, lblCantidadObligatoria %>"></asp:Label></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="text-align: center; height: 60px">
                                <br />
                                <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                                    CausesValidation="true" />
                                &nbsp;
                                <asp:Button ID="btnAdicionarOtroImpacto" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                                    CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
                                &nbsp;
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
