﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarPuntoInteres.aspx.vb" Inherits="AudiControl.ListarPuntoInteres"
    Title="<%$ Resources:TituloPaginas, TitPuntoInteres %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <%--<script language="javascript" type="text/javascript" src="~/Js/Comun.js" ></script>--%>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <asp:MultiView ID="mvPuntoInteres" ActiveViewIndex="0" runat="server">
            <asp:View ID="vwConsulta" runat="server">
                <div class="header">
                    <asp:Label ID="lblTipoImpacto" runat="server" Text="<%$ Resources:TituloPasos, lblPuntoInteres %>"></asp:Label>
                    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaPuntoInteres %>"
                        runat="server" Style="display: none"></asp:Label>
                </div>
                <br />
                <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
                <asp:Label ID="lblPuntoInteres" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
                <asp:GridView ID="gvListaPuntoInteres" runat="server" AutoGenerateColumns="False"
                    Visible="False" AllowPaging="True" PageSize="10">
                    <Columns>
                        <asp:BoundField DataField="idPuntoInteres" SortExpression="idPuntoInteres" HeaderText="<%$ Resources:Idioma, lblId %>"
                            ItemStyle-Width="150px">
                            <ItemStyle Width="150px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="descripcionpunto" SortExpression="descripcionpunto" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                            ItemStyle-Width="450px" />
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                            <ItemTemplate>
                                <div style="text-align: center">
                                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idPuntoInteres")%>'>
                                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                    &nbsp;&nbsp;
                                    <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                        runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idPuntoInteres")%>'>
                                        <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                </div>
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" />
                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <div align="center">
                    <table>
                        <tr>
                            <td style="width: 356px; text-align: center;">
                                <br />
                                <asp:Button ID="btnAgregarPuntoInteres" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                                    CausesValidation="true" Width="100px" />
                                &nbsp;&nbsp;
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwEdicion" runat="server">
                <div class="header">
                    <asp:Label ID="lblDeficionTipoImpacto" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoPuntoInteres %>"></asp:Label>
                    <uc1:UCErroresLogicaNegocio ID="UCErroresLogicaNegocio1" runat="server"></uc1:UCErroresLogicaNegocio>
                </div>
                <br />
                <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                <br />
                <div align="center">
                    <table>
                        <tr>
                            <td style="text-align: right; vertical-align: top; width: 129px;">
                                <asp:Label ID="lblIdentificador" runat="server" Text="<%$ Resources:Idioma, lblId %>"></asp:Label>
                                <br />
                            </td>
                            <td style="text-align: left; vertical-align: top">
                                <asp:TextBox ID="txtId" Height="20px" runat="server" Width="100px" MaxLength="10"
                                    ReadOnly="true"></asp:TextBox>
                                <br />
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top; width: 129px; height: 34px;">
                                <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left; height: 34px;" valign="top">
                                <asp:TextBox ID="txtDescripcion" runat="server" Width="750px" Height="88px" TextMode="MultiLine"
                                    MaxLength="800"></asp:TextBox>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion"
                                    Height="16px" Width="394px">
                                    <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidaciondescripcion %>"></asp:Label></asp:RequiredFieldValidator>
                                <br />
                                <asp:CustomValidator ID="cvdescripcion" runat="server" ControlToValidate="txtDescripcion"></asp:CustomValidator>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="text-align: center; height: 60px">
                                <br />
                                <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                                    CausesValidation="true" />
                                &nbsp;
                                <asp:Button ID="btnAdicionarotroPuntoInteres" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                                    CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
                                &nbsp;
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
