﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="asignarResponsabilidades.aspx.vb" Inherits="AudiControl.asignarResponsabilidades"
    Title="<%$ Resources:TituloPaginas, TitAsignarResponsabilidades %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <%--<script language="javascript" type="text/javascript" src="~/Js/Comun.js" ></script>--%>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <asp:MultiView ID="mvAsignaResponsabilidades" ActiveViewIndex="0" runat="server">
            <asp:View ID="vwConsulta" runat="server">
                <div class="header">
                    <asp:Label ID="lblAsignaResponsabilidades" runat="server" Text="<%$ Resources:TituloPasos, lblAsignarResponsabilidades %>"></asp:Label>
                    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaCifraCritica %>"
                        runat="server" Style="display: none"></asp:Label>
                </div>
                <br />
                <div align="center">
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblSubtitulo" runat="server" CssClass="subtituloSegundoNivel" Text="<%$ Resources:Idioma, AuditoresAsignadosEmpresa %>"
                                    Width="599px"></asp:Label>
                            </td>
                            <td>
                                &nbsp;
                            </td>
                        </tr>
                    </table>
                    <br />
                    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
                    <asp:Label ID="lblError" runat="server" Visible="false" CssClass="colorError"></asp:Label>
                    <asp:Label ID="lblNosumaPorcentaje" runat="server" Visible="false" CssClass="colorError"></asp:Label>
                    <div style="overflow: auto; width: 800px; height: 250px;">
                        <asp:GridView ID="gvListaAsignaResponsabilidades" runat="server" AutoGenerateColumns="False"
                            Visible="False">
                            <Columns>
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <asp:CheckBox ID="ChkSeleccionaUsuario" runat="server" />
                                        <asp:Label ID="lblIdUsuarios" runat="server" Text='<%# Eval("usuarioSeleccionado") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdPerfil" runat="server" Text='<%# Eval("idResponsabilidad") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="idUsuario" SortExpression="idUsuario" HeaderText="<%$ Resources:Idioma, lblid %>"
                                    ItemStyle-Width="150px">
                                    <ItemStyle Width="150px" />
                                </asp:BoundField>
                                <asp:BoundField DataField="Auditor" SortExpression="Auditor" HeaderText="<%$ Resources:Idioma, lblAuditor %>"
                                    ItemStyle-Width="150px">
                                    <ItemStyle Width="150px" />
                                </asp:BoundField>
                                <asp:BoundField DataField="responsabilidad" SortExpression="responsabilidad" HeaderText="<%$ Resources:Idioma, lblResponsabilidad %>"
                                    ItemStyle-Width="150px">
                                    <ItemStyle Width="150px" />
                                </asp:BoundField>
                                <asp:BoundField DataField="porcentaje" SortExpression="porcentaje" HeaderText="<%$ Resources:Idioma, lblPorcentaje %>"
                                    ItemStyle-Width="150px">
                                    <ItemStyle Width="150px" />
                                </asp:BoundField>
                                <asp:BoundField DataField="costohora" SortExpression="costohora" HeaderText="<%$ Resources:Idioma, lblhoracosto %>"
                                    ItemStyle-Width="150px">
                                    <ItemStyle Width="150px" />
                                </asp:BoundField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                    <ItemTemplate>
                                        <div style="text-align: center">
                                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idUsuario")%>'>
                                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                            &nbsp;&nbsp;
                                        </div>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </div>
                    <table>
                        <tr>
                            <td style="width: 356px; text-align: center;">
                                <br />
                                <%--<asp:Button ID="btnMantenimientoUsuarios" runat="server" 
               Text="<%$ Resources:Idioma, btnMantenimientoUsuarios %>" CausesValidation="true" 
               Width="174px" />--%>
                                &nbsp;<asp:Button ID="btnGuardarResponsables" runat="server" CausesValidation="true"
                                    Text="<%$ Resources:Idioma, btnGuardar %>" Width="70px" />
                                &nbsp;&nbsp;
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwEdicion" runat="server">
                <div class="header">
                    <asp:Label ID="lblDeficionTipoImpacto" runat="server" Text="<%$ Resources:TituloPasos, lblAsignarResponsabilidades %>"></asp:Label>
                    <uc1:UCErroresLogicaNegocio ID="UCErroresLogicaNegocio1" runat="server"></uc1:UCErroresLogicaNegocio>
                </div>
                <br />
                <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                <br />
                <div align="center">
                    <table style="margin-left: 0px">
                        <tr>
                            <td style="text-align: right; vertical-align: top; width: 129px; height: 21px;">
                                <asp:Label ID="lblIdentificador" runat="server" Text="<%$ Resources:Idioma, lblId %>"></asp:Label>
                                <br />
                            </td>
                            <td style="text-align: left; vertical-align: top; height: 21px;">
                                <asp:TextBox ID="txtId" Height="20px" runat="server" Width="100px" MaxLength="10"
                                    ReadOnly="true"></asp:TextBox>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top; width: 129px; height: 32px;">
                                <asp:Label ID="lblauditor" runat="server" Text="<%$ Resources:Idioma, lblAuditor %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left; height: 32px;" valign="top">
                                <asp:TextBox ID="txtAuditor" runat="server" Width="400px" MaxLength="120" ReadOnly="True"
                                    Height="22px"></asp:TextBox>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top; width: 129px;">
                                <asp:Label ID="lblTipo" runat="server" Text="<%$ Resources:Idioma, lblREsponsabilidad %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left;" valign="top">
                                <asp:TextBox ID="txtResponsabilidad" runat="server" Height="20px" MaxLength="10"
                                    Width="396px" ReadOnly="True"></asp:TextBox>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top; width: 129px;">
                                <asp:Label ID="lblPorcentaje" runat="server" Text="<%$ Resources:Idioma, lblPorcentaje %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left;" valign="top">
                                <asp:TextBox ID="txtPorcentaje" runat="server" Height="20px" MaxLength="10" Width="100px"></asp:TextBox>
                                <asp:RangeValidator ID="rvTxtPorcentaje" runat="server" ErrorMessage="<%$ Resources:Idioma, lblRangoPorcenjaeReponsabilidad %>"
                                    MaximumValue="100" MinimumValue="0" ControlToValidate="txtPorcentaje" Type="Integer"></asp:RangeValidator><br />
                                <asp:RequiredFieldValidator ID="rfvtxtProcentaje" runat="server" ControlToValidate="txtPorcentaje"
                                    Height="16px" Width="394px">
                                    <asp:Label ID="lblPorcentajeResponsabilidadObligatorio" runat="server" Text="<%$ Resources:Idioma, PorcentajeResponsabilidadObligatorio %>"></asp:Label>
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top; width: 129px;">
                                <asp:Label ID="lblcostoHora" runat="server" Text="<%$ Resources:Idioma, lblhoracosto %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left;" valign="top">
                                <asp:TextBox ID="txtCostoHora" runat="server" Height="20px" MaxLength="10" Width="100px"></asp:TextBox>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvtxtCostoHora" runat="server" ControlToValidate="txtCostoHora"
                                    Height="16px" Width="394px">
                                    <asp:Label ID="lblCostoHoraObligatorio" runat="server" Text="<%$ Resources:Idioma, CostoporHorasObligatorio %>"></asp:Label>
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="text-align: center; height: 60px">
                                <br />
                                <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                                    CausesValidation="true" />
                                &nbsp; &nbsp;
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
