﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="MantRefPapeles.aspx.vb" Inherits="AudiControl.MantRefPapeles" Title="<%$ Resources:TituloPaginas, TitMantRefPapeles %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <br />
    <link rel="Stylesheet" type="text/css" href="~/Estilos/EstilosAudap.css" />

    <script language="javascript" type="text/javascript" src="~/Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblServerSavePath" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblTargetPath" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblReferenciapapelesdetrabajo" runat="server" Text="<%$ Resources:TituloPasos, lblMantReferenciaspapeles %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblExisteArchivoIgualNombre" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            &nbsp;
            <asp:Label ID="lblErrorCargueArchivos" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <br />
            <table>
                <tr>
                    <td style="width: 233px; height: 23px; text-align: right;">
                        <asp:Label ID="lblTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblRequerimiento %>"
                            Height="22px" Width="125px"></asp:Label>
                        *
                    </td>
                    <td style="width: 8px; height: 23px;">
                    </td>
                    <td align="left" style="width: 322px; height: 23px;">
                        <asp:TextBox ID="txtRequerimiento" runat="server" Width="520px" Height="20px" MaxLength="90"
                            ReadOnly="true"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: 233px; height: 23px; text-align: right;">
                        <asp:Label ID="lblRequerimiento" runat="server" Text="<%$ Resources:Idioma, lblMedio %>"
                            Height="22px" Width="125px"></asp:Label>
                        *
                    </td>
                    <td style="width: 8px; height: 23px;">
                    </td>
                    <%--<td align="left" style="width: 322px; height: 23px;">--%>
                    <td style="text-align: left">
                        <asp:DropDownList ID="drpMedio" runat="server" AutoPostBack="True">
                            <asp:ListItem Value="Magnetico">Magnetico</asp:ListItem>
                            <asp:ListItem Value="Papel">Papel</asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td style="width: 233px; height: 40px; text-align: right;">
                        <asp:Label ID="lblReferencia" runat="server" Text="<%$ Resources:Idioma, lblReferencia %>"
                            Height="24px" Width="144px"></asp:Label>
                        *
                    </td>
                    <td style="width: 8px; height: 40px;">
                    </td>
                    <td style="text-align: left">
                        <input id="MyFile" type="file" runat="server" />
                        <asp:RequiredFieldValidator ID="rfvArchivo" runat="server" ControlToValidate="MyFile">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <asp:Label ID="lblArchivoObligatorio" runat="server" Text="<%$ Resources:Idioma, lblReferenciaObligatoria %>"></asp:Label>
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        </asp:RequiredFieldValidator>
                        <br />
                        <asp:TextBox ID="txtReferencia" runat="server" Visible="false" Height="54px" TextMode="MultiLine"
                            Width="446px" MaxLength="1000"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvtxtArchivo" runat="server" ControlToValidate="txtReferencia">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <asp:Label ID="lblRefPapelObligatoria" runat="server" Text="<%$ Resources:Idioma, lblReferenciaObligatoria %>"></asp:Label>
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        </asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvreferencia" runat="server" ControlToValidate="txtReferencia"></asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <table>
                <tr>
                    <td>
                        <br />
                        <asp:Button ID="btnagregar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
                        &nbsp; &nbsp;
                    </td>
                </tr>
            </table>
            <br />
        </div>
    </div>
</asp:Content>
