﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="CheckListE7.aspx.vb" Inherits="AudiControl.CheckListE7" Title="<%$ Resources: Menu, m0404070106 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdPerfil" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent ">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTituloSitio" runat="server"></asp:Label>
        </div>
        <br />
        <asp:Label ID="lblExito" runat="server" Text="" CssClass="colorExito"></asp:Label>
        <br />
        <div class="alineacionIzquierda">
            <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
                BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
                Orientation="Horizontal">
                <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
                <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
                <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
                <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
                <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
                <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                    Font-Bold="True" ForeColor="White" />
                <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                    BorderWidth="1px" />
                <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                    BorderWidth="1px" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources:Idioma, ImprimircheckList %>" Value="0"></asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources:Idioma, lblVerCheckList %> " Value="1"></asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <div align="center">
            <asp:MultiView ID="mvGeneraCheckList" runat="server" ActiveViewIndex="0">
                <asp:View ID="vwSeleccionSitios" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td align="center" class="TabArea" style="width: 100%">
                                <br />
                                <asp:Label ID="lblSeleccioneSitios" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma,lblSeleccioneSitios %>"></asp:Label>
                                <br />
                                <br />
                                <asp:Label ID="lblNoSitiosSel" runat="server" CssClass="colorError" Text="<%$ Resources: Idioma, SitiosObligaCheck %>"
                                    Visible="false"></asp:Label>
                                <br />
                                <div style="overflow: auto; width: 778px; height: 250px;">
                                    <asp:GridView ID="gvAreasYOficinasPruebas" runat="server" AutoGenerateColumns="false"
                                        PageSize="15" Visible="false" Width="755px">
                                        <Columns>
                                            <asp:TemplateField>
                                                <HeaderTemplate>
                                                    <asp:CheckBox ID="chkTodos" runat="server" AutoPostBack="True" OnCheckedChanged="chkTodos_CheckedChanged "
                                                        Text="<%$ Resources:Idioma, lblTodo %>" />
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <asp:CheckBox ID="chkSitio" runat="server" />
                                                    <asp:Label ID="lblIdSitioSeleccionado" runat="server" Visible="false"></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:BoundField DataField="idSitio" HeaderText="<%$ Resources: idioma,IdSitio %>" />
                                            <asp:BoundField DataField="idArea" HeaderText="<%$ Resources: idioma,IdArea %>" ItemStyle-Width="80px"
                                                SortExpression="idArea" />
                                            <asp:BoundField DataField="nombreArea" HeaderText="<%$ Resources: idioma ,lblArea %>"
                                                SortExpression="nombreArea" />
                                            <asp:BoundField DataField="idOficina" HeaderText="<%$ Resources: idioma, idOficina %>"
                                                ItemStyle-Width="80px" />
                                            <asp:BoundField DataField="nombreOficina" HeaderText="<%$ Resources: idioma, lblOficina %>"
                                                SortExpression="nombreOficina" />
                                            <asp:BoundField DataField="idZona" HeaderText="<%$ Resources: idioma, idRegional %>" />
                                            <asp:BoundField DataField="nombreZona" HeaderText="<%$ Resources: idioma, Regional %>" />
                                        </Columns>
                                    </asp:GridView>
                                </div>
                                <br />
                                <asp:Button ID="btnReporte" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnImprimir %>" />
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="vwVerChekList" runat="server">
                    <table align="center" cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td align="center" class="TabArea" style="width: 100%;">
                                <br />
                                <asp:Label ID="lblListaCompruebaCheck" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma,ListaVerificaCifras %>"></asp:Label>
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblSitioPrueba" runat="server" Text="<%$ Resources:Idioma, SitioPrueba %>"
                                                Width="153px"></asp:Label>
                                            <br />
                                            <br />
                                        </td>
                                        <td style="width: 8px;">
                                        </td>
                                        <td style="width: 233px; text-align: left">
                                            <asp:DropDownList ID="drpSitioPrueba" runat="server" AutoPostBack="true">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; text-align: right;">
                                            <asp:Label ID="lblTecnicaSel" runat="server" Text="<%$ Resources:Idioma, TecnicaVerificacion %>"
                                                Width="153px"></asp:Label>
                                        </td>
                                        <td style="width: 8px">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left">
                                            <asp:DropDownList ID="drpTecnicasVerificacion" runat="server" AutoPostBack="true">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <div style="overflow: auto; width: 950px; height: 250px;">
                                    <asp:GridView ID="gvCifra" runat="server" AutoGenerateColumns="false" Visible="true"
                                        Width="900px">
                                        <Columns>
                                            <asp:BoundField DataField="idCifra" HeaderText="<%$ Resources: idioma,lblId %>" ItemStyle-Width="30" />
                                            <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources: idioma, CifraCritica %>"
                                                ItemStyle-Width="300" />
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                                                <ItemTemplate>
                                                    <div style="text-align: center">
                                                        <asp:Label ID="lblLineaRta" runat="server" Text="____________"></asp:Label>&nbsp;&nbsp;
                                                    </div>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" />
                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="120px" />
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                                                <ItemTemplate>
                                                    <div style="text-align: center">
                                                        <asp:Label ID="lblLineaRta" runat="server" Text="____________"></asp:Label>&nbsp;&nbsp;
                                                    </div>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" />
                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="120px" />
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="" ItemStyle-HorizontalAlign="Center"
                                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                                                <ItemTemplate>
                                                    <div style="text-align: center">
                                                        <asp:Label ID="lblLineaRta" runat="server" Text="____________"></asp:Label>&nbsp;&nbsp;
                                                    </div>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" />
                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="120px" />
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                                                <ItemTemplate>
                                                    <div style="text-align: center">
                                                        <asp:Label ID="lblLineaRta" runat="server" Text="____________"></asp:Label>&nbsp;&nbsp;
                                                    </div>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" />
                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="120px" />
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="" ItemStyle-HorizontalAlign="Center"
                                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                                                <ItemTemplate>
                                                    <div style="text-align: center">
                                                        <asp:Label ID="lblLineaRta" runat="server" Text="____________"></asp:Label>&nbsp;&nbsp;
                                                    </div>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" />
                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="120px" />
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                </div>
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
