﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="DefinirAlcanceE7.aspx.vb" Inherits="AudiControl.DefinirAlcanceE7"
    Title="<%$ Resources: Menu, m0404070104 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label runat="server" Text="<%$ Resources: Menu, m0404070104 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td colspan="3" align="center">
                        <asp:Label ID="lblSeleccioneTecnica" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, SeleccioneTecnicaVerificacion %>"></asp:Label><br />
                        &nbsp;<asp:DropDownList ID="drpTecnica" runat="server" AutoPostBack="true">
                        </asp:DropDownList>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td colspan="3" align="center">
                        <asp:Label ID="lblDescripcionTecnica" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label runat="server" Text="<%$ Resources: CifraTecnica %>" Font-Bold="True"></asp:Label>
                        <br />
                    </td>
                    <td>
                    </td>
                    <td>
                        <asp:Label ID="lblAmenaza" runat="server" Text="<%$ Resources: AmenazaImpactada %>"
                            Font-Bold="true"></asp:Label>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        <div style="overflow: auto; width: 400px; height: 200px">
                            <asp:GridView ID="gvCifra" runat="server" AutoGenerateColumns="false" DataKeyNames="idCifraCriticaAmenaza"
                                AutoGenerateSelectButton="true" SelectedRowStyle-BackColor="Bisque" SelectedRowStyle-ForeColor="Sienna"
                                SelectedIndex="0">
                                <Columns>
                                    <asp:BoundField DataField="idCifra" HeaderText="<%$ Resources: id %>" ItemStyle-Width="90px" />
                                    <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources: Cifra %>" ItemStyle-Width="280px" />
                                    <asp:BoundField DataField="idCifraCriticaAmenaza" Visible="false" />
                                </Columns>
                            </asp:GridView>
                            <br />
                        </div>
                        <br />
                    </td>
                    <td style="width: 50px">
                        <br />
                        <br />
                        <br />
                        <br />
                        <br />
                        <br />
                    </td>
                    <td>
                        <div style="overflow: auto; width: 400px; height: 200px">
                            <asp:GridView ID="gvAmenaza" runat="server" AutoGenerateColumns="False" AutoGenerateSelectButton="True"
                                SelectedRowStyle-BackColor="Bisque" SelectedRowStyle-ForeColor="Sienna" SelectedIndex="0">
                                <Columns>
                                    <asp:BoundField DataField="idAmenaza" HeaderText="<%$ Resources: id %>" ItemStyle-Width="70px" />
                                    <asp:BoundField DataField="descripcionAmenaza" HeaderText="<%$ Resources: Amenaza %>"
                                        ItemStyle-Width="280px" />
                                </Columns>
                            </asp:GridView>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEscenario" runat="server" Text="<%$ Resources: Escenario %>" Font-Bold="true"></asp:Label>
                    </td>
                    <td>
                    </td>
                    <td>
                        <asp:Label runat="server" Text="<%$ Resources: ObjetivoControl %>" Font-Bold="True"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div style="overflow: auto; width: 400px; height: 200px">
                            <asp:GridView ID="gvEscenario" runat="server" AutoGenerateColumns="False">
                                <Columns>
                                    <asp:BoundField DataField="idEscenario" HeaderText="<%$ Resources: id %>" ItemStyle-Width="70px">
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcionEscenario" HeaderText="<%$ Resources: EscenarioRiesgo %>"
                                        ItemStyle-Width="280px"></asp:BoundField>
                                </Columns>
                            </asp:GridView>
                        </div>
                    </td>
                    <td>
                    </td>
                    <td>
                        <div style="overflow: auto; width: 400px; height: 200px">
                            <asp:GridView ID="gvObjetivo" runat="server" AutoGenerateColumns="False">
                                <Columns>
                                    <asp:BoundField DataField="idObjetivo" HeaderText="<%$ Resources: id %>" ItemStyle-Width="70px">
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcionObjetivo" HeaderText="<%$ Resources: Objetivo %>"
                                        ItemStyle-Width="280px"></asp:BoundField>
                                </Columns>
                            </asp:GridView>
                        </div>
                    </td>
                </tr>
            </table>
            <br />
            &nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>" />
        </div>
    </div>
</asp:Content>
