<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ResultadoEvaluacionConsolidadoArea.aspx.vb" Inherits="AudiControl.ResultadoEvaluacionConsolidadoArea"
    Title="<%$ Resources:Menu, m0404070302 %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblCategoriaSeleccionada" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="130px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="130px"></asp:Label>
            <asp:Label ID="lblNombreEstudio" runat="server"></asp:Label>
        </div>
        <div class="header">
            <asp:Label runat="server" Text="<%$ Resources: Idioma, ResumenPorArea %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblopinionAuditor" runat="server" Text="<%$ Resources:Idioma, lblOpinionAuditor %>"
                CssClass="subtitulo"></asp:Label>
            &nbsp; *
            <br />
            <asp:Label ID="lblExito" runat="server" CssClass="colorExito"></asp:Label>
            <br />
            <asp:TextBox ID="txtopinionAuditor" runat="server" Height="52px" TextMode="MultiLine"
                Width="710px"></asp:TextBox>
            <br />
            <asp:RequiredFieldValidator ID="rfvtxtopinionAuditor" runat="server" ControlToValidate="txtopinionAuditor">
                <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblOpinionAuditorObligatoria %>"></asp:Label>
            </asp:RequiredFieldValidator>
            <br />
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                CausesValidation="true" />
            <br />
        </div>
        <div class="alineacionIzquierda">
            <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
                BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
                Orientation="Horizontal">
                <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
                <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
                <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
                <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
                <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
                <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                    Font-Bold="True" ForeColor="White" />
                <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                    BorderWidth="1px" />
                <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                    BorderWidth="1px" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources:Idioma, ResumenArea %>" Value="0"></asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources: Idioma, MotivoNoConformidad%>" Value="1"></asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <div align="center">
            <asp:MultiView ID="mvResultadoEvaluacionPorSitioAmenaza" runat="server" ActiveViewIndex="0">
                <asp:View ID="vwResultadosporAmenaza" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td align="center" class="TabArea" style="width: 100%">
                                <br />
                                <asp:Label ID="lblResumencumplimiento" runat="server" CssClass="subtitulo" Text="<% Resources: Idioma, ResumenExactitud %>"></asp:Label>
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td align="center">
                                            <div style="overflow: auto; height: 250px;">
                                                <asp:GridView ID="gvListaArea" runat="server" AutoGenerateColumns="false" ShowFooter="True">
                                                    <Columns>
                                                        <asp:BoundField DataField="idArea" HeaderText="<%$ Resources:Idioma, lblId %>" />
                                                        <asp:BoundField DataField="nombreArea" HeaderText="<%$ Resources:Idioma, lblArea %>" />
                                                        <asp:BoundField DataField="proPE" HeaderText="<%$ Resources: Idioma, lblValorPE %>"
                                                            ItemStyle-Width="30px" />
                                                        <asp:TemplateField HeaderText="<%$ Resources:Idioma, PEControlInterno %>" ItemStyle-Width="80px">
                                                            <ItemTemplate>
                                                                <asp:Label ID="lblPeE5" Text='<%# Eval("descripcionProPE_AC") %>' runat="server"></asp:Label>
                                                                <asp:Label ID="colorPEEtapa5" Text='<%# Eval("colorProPE_AC") %>' runat="server"
                                                                    Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="proPuntajeMaximo" HeaderText="<%$ Resources:Idioma, PMPDatosVerificados %>"
                                                            ItemStyle-Width="60px" />
                                                        <asp:BoundField DataField="proPorcentajeCumplimiento" HeaderText="<%$ Resources: Idioma, PorcentajeExactitud %>"
                                                            ItemStyle-Width="60px" DataFormatString="{0:N2}" />
                                                        <asp:BoundField DataField="valorProPE" HeaderText="<%$ Resources: Idioma, lblValorPE %>"
                                                            ItemStyle-Width="30px" />
                                                        <asp:TemplateField HeaderText="<%$ Resources:Idioma, PEsegunpruebas %>" ItemStyle-Width="100px">
                                                            <ItemTemplate>
                                                                <asp:Label ID="lblPeE7" runat="server" Text='<%# Eval("descripcionProPE") %>'></asp:Label>
                                                                <asp:Label ID="colorPEEtapa7" runat="server" Text='<%# Eval("colorProPE") %>' Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="valorProRR" HeaderText="<%$ Resources: Idioma, lblValorRR %>"
                                                            ItemStyle-Width="30px" />
                                                        <asp:TemplateField HeaderText="<%$ Resources: idioma, RRSegunPruebas %>" ItemStyle-Width="100px">
                                                            <ItemTemplate>
                                                                <asp:Label ID="lblRrE7" runat="server" Text='<%# Eval("descripcionProRR") %>'></asp:Label>
                                                                <asp:Label ID="colorRREtapa7" runat="server" Text='<%# Eval("colorProRR") %>' Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="Hallazgo" HeaderText="<%$ Resources: Idioma, lblHallazgosPruebasSustantivas %>"
                                                            ItemStyle-Width="100px" />
                                                    </Columns>
                                                </asp:GridView>
                                            </div>
                                            <br />
                                            <div align="center">
                                                <telerik:ReportViewer runat="server" Height="400px" ToolbarVisible="False" Width="700px"
                                                    Report="Com.Audisis.Reportes.GraficaConsolidadoArea, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                                                    ShowRefreshButton="False" ID="rvGraficaConsolidadoArea">
                                                </telerik:ReportViewer>
                                                <br />
                                                <asp:Button ID="btnReporteConsolidadoArea" runat="server" CausesValidation="False"
                                                    Text="<%$ Resources:Idioma, btnReporte %>" />
                                            </div>
                                            <br />
                                        </td>
                                    </tr>
                                </table>
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="View1" runat="server">
                    <div style="border: solid 1px; width: 100%; text-align: center">
                        <br />
                        <asp:Panel ID="panelcontGrilla" runat="server" Visible="true" SkinID="panelSkinned">
                            <table>
                                <tr>
                                    <td style="width: 100px">
                                    </td>
                                    <td>
                                        <asp:Label ID="lblSitios" runat="server" Text="<%$ Resources:Idioma, lblMotivosNCVsAreas %>"
                                            CssClass="subtitulo"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                    </td>
                                    <td>
                                        <asp:GridView ID="gvMatriz" runat="server" HeaderStyle-HorizontalAlign="Center" ShowFooter="true">
                                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                        </asp:GridView>
                                        <br />
                                        <br />
                                    </td>
                                </tr>
                            </table>
                            <br />
                        </asp:Panel>
                        <div align="center">
                            <telerik:ReportViewer ID="rvGraficaMotivo" runat="server" Height="400px" ToolbarVisible="False"
                                Width="700px" Report="Com.Audisis.Reportes.GraficaEvaluacionAreaMotivo, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
                            </telerik:ReportViewer>
                            <asp:Button ID="Button1" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnReporte %>"
                                Visible="false" />
                            <br />
                        </div>
                    </div>
                </asp:View>
            </asp:MultiView>
            <br />
            <br />
        </div>
</asp:Content>
