<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="GenerarPlan.aspx.vb" Inherits="AudiControl.GenerarPlan" Title="<%$ Resources:Menu, m0402020303 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <br />
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <br />
    <div class="header" style="text-align: center">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402020303 %>"></asp:Label></div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Width="247px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        <br />
        <table>
        </table>
        <asp:Label ID="lblTituloMenorGenerarPlan" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, reporteplaninternoresumido %>"></asp:Label>
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblNoEmpresa" runat="server" Text="" Visible="false"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:GridView ID="gvTrabajos" runat="server" AutoGenerateColumns="False" AllowPaging="True"
                        PageSize="15">
                        <Columns>
                            <asp:BoundField DataField="idTrabajoAudCandidato" SortExpression="idTrabajoAudCandidato"
                                HeaderText="<%$ Resources:Idioma, lblid %>" ItemStyle-Width="10px">
                                <ItemStyle Width="10px"></ItemStyle>
                            </asp:BoundField>
                            <asp:BoundField DataField="nombreTrabajo" SortExpression="nombreTrabajo" HeaderText="<%$ Resources:Idioma, lblTrabajoAuditoria %>"
                                ItemStyle-Width="200px" ItemStyle-Font-Bold="True" ItemStyle-Font-Italic="True">
                                <ItemStyle Font-Bold="True" Font-Italic="True" Width="200px"></ItemStyle>
                            </asp:BoundField>
                            <%--   <asp:BoundField DataField="alcance" SortExpression="alcance" 
                HeaderText="<%$ Resources:Idioma, lblAlcance %>" ItemStyle-Width="250px" >
<ItemStyle Width="250px"></ItemStyle>
            </asp:BoundField>--%>
                            <asp:BoundField DataField="fechaInicio" SortExpression="fechaInicio" HeaderText="<%$ Resources:Idioma, lblFechaInicio %>"
                                ItemStyle-Width="100px" DataFormatString="{0:dd-MM-yyyy}">
                                <ItemStyle Width="100px"></ItemStyle>
                            </asp:BoundField>
                            <asp:BoundField DataField="duracionEstimada" SortExpression="duracionEstimada" HeaderText="<%$ Resources:Idioma, lblDurEstimada %>"
                                ItemStyle-Width="250px">
                                <ItemStyle Width="250px"></ItemStyle>
                            </asp:BoundField>
                            <asp:BoundField DataField="fechaFin" SortExpression="fechaFin" HeaderText="<%$ Resources:Idioma, lblFechaFin %>"
                                ItemStyle-Width="100px" DataFormatString="{0:dd-MM-yyyy}">
                                <ItemStyle Width="100px"></ItemStyle>
                            </asp:BoundField>
                            <%-- <asp:BoundField DataField="cantidadAuditores" 
                SortExpression="cantidadAuditores" 
                HeaderText="<%$ Resources:Idioma, lblCantAuditores %>" ItemStyle-Width="100px" >
<ItemStyle Width="100px"></ItemStyle>
            </asp:BoundField>--%>
                            <%-- <asp:BoundField DataField="costosPersonal" SortExpression="costosPersonal" 
                HeaderText="<%$ Resources:Idioma, lblCostosEst %>" ItemStyle-Width="100px" >
<ItemStyle Width="100px"></ItemStyle>
            </asp:BoundField>--%>
                            <asp:BoundField DataField="responsable" SortExpression="responsable" HeaderText="<%$ Resources:Idioma, lblAuditorResponsable %>"
                                ItemStyle-Width="200px">
                                <ItemStyle Width="200px"></ItemStyle>
                            </asp:BoundField>
                            <%-- <asp:BoundField DataField="auditores" SortExpression="auditores" 
                HeaderText="<%$ Resources:Idioma, lblAuditores %>" ItemStyle-Width="200px" >
<ItemStyle Width="200px"></ItemStyle>
            </asp:BoundField>--%>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <br />
                    <asp:Panel runat="server" ID="PanelContGrafica">
                        <telerik:ReportViewer ID="rvNivelesSeg" runat="server" Height="339px" Report="Com.Audisis.Reportes.ReporteGraficaGanttEmpresa, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                            Width="660px" ToolbarVisible="False">
                        </telerik:ReportViewer>
                        <br />
                        &nbsp;<table>
                            <tr>
                                <td style="height: 21px; width: 700px;">
                                </td>
                            </tr>
                            <tr style="width: 700px">
                                <td style="width: 100%; text-align: center;">
                                    <asp:DropDownList ID="drpReportes" runat="server">
                                        <asp:ListItem Text="<%$ Resources:Idioma, reporteplaninternoresumido %>" Value="2"></asp:ListItem>
                                        <asp:ListItem Text="<%$ Resources:Idioma, reporteplaninternodetallado %>" Value="3"></asp:ListItem>
                                    </asp:DropDownList>
                                    &nbsp;&nbsp;
                                    <asp:Button ID="btnReporte" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnReporte %>" />
                                </td>
                            </tr>
                        </table>
                        &nbsp; &nbsp;
                        <br />
                    </asp:Panel>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
