﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionCategoriasRiesgosAplicables.aspx.vb" Inherits="AudiControl.SeleccionCategoriasRiesgosAplicables"
    Title="<%$ Resources:Menu, m0402010103 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402010103 %>"></asp:Label></div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <asp:Label ID="lblError" runat="server" Visible="False" CssClass="colorError"></asp:Label>
        <br />
        <asp:Label ID="lblConImpacto" runat="server" Visible="False" CssClass="colorError"></asp:Label>
        <br />
        <table>
            <tr>
                <td style="width: 303px; height: 24px; text-align: right;">
                    <div style="overflow: auto; width: 500px; height: 180px;">
                        <asp:GridView ID="gvListaCategoria" runat="server" AutoGenerateColumns="false" Style="text-align: left">
                            <Columns>
                                <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo"
                                    HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="60px" />
                                <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria"
                                    HeaderText="<%$ Resources:Idioma, lblCategorias %>" ItemStyle-Width="290px" />
                                <asp:BoundField DataField="nombreModalidad" SortExpression="nombreModalidad" HeaderText="<%$ Resources:Idioma, lblModeloRiesgo %>"
                                    ItemStyle-Width="290px" />
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px" HeaderText="<%$Resources:Idioma, lblAsterisco %>">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkCategoria" runat="server" />
                                        <asp:Label ID="lblIdCategorias" runat="server" Text='<%# Eval("seleccionado") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdModRiesgo" runat="server" Text='<%# Eval("idModriesgo") %>' Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </div>
                </td>
            </tr>
            <tr>
                <td>
                    <br />
                </td>
            </tr>
        </table>
        <br />
        <table>
            <tr>
                <td align="center">
                    <asp:Button ID="btnCategoriasRiesgo" runat="server" Text="" CausesValidation="False"
                        Width="224px" />
                    &nbsp;
                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                        CausesValidation="true" />
                    &nbsp;
                    <br />
                    &nbsp;
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
