<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="VerCuestionarioEntidadesVigiladas.aspx.vb" Inherits="AudiControl.VerCuestionarioEntidadesVigiladas"
    Title="<%$ Resources:TituloPaginas, TitVerCuestionario %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div style="text-align: center">
        <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblVerCuestionario %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito "></asp:Label>
            <br />
            <asp:Label ID="lblTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblSector %>"
                Height="21px" Width="159px"></asp:Label>
            <asp:DropDownList ID="drpSectores" runat="server" AutoPostBack="True">
            </asp:DropDownList>
            <br />
        </div>
        <table>
        </table>
        <br />
        <asp:Label ID="lblNoFactorSeleccionado" runat="server" Visible="False" CssClass="colorError "></asp:Label>
        <br />
        <asp:Panel ID="PanelContGrilla" runat="server" Visible="false">
            <telerik:ReportViewer ID="rvRespuestasFactorSeleccion" runat="server" Height="1000px"
                Report="Com.Audisis.Reportes.RespuestasfactorSeleccionSector, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                Width="680px">
            </telerik:ReportViewer>
        </asp:Panel>
    </div>
</asp:Content>
