﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="audListarEmpresas.aspx.vb" Inherits="AudiControl.audListarEmpresas"
    Title="<%$ Resources:Menu, m0402010101 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402010101 %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Width="247px"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Label ID="lblNoEmpresa" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <asp:Label ID="lblExito" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <asp:Label ID="lblNoSeleccionados" runat="server" Visible="false" CssClass="colorError"></asp:Label>
    </div>
    <asp:Panel ID="panelContenido" runat="server" SkinID="panelSkinned">
        <br />
        <div style="overflow: auto; width: 100%; height: 300px;">
            <asp:GridView ID="gvEmpresas" runat="server" AutoGenerateColumns="False" AllowPaging="True"
                PageSize="15">
                <Columns>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:CheckBox ID="chkSeleccion" runat="server" />
                            <asp:Label ID="lblIdEmpresas" runat="server" Text='<%# Eval("empresaseleccionplan") %>'
                                Visible="false"></asp:Label>
                            <asp:Label ID="lblIdSector" runat="server" Text='<%# Eval("idSector") %>' Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="idEmpresa" SortExpression="idEmpresa" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="70px">
                        <ItemStyle Width="70px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="nombreEmpresa" SortExpression="nombreEmpresa" HeaderText="<%$ Resources:Idioma, lblEmpresa %>"
                        ItemStyle-Width="250px">
                        <ItemStyle Width="350px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="nombreSector" HeaderText="<%$ Resources:Idioma, lblSector %>"
                        ItemStyle-Width="350px"></asp:BoundField>
                    <asp:BoundField DataField="contacto" HeaderText="<%$ Resources:Idioma, lblContacto %>"
                        ItemStyle-Width="200px" SortExpression="contacto">
                        <ItemStyle Width="200px" />
                    </asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEditar" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idEmpresa")%>'
                                CommandName="EDITAR">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                            </asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="250px" />
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </div>
    </asp:Panel>
    <br />
    <div align="center">
        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
            CausesValidation="false" />
        &nbsp;
        <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
            CausesValidation="false" />
        &nbsp;
        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
            CausesValidation="False" />
        &nbsp;
    </div>
</asp:Content>
